!******************************************************************************!
!                                                                              !
!    vertices_info6.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info6.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 17:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info6
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl6()
      allocate(vertices(223)%branchR2(0:0))
      call avR2(223, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1154/))

      allocate(vertices(214)%branchR2(0:0))
      call avR2(214, 0, 8, 1, 0, FaFS1, (/0, 3/), (/nGC_986/))

      allocate(vertices(1626)%branchR2(0:0))
      call avR2(1626, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1150/))

      allocate(vertices(1627)%branchR2(0:1))
      call avR2(1627, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_1222/))

      call avR2(1627, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_1221/))

      allocate(vertices(1628)%branchR2(0:5))
      call avR2(1628, 0, 85, 1, 0, VVVV0, (/3, 1/), (/nGC_1229, nGC_1229,      &
      nGC_1229/))

      call avR2(1628, 1, 84, 1, 0, VVVV0, (/3, 1/), (/nGC_1229, nGC_1229,      &
      nGC_1229/))

      call avR2(1628, 2, 87, 1, 0, VVVV0, (/3, 1/), (/nGC_1230, nGC_1230,      &
      nGC_1230/))

      call avR2(1628, 3, 88, 1, 0, VVVV0, (/3, 1/), (/nGC_1228, nGC_1228,      &
      nGC_1228/))

      call avR2(1628, 4, 86, 1, 0, VVVV0, (/3, 1/), (/nGC_1229, nGC_1229,      &
      nGC_1229/))

      call avR2(1628, 5, 83, 1, 0, VVVV0, (/3, 1/), (/nGC_1228, nGC_1228,      &
      nGC_1228/))

      allocate(vertices(1008)%branchR2(0:0))
      call avR2(1008, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1175/))

      allocate(vertices(191)%branchR2(0:0))
      call avR2(191, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1182/))

      allocate(vertices(1629)%branchR2(0:1))
      call avR2(1629, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_1224/))

      call avR2(1629, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_1223/))

      allocate(vertices(85)%branchR2(0:0))
      call avR2(85, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1164, nGC_1166, nGC_1165&
      /))

      allocate(vertices(1364)%branchR2(0:0))
      call avR2(1364, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1165, nGC_1166,       &
      nGC_1164/))

      allocate(vertices(1630)%branchR2(0:0))
      call avR2(1630, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1148/))

      allocate(vertices(1438)%branchR2(0:0))
      call avR2(1438, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1167/))

      allocate(vertices(1365)%branchR2(0:1))
      call avR2(1365, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1003, nGC_1001/))

      call avR2(1365, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1004, nGC_1002/))

      allocate(vertices(1631)%branchR2(0:0))
      call avR2(1631, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1151/))

      allocate(vertices(0)%branchR2(0:0))
      call avR2(0, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1175/))

      allocate(vertices(898)%branchR2(0:0))
      call avR2(898, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(1490)%branchR2(0:0))
      call avR2(1490, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_943/))

      allocate(vertices(1632)%branchR2(0:0))
      call avR2(1632, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1149/))

      allocate(vertices(1040)%branchR2(0:0))
      call avR2(1040, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1212, nGC_1213,       &
      nGC_1214/))

      allocate(vertices(347)%branchR2(0:0))
      call avR2(347, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1068, nGC_1069/))

      allocate(vertices(143)%branchR2(0:0))
      call avR2(143, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1205/))

      allocate(vertices(519)%branchR2(0:0))
      call avR2(519, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1160/))

      allocate(vertices(1633)%branchR2(0:0))
      call avR2(1633, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1150/))

      allocate(vertices(809)%branchR2(0:0))
      call avR2(809, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1087/))

      allocate(vertices(806)%branchR2(0:0))
      call avR2(806, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1153/))

      allocate(vertices(502)%branchR2(0:0))
      call avR2(502, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1100, nGC_1099/))

      allocate(vertices(1521)%branchR2(0:0))
      call avR2(1521, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_944/))

      allocate(vertices(1335)%branchR2(0:0))
      call avR2(1335, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(1634)%branchR2(0:0))
      call avR2(1634, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1148/))

      allocate(vertices(1021)%branchR2(0:0))
      call avR2(1021, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_987/))

      allocate(vertices(541)%branchR2(0:0))
      call avR2(541, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1025/))

      allocate(vertices(705)%branchR2(0:0))
      call avR2(705, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1155/))

      allocate(vertices(355)%branchR2(0:0))
      call avR2(355, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1155/))

      allocate(vertices(321)%branchR2(0:0))
      call avR2(321, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1154/))

      allocate(vertices(352)%branchR2(0:0))
      call avR2(352, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1154/))

      allocate(vertices(856)%branchR2(0:0))
      call avR2(856, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1200/))

      allocate(vertices(1236)%branchR2(0:0))
      call avR2(1236, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1005, nGC_1006/))

      allocate(vertices(151)%branchR2(0:1))
      call avR2(151, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_983, nGC_982/))

      call avR2(151, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_968, nGC_966/))

      allocate(vertices(329)%branchR2(0:1))
      call avR2(329, 0, 0, 1, 0, VVV0, (/3, 0/), (/nGC_1845/))

      call avR2(329, 1, 1, 1, 0, VVV0, (/3, 0/), (/nGC_1846/))

      allocate(vertices(396)%branchR2(0:1))
      call avR2(396, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1081, nGC_1080/))

      call avR2(396, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1082, nGC_1082/))

      allocate(vertices(849)%branchR2(0:0))
      call avR2(849, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1182/))

      allocate(vertices(278)%branchR2(0:0))
      call avR2(278, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_951, nGC_950/))

      allocate(vertices(1248)%branchR2(0:0))
      call avR2(1248, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1207/))

      allocate(vertices(263)%branchR2(0:0))
      call avR2(263, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_992/))

      allocate(vertices(1635)%branchR2(0:1))
      call avR2(1635, 0, 64, 1, 0, VVVV0, (/2, 2/), (/nGC_1215, nGC_1215,      &
      nGC_1215/))

      call avR2(1635, 1, 63, 1, 0, VVVV0, (/2, 2/), (/nGC_1216, nGC_1216,      &
      nGC_1216/))

      allocate(vertices(1070)%branchR2(0:0))
      call avR2(1070, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1182/))

      allocate(vertices(237)%branchR2(0:1))
      call avR2(237, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_948, nGC_949/))

      call avR2(237, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_936, nGC_936/))

      allocate(vertices(862)%branchR2(0:0))
      call avR2(862, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1193/))

      allocate(vertices(1048)%branchR2(0:1))
      call avR2(1048, 0, 21, 1, 0, VFFa0, (/0, 3/), (/nGC_1084/))

      call avR2(1048, 1, 21, 1, 0, VFFa0, (/2, 1/), (/nGC_1085/))

      allocate(vertices(147)%branchR2(0:0))
      call avR2(147, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1160/))

      allocate(vertices(1081)%branchR2(0:1))
      call avR2(1081, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1061, nGC_1060/))

      call avR2(1081, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1062, nGC_1062/))

      allocate(vertices(235)%branchR2(0:0))
      call avR2(235, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1155/))

      allocate(vertices(886)%branchR2(0:0))
      call avR2(886, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1178/))

      allocate(vertices(748)%branchR2(0:0))
      call avR2(748, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_954/))

      allocate(vertices(21)%branchR2(0:0))
      call avR2(21, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1193/))

      allocate(vertices(877)%branchR2(0:0))
      call avR2(877, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(715)%branchR2(0:1))
      call avR2(715, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1032, nGC_1031/))

      call avR2(715, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1033, nGC_1033/))

      allocate(vertices(1501)%branchR2(0:0))
      call avR2(1501, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1167/))

      allocate(vertices(691)%branchR2(0:0))
      call avR2(691, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1200/))

      allocate(vertices(536)%branchR2(0:1))
      call avR2(536, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_963, nGC_961/))

      call avR2(536, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_964, nGC_962/))

      allocate(vertices(1144)%branchR2(0:0))
      call avR2(1144, 0, 8, 1, 0, FaSF1, (/0, 3/), (/nGC_1007, nGC_1008/))

      allocate(vertices(431)%branchR2(0:1))
      call avR2(431, 0, 18, 1, 0, FaSF1, (/0, 3/), (/nGC_1015, nGC_1013/))

      call avR2(431, 1, 18, 1, 0, FaSF1, (/2, 1/), (/nGC_1016, nGC_1014/))

      allocate(vertices(46)%branchR2(0:0))
      call avR2(46, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(546)%branchR2(0:0))
      call avR2(546, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1179/))

      allocate(vertices(1514)%branchR2(0:0))
      call avR2(1514, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_930/))

      allocate(vertices(1522)%branchR2(0:1))
      call avR2(1522, 0, 42, 1, 0, FaF3, (/0, 2/), (/nGC_896, nGC_893, nGC_914 &
      , nGC_914/))

      call avR2(1522, 1, 42, 1, 0, FaF3, (/2, 0/), (/nGC_892, nGC_892, nGC_915 &
      , nGC_915/))

      allocate(vertices(1057)%branchR2(0:1))
      call avR2(1057, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_952, nGC_953/))

      call avR2(1057, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_936, nGC_936/))

      allocate(vertices(518)%branchR2(0:0))
      call avR2(518, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(1065)%branchR2(0:0))
      call avR2(1065, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_977/))

      allocate(vertices(119)%branchR2(0:1))
      call avR2(119, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_999, nGC_997/))

      call avR2(119, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1000, nGC_998/))

      allocate(vertices(1169)%branchR2(0:1))
      call avR2(1169, 0, 21, 1, 0, VFFa1, (/0, 3/), (/nGC_934, nGC_935/))

      call avR2(1169, 1, 21, 1, 0, VFFa1, (/2, 1/), (/nGC_936, nGC_936/))

      allocate(vertices(164)%branchR2(0:0))
      call avR2(164, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1088/))

      allocate(vertices(409)%branchR2(0:1))
      call avR2(409, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_995, nGC_993/))

      call avR2(409, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_996, nGC_994/))

      allocate(vertices(1636)%branchR2(0:1))
      call avR2(1636, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_1221/))

      call avR2(1636, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_1222/))

      allocate(vertices(522)%branchR2(0:1))
      call avR2(522, 0, 19, 1, 0, FVFa1, (/0, 3/), (/nGC_1108, nGC_1109/))

      call avR2(522, 1, 19, 1, 0, FVFa1, (/2, 1/), (/nGC_1094, nGC_1096/))

      allocate(vertices(150)%branchR2(0:0))
      call avR2(150, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1180/))

      allocate(vertices(1111)%branchR2(0:0))
      call avR2(1111, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1171/))

      allocate(vertices(137)%branchR2(0:0))
      call avR2(137, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1213, nGC_1214,        &
      nGC_1212/))

      allocate(vertices(1637)%branchR2(0:1))
      call avR2(1637, 0, 59, 1, 0, VVVV0, (/2, 2/), (/nGC_1173, nGC_1173,      &
      nGC_1173/))

      call avR2(1637, 1, 60, 1, 0, VVVV0, (/2, 2/), (/nGC_1174, nGC_1174,      &
      nGC_1174/))

      allocate(vertices(1195)%branchR2(0:0))
      call avR2(1195, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(1419)%branchR2(0:0))
      call avR2(1419, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_945/))

      allocate(vertices(1417)%branchR2(0:0))
      call avR2(1417, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1168/))

      allocate(vertices(1321)%branchR2(0:0))
      call avR2(1321, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1189/))

      allocate(vertices(1638)%branchR2(0:0))
      call avR2(1638, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1162, nGC_1161,       &
      nGC_1162/))

      allocate(vertices(1176)%branchR2(0:0))
      call avR2(1176, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1175/))

      allocate(vertices(892)%branchR2(0:0))
      call avR2(892, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1178/))

      allocate(vertices(18)%branchR2(0:1))
      call avR2(18, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1089, nGC_1091/))

      call avR2(18, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1090, nGC_1092/))

      allocate(vertices(1276)%branchR2(0:0))
      call avR2(1276, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1175/))

      allocate(vertices(1406)%branchR2(0:0))
      call avR2(1406, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1168/))

      allocate(vertices(694)%branchR2(0:0))
      call avR2(694, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1178/))

      allocate(vertices(1239)%branchR2(0:1))
      call avR2(1239, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_965, nGC_967/))

      call avR2(1239, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_966, nGC_968/))

      allocate(vertices(1429)%branchR2(0:0))
      call avR2(1429, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(1327)%branchR2(0:0))
      call avR2(1327, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1144/))

      allocate(vertices(801)%branchR2(0:0))
      call avR2(801, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_921/))

      allocate(vertices(1515)%branchR2(0:0))
      call avR2(1515, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1168/))

      allocate(vertices(1034)%branchR2(0:0))
      call avR2(1034, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1207/))

      allocate(vertices(1639)%branchR2(0:0))
      call avR2(1639, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1158, nGC_1158,       &
      nGC_1158/))

      allocate(vertices(940)%branchR2(0:0))
      call avR2(940, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(863)%branchR2(0:0))
      call avR2(863, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1087/))

      allocate(vertices(1089)%branchR2(0:0))
      call avR2(1089, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1195/))

      allocate(vertices(1126)%branchR2(0:0))
      call avR2(1126, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1153/))

      allocate(vertices(1093)%branchR2(0:0))
      call avR2(1093, 0, 8, 1, 0, FaVF0, (/0, 3/), (/nGC_1087/))

      allocate(vertices(1041)%branchR2(0:1))
      call avR2(1041, 0, 18, 1, 0, FaSF1, (/0, 3/), (/nGC_1073, nGC_1072/))

      call avR2(1041, 1, 18, 1, 0, FaSF1, (/2, 1/), (/nGC_1074, nGC_1074/))

      allocate(vertices(1099)%branchR2(0:0))
      call avR2(1099, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1211/))

      allocate(vertices(1517)%branchR2(0:0))
      call avR2(1517, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_925/))

      allocate(vertices(93)%branchR2(0:0))
      call avR2(93, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1100, nGC_1099/))

      allocate(vertices(1407)%branchR2(0:0))
      call avR2(1407, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1168/))

      allocate(vertices(833)%branchR2(0:0))
      call avR2(833, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1049, nGC_1050/))

      allocate(vertices(1373)%branchR2(0:0))
      call avR2(1373, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_991/))

      allocate(vertices(1640)%branchR2(0:0))
      call avR2(1640, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1162, nGC_1162,       &
      nGC_1161/))

      allocate(vertices(504)%branchR2(0:1))
      call avR2(504, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1011, nGC_1009/))

      call avR2(504, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1012, nGC_1010/))

      allocate(vertices(1151)%branchR2(0:0))
      call avR2(1151, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1160/))

      allocate(vertices(821)%branchR2(0:0))
      call avR2(821, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1066, nGC_1067/))

      allocate(vertices(290)%branchR2(0:0))
      call avR2(290, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1155/))

      allocate(vertices(619)%branchR2(0:0))
      call avR2(619, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1199/))

      allocate(vertices(240)%branchR2(0:0))
      call avR2(240, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(799)%branchR2(0:0))
      call avR2(799, 0, 8, 1, 0, SFFa1, (/0, 3/), (/nGC_974/))

      allocate(vertices(675)%branchR2(0:0))
      call avR2(675, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1185/))

      allocate(vertices(623)%branchR2(0:0))
      call avR2(623, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1182/))

      allocate(vertices(12)%branchR2(0:0))
      call avR2(12, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1189/))

      allocate(vertices(419)%branchR2(0:1))
      call avR2(419, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_1086/))

      call avR2(419, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_1085/))

      allocate(vertices(438)%branchR2(0:0))
      call avR2(438, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1157/))

      allocate(vertices(1641)%branchR2(0:0))
      call avR2(1641, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1177, nGC_1177,       &
      nGC_1177/))

      allocate(vertices(1642)%branchR2(0:1))
      call avR2(1642, 0, 48, 1, 0, VVS0, (/2, 1/), (/nGC_1042/))

      call avR2(1642, 1, 47, 1, 0, VVS0, (/2, 1/), (/nGC_1041/))

      allocate(vertices(1349)%branchR2(0:1))
      call avR2(1349, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1044, nGC_1043/))

      call avR2(1349, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1045, nGC_1045/))

      allocate(vertices(957)%branchR2(0:0))
      call avR2(957, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(1487)%branchR2(0:0))
      call avR2(1487, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_928/))

      allocate(vertices(1471)%branchR2(0:1))
      call avR2(1471, 0, 13, 1, 0, FFa3, (/0, 2/), (/nGC_896, nGC_893, nGC_914 &
      , nGC_914/))

      call avR2(1471, 1, 13, 1, 0, FFa3, (/2, 0/), (/nGC_892, nGC_892, nGC_915 &
      , nGC_915/))

      allocate(vertices(587)%branchR2(0:0))
      call avR2(587, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1088/))

      allocate(vertices(1309)%branchR2(0:0))
      call avR2(1309, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_921/))

      allocate(vertices(1294)%branchR2(0:0))
      call avR2(1294, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1160/))

      allocate(vertices(992)%branchR2(0:0))
      call avR2(992, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1200/))

      allocate(vertices(976)%branchR2(0:1))
      call avR2(976, 0, 18, 1, 0, FaVF0, (/0, 3/), (/nGC_1084/))

      call avR2(976, 1, 18, 1, 0, FaVF0, (/2, 1/), (/nGC_1085/))

      allocate(vertices(731)%branchR2(0:3))
      call avR2(731, 0, 24, 1, 0, FaFV1, (/3, 0/), (/nGC_1118, nGC_1118/))

      call avR2(731, 1, 24, 1, 0, FaFV1, (/1, 2/), (/nGC_1126, nGC_1127/))

      call avR2(731, 2, 25, 1, 0, FaFV1, (/3, 0/), (/nGC_1115, nGC_1115/))

      call avR2(731, 3, 25, 1, 0, FaFV1, (/1, 2/), (/nGC_1124, nGC_1125/))

      allocate(vertices(1477)%branchR2(0:0))
      call avR2(1477, 0, 14, 1, 0, SS1, (/0, 2/), (/nGC_871, nGC_870/))

      allocate(vertices(1147)%branchR2(0:0))
      call avR2(1147, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1843/))

      allocate(vertices(1247)%branchR2(0:3))
      call avR2(1247, 0, 24, 1, 0, FaFV1, (/3, 0/), (/nGC_1118, nGC_1118/))

      call avR2(1247, 1, 24, 1, 0, FaFV1, (/1, 2/), (/nGC_1117, nGC_1119/))

      call avR2(1247, 2, 25, 1, 0, FaFV1, (/3, 0/), (/nGC_1115, nGC_1115/))

      call avR2(1247, 3, 25, 1, 0, FaFV1, (/1, 2/), (/nGC_1114, nGC_1116/))

      allocate(vertices(962)%branchR2(0:0))
      call avR2(962, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1153/))

      allocate(vertices(646)%branchR2(0:3))
      call avR2(646, 0, 11, 1, 0, FFaV0, (/3, 0/), (/nGC_1118, nGC_1118/))

      call avR2(646, 1, 11, 1, 0, FFaV0, (/1, 2/), (/nGC_1122, nGC_1123/))

      call avR2(646, 2, 12, 1, 0, FFaV0, (/3, 0/), (/nGC_1115, nGC_1115/))

      call avR2(646, 3, 12, 1, 0, FFaV0, (/1, 2/), (/nGC_1120, nGC_1121/))

      allocate(vertices(538)%branchR2(0:0))
      call avR2(538, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1007, nGC_1008/))

      allocate(vertices(1643)%branchR2(0:1))
      call avR2(1643, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_1224/))

      call avR2(1643, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_1223/))

      allocate(vertices(1644)%branchR2(0:1))
      call avR2(1644, 0, 56, 1, 0, VVVV0, (/2, 2/), (/nGC_1187, nGC_1187,      &
      nGC_1187/))

      call avR2(1644, 1, 55, 1, 0, VVVV0, (/2, 2/), (/nGC_1186, nGC_1186,      &
      nGC_1186/))

      allocate(vertices(967)%branchR2(0:0))
      call avR2(967, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1214, nGC_1212,        &
      nGC_1213/))

      allocate(vertices(1402)%branchR2(0:0))
      call avR2(1402, 0, 14, 1, 0, SS1, (/0, 2/), (/nGC_883, nGC_882/))

      allocate(vertices(1645)%branchR2(0:1))
      call avR2(1645, 0, 45, 1, 0, VSV0, (/2, 1/), (/nGC_1041/))

      call avR2(1645, 1, 46, 1, 0, VSV0, (/2, 1/), (/nGC_1042/))

      allocate(vertices(1049)%branchR2(0:0))
      call avR2(1049, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1180/))

      allocate(vertices(226)%branchR2(0:1))
      call avR2(226, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_983, nGC_982/))

      call avR2(226, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_968, nGC_966/))

      allocate(vertices(1646)%branchR2(0:0))
      call avR2(1646, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1177, nGC_1177,       &
      nGC_1177/))

      allocate(vertices(611)%branchR2(0:0))
      call avR2(611, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_942, nGC_941/))

      allocate(vertices(469)%branchR2(0:0))
      call avR2(469, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_976/))

      allocate(vertices(377)%branchR2(0:0))
      call avR2(377, 0, 8, 1, 0, SFFa2, (/0, 3/), (/nGC_988/))

      allocate(vertices(1647)%branchR2(0:1))
      call avR2(1647, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_1223/))

      call avR2(1647, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_1224/))

      allocate(vertices(465)%branchR2(0:0))
      call avR2(465, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1842/))

      allocate(vertices(1648)%branchR2(0:0))
      call avR2(1648, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1162, nGC_1161,       &
      nGC_1162/))

      allocate(vertices(1078)%branchR2(0:1))
      call avR2(1078, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1029, nGC_1028/))

      call avR2(1078, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1030, nGC_1030/))

      allocate(vertices(629)%branchR2(0:0))
      call avR2(629, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1179/))

      allocate(vertices(509)%branchR2(0:0))
      call avR2(509, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1207/))

      allocate(vertices(200)%branchR2(0:0))
      call avR2(200, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1165, nGC_1166,        &
      nGC_1164/))

      allocate(vertices(704)%branchR2(0:0))
      call avR2(704, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(301)%branchR2(0:0))
      call avR2(301, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1037, nGC_1038/))

      allocate(vertices(1043)%branchR2(0:0))
      call avR2(1043, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_960/))

      allocate(vertices(168)%branchR2(0:1))
      call avR2(168, 0, 21, 1, 0, VFFa1, (/0, 3/), (/nGC_1093, nGC_1095/))

      call avR2(168, 1, 21, 1, 0, VFFa1, (/2, 1/), (/nGC_1094, nGC_1096/))

      allocate(vertices(1340)%branchR2(0:0))
      call avR2(1340, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1219, nGC_1220,       &
      nGC_1220/))

      allocate(vertices(1115)%branchR2(0:1))
      call avR2(1115, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1073, nGC_1072/))

      call avR2(1115, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1074, nGC_1074/))

      allocate(vertices(126)%branchR2(0:0))
      call avR2(126, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1200/))

      allocate(vertices(1649)%branchR2(0:1))
      call avR2(1649, 0, 57, 1, 0, VVVV0, (/2, 2/), (/nGC_1216, nGC_1216,      &
      nGC_1216/))

      call avR2(1649, 1, 58, 1, 0, VVVV0, (/2, 2/), (/nGC_1215, nGC_1215,      &
      nGC_1215/))

      allocate(vertices(843)%branchR2(0:0))
      call avR2(843, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1175/))

      allocate(vertices(1342)%branchR2(0:1))
      call avR2(1342, 0, 18, 1, 0, FaVF0, (/0, 3/), (/nGC_1084/))

      call avR2(1342, 1, 18, 1, 0, FaVF0, (/2, 1/), (/nGC_1085/))

      allocate(vertices(1296)%branchR2(0:0))
      call avR2(1296, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1198/))

      allocate(vertices(1650)%branchR2(0:0))
      call avR2(1650, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1149/))

      allocate(vertices(899)%branchR2(0:1))
      call avR2(899, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_1086/))

      call avR2(899, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_1085/))

      allocate(vertices(559)%branchR2(0:0))
      call avR2(559, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1160/))

      allocate(vertices(561)%branchR2(0:0))
      call avR2(561, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_942, nGC_941/))

      allocate(vertices(900)%branchR2(0:0))
      call avR2(900, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1157/))

      allocate(vertices(73)%branchR2(0:0))
      call avR2(73, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1147, nGC_1146, nGC_1145&
      /))

      allocate(vertices(662)%branchR2(0:0))
      call avR2(662, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1078, nGC_1079/))

      allocate(vertices(870)%branchR2(0:1))
      call avR2(870, 0, 17, 1, 0, FaFV0, (/0, 3/), (/nGC_1086/))

      call avR2(870, 1, 17, 1, 0, FaFV0, (/2, 1/), (/nGC_1085/))

      allocate(vertices(804)%branchR2(0:0))
      call avR2(804, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1200/))

      allocate(vertices(1651)%branchR2(0:0))
      call avR2(1651, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1158, nGC_1158,       &
      nGC_1158/))

      allocate(vertices(455)%branchR2(0:1))
      call avR2(455, 0, 17, 1, 0, FaFV1, (/0, 3/), (/nGC_1093, nGC_1095/))

      call avR2(455, 1, 17, 1, 0, FaFV1, (/2, 1/), (/nGC_1094, nGC_1096/))

      allocate(vertices(933)%branchR2(0:0))
      call avR2(933, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_978/))

      allocate(vertices(140)%branchR2(0:0))
      call avR2(140, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1037, nGC_1038/))

      allocate(vertices(1652)%branchR2(0:0))
      call avR2(1652, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1162, nGC_1162,       &
      nGC_1161/))

      allocate(vertices(576)%branchR2(0:0))
      call avR2(576, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1049, nGC_1050/))

      allocate(vertices(11)%branchR2(0:0))
      call avR2(11, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_986/))

      allocate(vertices(981)%branchR2(0:0))
      call avR2(981, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1103, nGC_1102/))

      allocate(vertices(1653)%branchR2(0:1))
      call avR2(1653, 0, 53, 1, 0, VVVV0, (/2, 2/), (/nGC_1186, nGC_1186,      &
      nGC_1186/))

      call avR2(1653, 1, 54, 1, 0, VVVV0, (/2, 2/), (/nGC_1187, nGC_1187,      &
      nGC_1187/))

      allocate(vertices(367)%branchR2(0:0))
      call avR2(367, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1101/))

      allocate(vertices(1654)%branchR2(0:0))
      call avR2(1654, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1151/))

      allocate(vertices(1441)%branchR2(0:1))
      call avR2(1441, 0, 13, 1, 0, FFa3, (/0, 2/), (/nGC_896, nGC_893, nGC_894 &
      , nGC_894/))

      call avR2(1441, 1, 13, 1, 0, FFa3, (/2, 0/), (/nGC_892, nGC_892, nGC_895 &
      , nGC_895/))

      allocate(vertices(1119)%branchR2(0:0))
      call avR2(1119, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1185/))

      allocate(vertices(1252)%branchR2(0:0))
      call avR2(1252, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1037, nGC_1038/))

      allocate(vertices(1655)%branchR2(0:1))
      call avR2(1655, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_1223/))

      call avR2(1655, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_1224/))

      allocate(vertices(1192)%branchR2(0:1))
      call avR2(1192, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1081, nGC_1080/))

      call avR2(1192, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1082, nGC_1082/))

      allocate(vertices(782)%branchR2(0:0))
      call avR2(782, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1172/))

      allocate(vertices(1381)%branchR2(0:0))
      call avR2(1381, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1153/))

      allocate(vertices(1656)%branchR2(0:1))
      call avR2(1656, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_1204/))

      call avR2(1656, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_1203/))

      allocate(vertices(1462)%branchR2(0:0))
      call avR2(1462, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1168/))

      allocate(vertices(1657)%branchR2(0:1))
      call avR2(1657, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_1218/))

      call avR2(1657, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_1217/))

      allocate(vertices(1461)%branchR2(0:0))
      call avR2(1461, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1168/))

      allocate(vertices(1016)%branchR2(0:1))
      call avR2(1016, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1021, nGC_1019/))

      call avR2(1016, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1022, nGC_1020/))

      allocate(vertices(726)%branchR2(0:0))
      call avR2(726, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1166, nGC_1165,        &
      nGC_1164/))

      allocate(vertices(132)%branchR2(0:0))
      call avR2(132, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1180/))

      allocate(vertices(513)%branchR2(0:0))
      call avR2(513, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1175/))

      allocate(vertices(651)%branchR2(0:0))
      call avR2(651, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1832/))

      allocate(vertices(720)%branchR2(0:3))
      call avR2(720, 0, 27, 1, 0, FaVF1, (/3, 0/), (/nGC_1130, nGC_1130/))

      call avR2(720, 1, 27, 1, 0, FaVF1, (/1, 2/), (/nGC_1138, nGC_1139/))

      call avR2(720, 2, 26, 1, 0, FaVF1, (/3, 0/), (/nGC_1133, nGC_1133/))

      call avR2(720, 3, 26, 1, 0, FaVF1, (/1, 2/), (/nGC_1140, nGC_1141/))

      allocate(vertices(311)%branchR2(0:0))
      call avR2(311, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(372)%branchR2(0:0))
      call avR2(372, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1055/))

      allocate(vertices(641)%branchR2(0:1))
      call avR2(641, 0, 18, 1, 0, FaSF1, (/0, 3/), (/nGC_1047, nGC_1046/))

      call avR2(641, 1, 18, 1, 0, FaSF1, (/2, 1/), (/nGC_1048, nGC_1048/))

      allocate(vertices(630)%branchR2(0:0))
      call avR2(630, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(560)%branchR2(0:0))
      call avR2(560, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1157/))

      allocate(vertices(567)%branchR2(0:0))
      call avR2(567, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1083/))

      allocate(vertices(966)%branchR2(0:0))
      call avR2(966, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1157/))

      allocate(vertices(310)%branchR2(0:0))
      call avR2(310, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1039, nGC_1040/))

      allocate(vertices(1658)%branchR2(0:1))
      call avR2(1658, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_1183/))

      call avR2(1658, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_1184/))

      allocate(vertices(1520)%branchR2(0:0))
      call avR2(1520, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(282)%branchR2(0:0))
      call avR2(282, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1101/))

      allocate(vertices(649)%branchR2(0:1))
      call avR2(649, 0, 18, 1, 0, FaVF1, (/0, 3/), (/nGC_1097, nGC_1098/))

      call avR2(649, 1, 18, 1, 0, FaVF1, (/2, 1/), (/nGC_1090, nGC_1092/))

      allocate(vertices(1358)%branchR2(0:1))
      call avR2(1358, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1064, nGC_1063/))

      call avR2(1358, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1065, nGC_1065/))

      allocate(vertices(1051)%branchR2(0:0))
      call avR2(1051, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1219, nGC_1220,       &
      nGC_1220/))

      allocate(vertices(855)%branchR2(0:0))
      call avR2(855, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_956/))

      allocate(vertices(838)%branchR2(0:1))
      call avR2(838, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1084/))

      call avR2(838, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1085/))

      allocate(vertices(182)%branchR2(0:0))
      call avR2(182, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1176/))

      allocate(vertices(674)%branchR2(0:0))
      call avR2(674, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1175/))

      allocate(vertices(2)%branchR2(0:0))
      call avR2(2, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1178/))

      allocate(vertices(1036)%branchR2(0:1))
      call avR2(1036, 0, 18, 1, 0, FaSF1, (/0, 3/), (/nGC_995, nGC_993/))

      call avR2(1036, 1, 18, 1, 0, FaSF1, (/2, 1/), (/nGC_996, nGC_994/))

      allocate(vertices(828)%branchR2(0:0))
      call avR2(828, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(961)%branchR2(0:0))
      call avR2(961, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(510)%branchR2(0:1))
      call avR2(510, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1015, nGC_1013/))

      call avR2(510, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1016, nGC_1014/))

      allocate(vertices(462)%branchR2(0:0))
      call avR2(462, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1017, nGC_1018/))

      allocate(vertices(454)%branchR2(0:0))
      call avR2(454, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1843/))

      allocate(vertices(1208)%branchR2(0:1))
      call avR2(1208, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1057, nGC_1056/))

      call avR2(1208, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1058, nGC_1058/))

      allocate(vertices(303)%branchR2(0:0))
      call avR2(303, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1214, nGC_1212,        &
      nGC_1213/))

      allocate(vertices(421)%branchR2(0:0))
      call avR2(421, 0, 8, 1, 0, FaVF0, (/0, 3/), (/nGC_1101/))

      allocate(vertices(639)%branchR2(0:0))
      call avR2(639, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(25)%branchR2(0:0))
      call avR2(25, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_958/))

      allocate(vertices(1316)%branchR2(0:0))
      call avR2(1316, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1185/))

      allocate(vertices(1082)%branchR2(0:0))
      call avR2(1082, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1066, nGC_1067/))

      allocate(vertices(663)%branchR2(0:0))
      call avR2(663, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(626)%branchR2(0:0))
      call avR2(626, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1171/))

      allocate(vertices(1311)%branchR2(0:0))
      call avR2(1311, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1111, nGC_1110/))

      allocate(vertices(570)%branchR2(0:0))
      call avR2(570, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1160/))

      allocate(vertices(314)%branchR2(0:3))
      call avR2(314, 0, 22, 1, 0, FVFa1, (/3, 0/), (/nGC_1133, nGC_1133/))

      call avR2(314, 1, 22, 1, 0, FVFa1, (/1, 2/), (/nGC_1140, nGC_1141/))

      call avR2(314, 2, 23, 1, 0, FVFa1, (/3, 0/), (/nGC_1130, nGC_1130/))

      call avR2(314, 3, 23, 1, 0, FVFa1, (/1, 2/), (/nGC_1138, nGC_1139/))

      allocate(vertices(291)%branchR2(0:0))
      call avR2(291, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1153/))

      allocate(vertices(1216)%branchR2(0:1))
      call avR2(1216, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1108, nGC_1109/))

      call avR2(1216, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1094, nGC_1096/))

      allocate(vertices(1659)%branchR2(0:0))
      call avR2(1659, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1148/))

      allocate(vertices(714)%branchR2(0:0))
      call avR2(714, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1842/))

      allocate(vertices(1223)%branchR2(0:0))
      call avR2(1223, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1166, nGC_1165,       &
      nGC_1164/))

      allocate(vertices(232)%branchR2(0:0))
      call avR2(232, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1155/))

      allocate(vertices(977)%branchR2(0:0))
      call avR2(977, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1154/))

      allocate(vertices(698)%branchR2(0:0))
      call avR2(698, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1200/))

      allocate(vertices(955)%branchR2(0:0))
      call avR2(955, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1180/))

      allocate(vertices(1001)%branchR2(0:0))
      call avR2(1001, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1144/))

      allocate(vertices(1161)%branchR2(0:1))
      call avR2(1161, 0, 18, 1, 0, FaSF1, (/0, 3/), (/nGC_1057, nGC_1056/))

      call avR2(1161, 1, 18, 1, 0, FaSF1, (/2, 1/), (/nGC_1058, nGC_1058/))

      allocate(vertices(1660)%branchR2(0:1))
      call avR2(1660, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_1218/))

      call avR2(1660, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_1217/))

      allocate(vertices(89)%branchR2(0:0))
      call avR2(89, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1206/))

      allocate(vertices(818)%branchR2(0:0))
      call avR2(818, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1213, nGC_1212,        &
      nGC_1214/))

      allocate(vertices(1110)%branchR2(0:0))
      call avR2(1110, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(228)%branchR2(0:0))
      call avR2(228, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1180/))

      allocate(vertices(1073)%branchR2(0:0))
      call avR2(1073, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1023/))

      allocate(vertices(554)%branchR2(0:0))
      call avR2(554, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_979/))

      allocate(vertices(562)%branchR2(0:0))
      call avR2(562, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1840/))

      allocate(vertices(1451)%branchR2(0:0))
      call avR2(1451, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(1661)%branchR2(0:1))
      call avR2(1661, 0, 57, 1, 0, VVVV0, (/2, 2/), (/nGC_1186, nGC_1186,      &
      nGC_1186/))

      call avR2(1661, 1, 58, 1, 0, VVVV0, (/2, 2/), (/nGC_1187, nGC_1187,      &
      nGC_1187/))

      allocate(vertices(569)%branchR2(0:0))
      call avR2(569, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1103, nGC_1102/))

      allocate(vertices(657)%branchR2(0:1))
      call avR2(657, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1035, nGC_1034/))

      call avR2(657, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1036, nGC_1036/))

      allocate(vertices(142)%branchR2(0:0))
      call avR2(142, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_956/))

      allocate(vertices(1306)%branchR2(0:1))
      call avR2(1306, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_963, nGC_961/))

      call avR2(1306, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_964, nGC_962/))

      allocate(vertices(1153)%branchR2(0:1))
      call avR2(1153, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_971, nGC_969/))

      call avR2(1153, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_972, nGC_970/))

      allocate(vertices(535)%branchR2(0:0))
      call avR2(535, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1175/))

      allocate(vertices(868)%branchR2(0:0))
      call avR2(868, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1172/))

      allocate(vertices(1145)%branchR2(0:1))
      call avR2(1145, 0, 18, 1, 0, FaVF1, (/0, 3/), (/nGC_1106, nGC_1107/))

      call avR2(1145, 1, 18, 1, 0, FaVF1, (/2, 1/), (/nGC_1090, nGC_1092/))

      allocate(vertices(937)%branchR2(0:0))
      call avR2(937, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_979/))

      allocate(vertices(673)%branchR2(0:0))
      call avR2(673, 0, 8, 1, 0, FaSF1, (/0, 3/), (/nGC_1049, nGC_1050/))

      allocate(vertices(95)%branchR2(0:0))
      call avR2(95, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1160/))

      allocate(vertices(61)%branchR2(0:0))
      call avR2(61, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1189/))

      allocate(vertices(954)%branchR2(0:0))
      call avR2(954, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1175/))

      allocate(vertices(890)%branchR2(0:0))
      call avR2(890, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1200/))

      allocate(vertices(1010)%branchR2(0:0))
      call avR2(1010, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_921/))

      allocate(vertices(488)%branchR2(0:0))
      call avR2(488, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1180/))

      allocate(vertices(1177)%branchR2(0:0))
      call avR2(1177, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(358)%branchR2(0:0))
      call avR2(358, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1179/))

      allocate(vertices(28)%branchR2(0:0))
      call avR2(28, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1157/))

      allocate(vertices(1662)%branchR2(0:1))
      call avR2(1662, 0, 56, 1, 0, VVVV0, (/2, 2/), (/nGC_1187, nGC_1187,      &
      nGC_1187/))

      call avR2(1662, 1, 55, 1, 0, VVVV0, (/2, 2/), (/nGC_1186, nGC_1186,      &
      nGC_1186/))

      allocate(vertices(1129)%branchR2(0:0))
      call avR2(1129, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1087/))

      allocate(vertices(1116)%branchR2(0:0))
      call avR2(1116, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1188/))

      allocate(vertices(403)%branchR2(0:0))
      call avR2(403, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1104/))

      allocate(vertices(1663)%branchR2(0:0))
      call avR2(1663, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1148/))

      allocate(vertices(227)%branchR2(0:0))
      call avR2(227, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1180/))

      allocate(vertices(973)%branchR2(0:0))
      call avR2(973, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1185/))

      allocate(vertices(1454)%branchR2(0:0))
      call avR2(1454, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1168/))

      allocate(vertices(308)%branchR2(0:0))
      call avR2(308, 0, 8, 1, 0, FaFS2, (/0, 3/), (/nGC_973/))

      allocate(vertices(1383)%branchR2(0:0))
      call avR2(1383, 0, 14, 1, 0, FFa0, (/0, 2/), (/nGC_913/))

      allocate(vertices(101)%branchR2(0:1))
      call avR2(101, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_965, nGC_967/))

      call avR2(101, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_966, nGC_968/))

      allocate(vertices(69)%branchR2(0:0))
      call avR2(69, 0, 8, 1, 0, FaSF1, (/0, 3/), (/nGC_1078, nGC_1079/))

      allocate(vertices(642)%branchR2(0:0))
      call avR2(642, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1176/))

      allocate(vertices(118)%branchR2(0:0))
      call avR2(118, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1178/))

      allocate(vertices(779)%branchR2(0:0))
      call avR2(779, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(110)%branchR2(0:1))
      call avR2(110, 0, 18, 1, 0, FaSF1, (/0, 3/), (/nGC_1064, nGC_1063/))

      call avR2(110, 1, 18, 1, 0, FaSF1, (/2, 1/), (/nGC_1065, nGC_1065/))

      allocate(vertices(1038)%branchR2(0:0))
      call avR2(1038, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1155/))

      allocate(vertices(805)%branchR2(0:0))
      call avR2(805, 0, 8, 1, 0, FaVF0, (/0, 3/), (/nGC_1104/))

      allocate(vertices(932)%branchR2(0:0))
      call avR2(932, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1160/))

      allocate(vertices(1220)%branchR2(0:1))
      call avR2(1220, 0, 19, 1, 0, FVFa1, (/0, 3/), (/nGC_946, nGC_947/))

      call avR2(1220, 1, 19, 1, 0, FVFa1, (/2, 1/), (/nGC_933, nGC_933/))

      allocate(vertices(124)%branchR2(0:1))
      call avR2(124, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1011, nGC_1009/))

      call avR2(124, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1012, nGC_1010/))

      allocate(vertices(248)%branchR2(0:1))
      call avR2(248, 0, 18, 1, 0, FaSF1, (/0, 3/), (/nGC_971, nGC_969/))

      call avR2(248, 1, 18, 1, 0, FaSF1, (/2, 1/), (/nGC_972, nGC_970/))

      allocate(vertices(624)%branchR2(0:0))
      call avR2(624, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_990/))

      allocate(vertices(529)%branchR2(0:0))
      call avR2(529, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1153/))

      allocate(vertices(58)%branchR2(0:1))
      call avR2(58, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1057, nGC_1056/))

      call avR2(58, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1058, nGC_1058/))

      allocate(vertices(1218)%branchR2(0:0))
      call avR2(1218, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1201/))

      allocate(vertices(1500)%branchR2(0:0))
      call avR2(1500, 0, 14, 1, 0, FaF1, (/0, 2/), (/nGC_913/))

      allocate(vertices(1101)%branchR2(0:0))
      call avR2(1101, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(78)%branchR2(0:0))
      call avR2(78, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1189/))

      allocate(vertices(480)%branchR2(0:0))
      call avR2(480, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1200/))

      allocate(vertices(1664)%branchR2(0:1))
      call avR2(1664, 0, 64, 1, 0, VVVV0, (/2, 2/), (/nGC_1215, nGC_1215,      &
      nGC_1215/))

      call avR2(1664, 1, 63, 1, 0, VVVV0, (/2, 2/), (/nGC_1216, nGC_1216,      &
      nGC_1216/))

      allocate(vertices(1127)%branchR2(0:0))
      call avR2(1127, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_942, nGC_941/))

      allocate(vertices(1245)%branchR2(0:1))
      call avR2(1245, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_999, nGC_997/))

      call avR2(1245, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1000, nGC_998/))

      allocate(vertices(563)%branchR2(0:1))
      call avR2(563, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1093, nGC_1095/))

      call avR2(563, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1094, nGC_1096/))

      allocate(vertices(740)%branchR2(0:0))
      call avR2(740, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1176/))

      allocate(vertices(99)%branchR2(0:0))
      call avR2(99, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1201/))

      allocate(vertices(1249)%branchR2(0:0))
      call avR2(1249, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_992/))

      allocate(vertices(398)%branchR2(0:0))
      call avR2(398, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1178/))

      allocate(vertices(332)%branchR2(0:1))
      call avR2(332, 0, 17, 1, 0, FaFV1, (/0, 3/), (/nGC_1106, nGC_1107/))

      call avR2(332, 1, 17, 1, 0, FaFV1, (/2, 1/), (/nGC_1090, nGC_1092/))

      allocate(vertices(435)%branchR2(0:0))
      call avR2(435, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1155/))

      allocate(vertices(1196)%branchR2(0:0))
      call avR2(1196, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_979/))

      allocate(vertices(1312)%branchR2(0:0))
      call avR2(1312, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1185/))

      allocate(vertices(242)%branchR2(0:0))
      call avR2(242, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_986/))

      allocate(vertices(1665)%branchR2(0:1))
      call avR2(1665, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_1184/))

      call avR2(1665, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_1183/))

      allocate(vertices(500)%branchR2(0:0))
      call avR2(500, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1180/))

      allocate(vertices(138)%branchR2(0:1))
      call avR2(138, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1061, nGC_1060/))

      call avR2(138, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1062, nGC_1062/))

      allocate(vertices(22)%branchR2(0:0))
      call avR2(22, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1205/))

      allocate(vertices(1470)%branchR2(0:0))
      call avR2(1470, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_928/))

      allocate(vertices(470)%branchR2(0:0))
      call avR2(470, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1088/))

      allocate(vertices(512)%branchR2(0:0))
      call avR2(512, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1185/))

      allocate(vertices(1666)%branchR2(0:0))
      call avR2(1666, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_927/))

      allocate(vertices(916)%branchR2(0:0))
      call avR2(916, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1178/))

      allocate(vertices(578)%branchR2(0:0))
      call avR2(578, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(978)%branchR2(0:0))
      call avR2(978, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1175/))

      allocate(vertices(1124)%branchR2(0:1))
      call avR2(1124, 0, 18, 1, 0, FaSF1, (/0, 3/), (/nGC_1021, nGC_1019/))

      call avR2(1124, 1, 18, 1, 0, FaSF1, (/2, 1/), (/nGC_1022, nGC_1020/))

      allocate(vertices(1287)%branchR2(0:0))
      call avR2(1287, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1105/))

      allocate(vertices(1288)%branchR2(0:0))
      call avR2(1288, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1189/))

      allocate(vertices(30)%branchR2(0:0))
      call avR2(30, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1199/))

      allocate(vertices(685)%branchR2(0:0))
      call avR2(685, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1175/))

      allocate(vertices(1667)%branchR2(0:1))
      call avR2(1667, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_1217/))

      call avR2(1667, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_1218/))

      allocate(vertices(679)%branchR2(0:0))
      call avR2(679, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1164, nGC_1166,        &
      nGC_1165/))

      allocate(vertices(1348)%branchR2(0:0))
      call avR2(1348, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1193/))

      allocate(vertices(1120)%branchR2(0:0))
      call avR2(1120, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1088/))

      allocate(vertices(1018)%branchR2(0:0))
      call avR2(1018, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1153/))

      allocate(vertices(439)%branchR2(0:1))
      call avR2(439, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1081, nGC_1080/))

      call avR2(439, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1082, nGC_1082/))

      allocate(vertices(1330)%branchR2(0:0))
      call avR2(1330, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(1668)%branchR2(0:5))
      call avR2(1668, 0, 77, 1, 0, VVVV0, (/3, 1/), (/nGC_1208, nGC_1208,      &
      nGC_1208/))

      call avR2(1668, 1, 81, 1, 0, VVVV0, (/3, 1/), (/nGC_1210, nGC_1210,      &
      nGC_1210/))

      call avR2(1668, 2, 79, 1, 0, VVVV0, (/3, 1/), (/nGC_1209, nGC_1209,      &
      nGC_1209/))

      call avR2(1668, 3, 80, 1, 0, VVVV0, (/3, 1/), (/nGC_1209, nGC_1209,      &
      nGC_1209/))

      call avR2(1668, 4, 78, 1, 0, VVVV0, (/3, 1/), (/nGC_1209, nGC_1209,      &
      nGC_1209/))

      call avR2(1668, 5, 82, 1, 0, VVVV0, (/3, 1/), (/nGC_1208, nGC_1208,      &
      nGC_1208/))

      allocate(vertices(4)%branchR2(0:1))
      call avR2(4, 0, 21, 1, 0, VFFa0, (/0, 3/), (/nGC_1084/))

      call avR2(4, 1, 21, 1, 0, VFFa0, (/2, 1/), (/nGC_1085/))

      allocate(vertices(920)%branchR2(0:0))
      call avR2(920, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1176/))

      allocate(vertices(669)%branchR2(0:0))
      call avR2(669, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1185/))

      allocate(vertices(231)%branchR2(0:0))
      call avR2(231, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_1103, nGC_1102/))

      allocate(vertices(1060)%branchR2(0:0))
      call avR2(1060, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1197/))

      allocate(vertices(1221)%branchR2(0:1))
      call avR2(1221, 0, 17, 1, 0, FaFV0, (/0, 3/), (/nGC_1084/))

      call avR2(1221, 1, 17, 1, 0, FaFV0, (/2, 1/), (/nGC_1085/))

      allocate(vertices(447)%branchR2(0:0))
      call avR2(447, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1111, nGC_1110/))

      allocate(vertices(1669)%branchR2(0:0))
      call avR2(1669, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1161, nGC_1162,       &
      nGC_1162/))

      allocate(vertices(389)%branchR2(0:0))
      call avR2(389, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1178/))

      allocate(vertices(1062)%branchR2(0:1))
      call avR2(1062, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_963, nGC_961/))

      call avR2(1062, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_964, nGC_962/))

      allocate(vertices(1386)%branchR2(0:0))
      call avR2(1386, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1163/))

      allocate(vertices(109)%branchR2(0:0))
      call avR2(109, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1202/))

      allocate(vertices(842)%branchR2(0:1))
      call avR2(842, 0, 17, 1, 0, FaFV0, (/0, 3/), (/nGC_1086/))

      call avR2(842, 1, 17, 1, 0, FaFV0, (/2, 1/), (/nGC_1085/))

      allocate(vertices(834)%branchR2(0:0))
      call avR2(834, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_989/))

      allocate(vertices(650)%branchR2(0:1))
      call avR2(650, 0, 18, 1, 0, FaSF1, (/0, 3/), (/nGC_984, nGC_985/))

      call avR2(650, 1, 18, 1, 0, FaSF1, (/2, 1/), (/nGC_970, nGC_972/))

      allocate(vertices(460)%branchR2(0:0))
      call avR2(460, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1199/))

      allocate(vertices(798)%branchR2(0:1))
      call avR2(798, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_931, nGC_932/))

      call avR2(798, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_933, nGC_933/))

      allocate(vertices(165)%branchR2(0:1))
      call avR2(165, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1061, nGC_1060/))

      call avR2(165, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1062, nGC_1062/))

      allocate(vertices(1670)%branchR2(0:0))
      call avR2(1670, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1150/))

      allocate(vertices(606)%branchR2(0:1))
      call avR2(606, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1064, nGC_1063/))

      call avR2(606, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1065, nGC_1065/))

      allocate(vertices(107)%branchR2(0:0))
      call avR2(107, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1160/))

      allocate(vertices(199)%branchR2(0:1))
      call avR2(199, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1044, nGC_1043/))

      call avR2(199, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1045, nGC_1045/))

      allocate(vertices(1198)%branchR2(0:0))
      call avR2(1198, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1172/))

      allocate(vertices(939)%branchR2(0:0))
      call avR2(939, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1188/))

      allocate(vertices(1132)%branchR2(0:1))
      call avR2(1132, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1081, nGC_1080/))

      call avR2(1132, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1082, nGC_1082/))

      allocate(vertices(1671)%branchR2(0:1))
      call avR2(1671, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_1221/))

      call avR2(1671, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_1222/))

      allocate(vertices(1224)%branchR2(0:0))
      call avR2(1224, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1200/))

      allocate(vertices(1353)%branchR2(0:1))
      call avR2(1353, 0, 17, 1, 0, FaFV1, (/0, 3/), (/nGC_934, nGC_935/))

      call avR2(1353, 1, 17, 1, 0, FaFV1, (/2, 1/), (/nGC_936, nGC_936/))

      allocate(vertices(43)%branchR2(0:0))
      call avR2(43, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1154/))

      allocate(vertices(830)%branchR2(0:0))
      call avR2(830, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1189/))

      allocate(vertices(177)%branchR2(0:0))
      call avR2(177, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1066, nGC_1067/))

      allocate(vertices(617)%branchR2(0:0))
      call avR2(617, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_1111, nGC_1110/))

      allocate(vertices(1301)%branchR2(0:1))
      call avR2(1301, 0, 21, 1, 0, VFFa1, (/0, 3/), (/nGC_1106, nGC_1107/))

      call avR2(1301, 1, 21, 1, 0, VFFa1, (/2, 1/), (/nGC_1090, nGC_1092/))

      allocate(vertices(1005)%branchR2(0:0))
      call avR2(1005, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1026/))

      allocate(vertices(579)%branchR2(0:0))
      call avR2(579, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(996)%branchR2(0:0))
      call avR2(996, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_959/))

      allocate(vertices(615)%branchR2(0:0))
      call avR2(615, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1155/))

      allocate(vertices(1121)%branchR2(0:0))
      call avR2(1121, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1160/))

      allocate(vertices(786)%branchR2(0:3))
      call avR2(786, 0, 27, 1, 0, FaVF1, (/3, 0/), (/nGC_1130, nGC_1130/))

      call avR2(786, 1, 27, 1, 0, FaVF1, (/1, 2/), (/nGC_1128, nGC_1129/))

      call avR2(786, 2, 26, 1, 0, FaVF1, (/3, 0/), (/nGC_1133, nGC_1133/))

      call avR2(786, 3, 26, 1, 0, FaVF1, (/1, 2/), (/nGC_1131, nGC_1132/))

      allocate(vertices(1672)%branchR2(0:0))
      call avR2(1672, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1225, nGC_1225,       &
      nGC_1225/))

      allocate(vertices(1475)%branchR2(0:0))
      call avR2(1475, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_944/))

      allocate(vertices(1274)%branchR2(0:0))
      call avR2(1274, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1026/))

      allocate(vertices(913)%branchR2(0:1))
      call avR2(913, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_1086/))

      call avR2(913, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_1085/))

      allocate(vertices(1000)%branchR2(0:0))
      call avR2(1000, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1198/))

      allocate(vertices(1202)%branchR2(0:1))
      call avR2(1202, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1052, nGC_1051/))

      call avR2(1202, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1053, nGC_1053/))

      allocate(vertices(91)%branchR2(0:0))
      call avR2(91, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1205/))

      allocate(vertices(601)%branchR2(0:1))
      call avR2(601, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1044, nGC_1043/))

      call avR2(601, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1045, nGC_1045/))

      allocate(vertices(1469)%branchR2(0:0))
      call avR2(1469, 0, 14, 1, 0, FaF2, (/0, 2/), (/nGC_903, nGC_904, nGC_905 &
      , nGC_905/))

      allocate(vertices(1389)%branchR2(0:0))
      call avR2(1389, 0, 14, 1, 0, SS1, (/0, 2/), (/nGC_888, nGC_887/))

      allocate(vertices(1380)%branchR2(0:0))
      call avR2(1380, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_922/))

      allocate(vertices(373)%branchR2(0:0))
      call avR2(373, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1153/))

      allocate(vertices(163)%branchR2(0:0))
      call avR2(163, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_955/))

      allocate(vertices(785)%branchR2(0:0))
      call avR2(785, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1185/))

      allocate(vertices(306)%branchR2(0:0))
      call avR2(306, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1837/))

      allocate(vertices(1017)%branchR2(0:0))
      call avR2(1017, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1180/))

      allocate(vertices(997)%branchR2(0:1))
      call avR2(997, 0, 20, 1, 0, VFaF0, (/0, 3/), (/nGC_1089, nGC_1091/))

      call avR2(997, 1, 20, 1, 0, VFaF0, (/2, 1/), (/nGC_1090, nGC_1092/))

      allocate(vertices(545)%branchR2(0:0))
      call avR2(545, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1840/))

      allocate(vertices(633)%branchR2(0:0))
      call avR2(633, 0, 8, 1, 0, FFaS2, (/0, 3/), (/nGC_988/))

      allocate(vertices(96)%branchR2(0:0))
      call avR2(96, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_923/))

      allocate(vertices(944)%branchR2(0:0))
      call avR2(944, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1088/))

      allocate(vertices(549)%branchR2(0:0))
      call avR2(549, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1193/))

      allocate(vertices(1673)%branchR2(0:1))
      call avR2(1673, 0, 56, 1, 0, VVVV0, (/2, 2/), (/nGC_1227, nGC_1227,      &
      nGC_1227/))

      call avR2(1673, 1, 55, 1, 0, VVVV0, (/2, 2/), (/nGC_1226, nGC_1226,      &
      nGC_1226/))

      allocate(vertices(23)%branchR2(0:3))
      call avR2(23, 0, 30, 1, 0, VFaF0, (/3, 0/), (/nGC_1133, nGC_1133/))

      call avR2(23, 1, 30, 1, 0, VFaF0, (/1, 2/), (/nGC_1140, nGC_1141/))

      call avR2(23, 2, 31, 1, 0, VFaF0, (/3, 0/), (/nGC_1130, nGC_1130/))

      call avR2(23, 3, 31, 1, 0, VFaF0, (/1, 2/), (/nGC_1138, nGC_1139/))

      allocate(vertices(1403)%branchR2(0:1))
      call avR2(1403, 0, 13, 1, 0, FFa3, (/0, 2/), (/nGC_900, nGC_897, nGC_898 &
      , nGC_898/))

      call avR2(1403, 1, 13, 1, 0, FFa3, (/2, 0/), (/nGC_892, nGC_892, nGC_899 &
      , nGC_899/))

      allocate(vertices(92)%branchR2(0:1))
      call avR2(92, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1035, nGC_1034/))

      call avR2(92, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1036, nGC_1036/))

      allocate(vertices(16)%branchR2(0:3))
      call avR2(16, 0, 11, 1, 0, FFaV0, (/3, 0/), (/nGC_1133, nGC_1133/))

      call avR2(16, 1, 11, 1, 0, FFaV0, (/1, 2/), (/nGC_1136, nGC_1137/))

      call avR2(16, 2, 12, 1, 0, FFaV0, (/3, 0/), (/nGC_1130, nGC_1130/))

      call avR2(16, 3, 12, 1, 0, FFaV0, (/1, 2/), (/nGC_1134, nGC_1135/))

      allocate(vertices(148)%branchR2(0:0))
      call avR2(148, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1055/))

      allocate(vertices(1674)%branchR2(0:0))
      call avR2(1674, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1161, nGC_1162,       &
      nGC_1162/))

      allocate(vertices(432)%branchR2(0:0))
      call avR2(432, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_921/))

    end subroutine fill_vertices_mdl6
end module vertices_info6
