!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 17:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl1()
      coupl(nGC_1250) = coupl(nGC_693)*dZee_QED2
      coupl(nGC_1251) = coupl(nGC_697)*dZee_QED2
      coupl(nGC_1252) = coupl(nGC_766)*dcw_QED2 + coupl(nGC_767)*dsw_QED2 +    &
                        coupl(nGC_768)*dZee_QED2
      coupl(nGC_1257) = -cima*dl1_QED4
      coupl(nGC_1469) = -cima*dMU_QED2
      coupl(nGC_1468) = -cima*dMTA_QED2
      coupl(nGC_1463) = -cima*dMHL2_QED2
      coupl(nGC_1467) = -cima*dMM_QED2
      coupl(nGC_1397) = coupl(nGC_769)*dcw_QED2 + coupl(nGC_770)*dsw_QED2 +    &
                        coupl(nGC_771)*dZee_QED2
      coupl(nGC_1263) = coupl(nGC_776)*da_QED2 + coupl(nGC_777)*dl2_QED4 +     &
                        coupl(nGC_778)*dl1_QED4 + coupl(nGC_779)*dl3_QED4
      coupl(nGC_1386) = coupl(nGC_695)*dyup_QED3 + coupl(nGC_696)*da_QED2
      coupl(nGC_1387) = coupl(nGC_695)*dyup_QED1_QCD2
      coupl(nGC_TS_GC_78_Hh) = -coupl(nGC_78)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1471) = -cima*dMC_QED2
      coupl(nGC_1472) = -cima*dMC_QCD2
      coupl(nGC_1473) = -cima*dMT_QED2
      coupl(nGC_1475) = -cima*dMD_QED2
      coupl(nGC_1273) = coupl(nGC_698)*dZee_QED2
      coupl(nGC_1276) = coupl(nGC_780)*dsw_QED2 + coupl(nGC_781)*dZee_QED2 +   &
                        coupl(nGC_782)*da_QED2
      coupl(nGC_1277) = coupl(nGC_805)*dsw_QED2 + coupl(nGC_806)*dZee_QED2 +   &
                        coupl(nGC_807)*da_QED2
      coupl(nGC_1274) = coupl(nGC_694)*dZee_QED2
      coupl(nGC_1275) = coupl(nGC_774)*dsw_QED2 + coupl(nGC_775)*dZee_QED2
      coupl(nGC_TS_GC_70_Hl) = -coupl(nGC_70)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1718) = coupl(nGC_MI)*dZbR_QCD2
      coupl(nGC_1717) = coupl(nGC_MI)*dZbR_QED2
      coupl(nGC_TS_GC_79_Hl) = -coupl(nGC_79)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1660) = coupl(nGC_MI)*dZmuMinusL_QED2
      coupl(nGC_1667) = coupl(nGC_72)*dZZA_QED2/2d0
      coupl(nGC_TS_GC_67_Hl) = -coupl(nGC_67)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1284) = coupl(nGC_802)*dsw_QED2 + coupl(nGC_803)*dZee_QED2 +   &
                        coupl(nGC_804)*da_QED2
      coupl(nGC_1283) = coupl(nGC_760)*dsw_QED2 + coupl(nGC_761)*dZee_QED2 +   &
                        coupl(nGC_762)*da_QED2
      coupl(nGC_1282) = coupl(nGC_772)*dsw_QED2 + coupl(nGC_773)*dZee_QED2
      coupl(nGC_1281) = coupl(nGC_796)*dsw_QED2 + coupl(nGC_797)*dZee_QED2 +   &
                        coupl(nGC_798)*da_QED2
      coupl(nGC_1280) = coupl(nGC_763)*dsw_QED2 + coupl(nGC_764)*dZee_QED2 +   &
                        coupl(nGC_765)*da_QED2
      coupl(nGC_1380) = coupl(nGC_691)*dyup_QED3 + coupl(nGC_692)*da_QED2
      coupl(nGC_1381) = coupl(nGC_691)*dyup_QED1_QCD2
      coupl(nGC_1478) = -cima*dMS_QCD2
      coupl(nGC_1479) = -cima*dMB_QED2
      coupl(nGC_1470) = -cima*dMU_QCD2
      coupl(nGC_1474) = -cima*dMT_QCD2
      coupl(nGC_1476) = -cima*dMD_QCD2
      coupl(nGC_1477) = -cima*dMS_QED2
      coupl(nGC_1679) = coupl(nGC_MI)*dZtR_QED2
      coupl(nGC_1294) = coupl(nGC_828)*dcw_QED2 + coupl(nGC_829)*dsw_QED2 +    &
                        coupl(nGC_830)*dZee_QED2
      coupl(nGC_1292) = coupl(nGC_834)*dcw_QED2 + coupl(nGC_835)*dsw_QED2 +    &
                        coupl(nGC_836)*dZee_QED2 + coupl(nGC_837)*da_QED2
      coupl(nGC_TS_GC_93_Hh) = -coupl(nGC_93)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_66_Hh) = -coupl(nGC_66)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_66_Hl) = -coupl(nGC_66)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_79_Hh) = -coupl(nGC_79)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1625) = coupl(nGC_MI)*dZcR_QED2
      coupl(nGC_1376) = coupl(nGC_686)*dyt_QED3
      coupl(nGC_1590) = coupl(nGC_73)*dZZA_QED2/2d0
      coupl(nGC_1336) = coupl(nGC_680)*dys_QED1_QCD2
      coupl(nGC_1335) = coupl(nGC_680)*dys_QED3
      coupl(nGC_1553) = coupl(nGC_65)*dZZA_QED2/2d0
      coupl(nGC_1612) = coupl(nGC_61)*dZZA_QED2/2d0
      coupl(nGC_TS_GC_72_Hh) = -coupl(nGC_72)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1104) = (4d0*coupl(nGC_33)**2d0*coupl(nGC_37) + 4d0*coupl(     &
                        nGC_33)**2d0*coupl(nGC_55) + coupl(nGC_52)*coupl(nGC_95&
                        )**2d0 + 4d0*coupl(nGC_56)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1586) = coupl(nGC_67)*dZZA_QED2/2d0
      coupl(nGC_1324) = cima*dyc_QED1_QCD2
      coupl(nGC_1325) = cima*dyt_QED3
      coupl(nGC_1326) = cima*dyt_QED1_QCD2
      coupl(nGC_1327) = -cima*dyb_QED3
      coupl(nGC_1320) = cima*dyup_QED1_QCD2
      coupl(nGC_1321) = -cima*dys_QED3
      coupl(nGC_1322) = -cima*dys_QED1_QCD2
      coupl(nGC_1323) = cima*dyc_QED3
      coupl(nGC_1328) = -cima*dyb_QED1_QCD2
      coupl(nGC_TS_GC_74_Hl) = -coupl(nGC_74)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_89_Hl) = -coupl(nGC_89)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1629) = coupl(nGC_MI)*dZcL_QED2
      coupl(nGC_1628) = coupl(nGC_1472) + coupl(nGC_MC)*dZcL_QCD2/2d0 + coupl( &
                        nGC_MC)*dZcR_QCD2/2d0
      coupl(nGC_1624) = coupl(nGC_1263) + coupl(nGC_21)*dZHlHh_QED2 + coupl(   &
                        nGC_22)*dZHhHl_QED2 + coupl(nGC_25)*dZHh_QED2 + coupl( &
                        nGC_25)*dZHl_QED2
      coupl(nGC_1626) = coupl(nGC_MI)*dZcR_QCD2
      coupl(nGC_1822) = coupl(nGC_MI)*dZdL_QCD2
      coupl(nGC_1821) = coupl(nGC_MI)*dZdL_QED2
      coupl(nGC_1820) = coupl(nGC_1476) + coupl(nGC_MD)*dZdL_QCD2/2d0 + coupl( &
                        nGC_MD)*dZdR_QCD2/2d0
      coupl(nGC_1829) = coupl(nGC_MI)*dZA_QED2
      coupl(nGC_1489) = coupl(nGC_1282) + coupl(nGC_38)*dZA_QED2/2d0 + coupl(  &
                        nGC_38)*dZWMinus_QED2/2d0 + coupl(nGC_7)*dZZA_QED2/2d0
      coupl(nGC_1481) = cima*dMZ2_QED2
      coupl(nGC_1480) = -cima*dMB_QCD2
      coupl(nGC_1483) = coupl(nGC_405)*dMW2_QED2
      coupl(nGC_1482) = cima*dMW2_QED2
      coupl(nGC_1485) = coupl(nGC_413)*dMZ2_QED2
      coupl(nGC_1484) = coupl(nGC_409)*dMW2_QED2
      coupl(nGC_1486) = coupl(nGC_MI)*dZnu_muL_QED2
      coupl(nGC_1558) = -coupl(nGC_1252) - coupl(nGC_37)*dZWMinus_QED2/2d0
      coupl(nGC_1312) = coupl(nGC_825)*dcw_QED2 + coupl(nGC_826)*dsw_QED2 +    &
                        coupl(nGC_827)*dZee_QED2
      coupl(nGC_1315) = coupl(nGC_831)*dcw_QED2 + coupl(nGC_832)*dsw_QED2 +    &
                        coupl(nGC_833)*dZee_QED2
      coupl(nGC_1314) = coupl(nGC_822)*dcw_QED2 + coupl(nGC_823)*dsw_QED2 +    &
                        coupl(nGC_824)*dZee_QED2
      coupl(nGC_1317) = -cima*dydo_QED3
      coupl(nGC_1319) = cima*dyup_QED3
      coupl(nGC_1318) = -cima*dydo_QED1_QCD2
      coupl(nGC_998) = coupl(nGC_11)**2d0*coupl(nGC_86)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_996) = coupl(nGC_11)**2d0*coupl(nGC_81)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_994) = coupl(nGC_11)**2d0*coupl(nGC_82)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_83_Hh) = -coupl(nGC_83)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_25_Hh) = -coupl(nGC_25)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1830) = -coupl(nGC_MI)*dZA_QED2
      coupl(nGC_TS_GC_19_Hl) = -coupl(nGC_19)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_99_Hl) = -coupl(nGC_99)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1548) = -coupl(nGC_1397) - coupl(nGC_36)*dZWMinus_QED2/2d0
      coupl(nGC_1549) = coupl(nGC_1317) + coupl(nGC_90)*dZdR_QED2/2d0 + coupl( &
                        nGC_90)*dZuL_QED2/2d0
      coupl(nGC_1492) = coupl(nGC_33)*(dZbL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_1490) = coupl(nGC_1277) + coupl(nGC_17)*dZZA_QED2/2d0 + coupl( &
                        nGC_40)*dZHhHl_QED2/2d0 + coupl(nGC_48)*dZA_QED2/2d0 + &
                        coupl(nGC_48)*dZHl_QED2/2d0 + coupl(nGC_48)*           &
                        dZWMinus_QED2/2d0
      coupl(nGC_1499) = coupl(nGC_54)*dZtL_QCD2
      coupl(nGC_1308) = coupl(nGC_821)*dZee_QED2
      coupl(nGC_TS_GC_65_Hh) = -coupl(nGC_65)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1301) = coupl(nGC_855)*dcw_QED2 + coupl(nGC_856)*dsw_QED2 +    &
                        coupl(nGC_857)*dZee_QED2
      coupl(nGC_1215) = -cima*coupl(nGC_11)**2d0*coupl(nGC_33)**2d0*sq2**2d0/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_1216) = cima*coupl(nGC_11)**2d0*coupl(nGC_33)**2d0*sq2**2d0/(  &
                        32d0*pi**2d0)
      coupl(nGC_1630) = coupl(nGC_MI)*dZcL_QCD2
      coupl(nGC_TS_GC_73_Hl) = -coupl(nGC_73)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_17_Hl) = -coupl(nGC_17)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1143) = sq2**3d0*(-11d0*Nc*cima*coupl(nGC_10)**3d0 - 48d0*coupl&
                        (nGC_11)**3d0)/(768d0*pi**2d0)
      coupl(nGC_1337) = coupl(nGC_607)*dyb_QED3
      coupl(nGC_TS_GC_57_Hh) = -coupl(nGC_57)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1809) = coupl(nGC_MI)*dZuR_QED2
      coupl(nGC_1808) = -coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_1807) = coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_1794) = coupl(nGC_MI)*dZsL_QCD2
      coupl(nGC_1796) = coupl(nGC_1280) + coupl(nGC_35)*dZHh_QED2/2d0 + coupl( &
                        nGC_35)*dZWMinus_QED2/2d0 + coupl(nGC_46)*dZHlHh_QED2/ &
                        2d0
      coupl(nGC_1790) = coupl(nGC_MI)*dZsR_QCD2
      coupl(nGC_1793) = coupl(nGC_MI)*dZsL_QED2
      coupl(nGC_1792) = coupl(nGC_1478) + coupl(nGC_MS)*dZsL_QCD2/2d0 + coupl( &
                        nGC_MS)*dZsR_QCD2/2d0
      coupl(nGC_1571) = -coupl(nGC_57)*dZZA_QED2/2d0
      coupl(nGC_1576) = coupl(nGC_54)*dZuL_QCD2
      coupl(nGC_1578) = coupl(nGC_51)*dZuR_QCD2
      coupl(nGC_1379) = coupl(nGC_685)*dyt_QED1_QCD2
      coupl(nGC_1378) = coupl(nGC_685)*dyt_QED3
      coupl(nGC_1371) = coupl(nGC_690)*dyup_QED1_QCD2
      coupl(nGC_1370) = coupl(nGC_690)*dyup_QED3
      coupl(nGC_1377) = coupl(nGC_686)*dyt_QED1_QCD2
      coupl(nGC_1375) = coupl(nGC_637)*dyc_QED1_QCD2
      coupl(nGC_1374) = coupl(nGC_637)*dyc_QED3
      coupl(nGC_TS_GC_24_Hh) = -coupl(nGC_24)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1818) = coupl(nGC_MI)*dZdR_QCD2
      coupl(nGC_1812) = coupl(nGC_1470) + coupl(nGC_MU)*dZuL_QCD2/2d0 + coupl( &
                        nGC_MU)*dZuR_QCD2/2d0
      coupl(nGC_1813) = coupl(nGC_MI)*dZuL_QED2
      coupl(nGC_1810) = coupl(nGC_MI)*dZuR_QCD2
      coupl(nGC_1817) = coupl(nGC_MI)*dZdR_QED2
      coupl(nGC_1814) = coupl(nGC_MI)*dZuL_QCD2
      coupl(nGC_1142) = sq2**3d0*(11d0*Nc*cima*coupl(nGC_10)**3d0 + 48d0*coupl(&
                        nGC_11)**3d0)/(768d0*pi**2d0)
      coupl(nGC_1783) = -coupl(nGC_61)*dZZA_QED2/2d0
      coupl(nGC_1781) = -coupl(nGC_1284) - coupl(nGC_34)*dZHhHl_QED2/2d0 -     &
                        coupl(nGC_47)*dZHl_QED2/2d0 - coupl(nGC_47)*           &
                        dZWMinus_QED2/2d0
      coupl(nGC_1787) = coupl(nGC_MI)*dZeMinusL_QED2
      coupl(nGC_1785) = coupl(nGC_MI)*dZeMinusR_QED2
      coupl(nGC_1789) = coupl(nGC_MI)*dZsR_QED2
      coupl(nGC_TS_GC_98_Hh) = -coupl(nGC_98)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1568) = coupl(nGC_1315) + coupl(nGC_56)*dZZ_QED2/2d0 + coupl(  &
                        nGC_56)*dZnu_muL_QED2
      coupl(nGC_1562) = coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_1563) = -coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_1561) = coupl(nGC_1481) + coupl(nGC_MZ)*dZZ_QED2 + coupl(      &
                        nGC_TS_GC_72_Hh) + coupl(nGC_TS_GC_73_Hl)
      coupl(nGC_1368) = coupl(nGC_689)*dyup_QED3
      coupl(nGC_1369) = coupl(nGC_689)*dyup_QED1_QCD2
      coupl(nGC_1360) = coupl(nGC_687)*dytau_QED3
      coupl(nGC_1361) = coupl(nGC_688)*dytau_QED3
      coupl(nGC_1362) = coupl(nGC_659)*dye_QED3 + coupl(nGC_660)*da_QED2
      coupl(nGC_1363) = coupl(nGC_663)*dym_QED3 + coupl(nGC_664)*da_QED2
      coupl(nGC_1365) = coupl(nGC_666)*dye_QED3 + coupl(nGC_667)*da_QED2
      coupl(nGC_1634) = coupl(nGC_1362) + coupl(nGC_98)*dZHh_QED2/2d0 + coupl( &
                        nGC_98)*dZeMinusL_QED2/2d0 + coupl(nGC_98)*            &
                        dZeMinusR_QED2/2d0 + coupl(nGC_99)*dZHlHh_QED2/2d0
      coupl(nGC_1210) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(&
                        nGC_2))/(16d0*pi**2d0*Nc**2d0)
      coupl(nGC_TS_GC_34_Hh) = -coupl(nGC_34)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1124) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(     &
                        nGC_120)**2d0 + 4d0*coupl(nGC_33)**2d0 + 4d0*coupl(    &
                        nGC_53)**2d0 + coupl(nGC_91)*coupl(nGC_92) + coupl(    &
                        nGC_93)**2d0 + coupl(nGC_94)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1123) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl(&
                        nGC_51)**2d0 - coupl(nGC_85)**2d0 - coupl(nGC_86)*coupl&
                        (nGC_87) - coupl(nGC_88)**2d0 - coupl(nGC_89)**2d0)/(  &
                        64d0*pi**2d0)
      coupl(nGC_1173) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 +  &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1779) = coupl(nGC_11)*dZcR_QED2
      coupl(nGC_1777) = coupl(nGC_11)*dZcL_QED2
      coupl(nGC_1775) = coupl(nGC_1281) + coupl(nGC_35)*dZHhHl_QED2/2d0 + coupl&
                        (nGC_46)*dZHl_QED2/2d0 + coupl(nGC_46)*dZWMinus_QED2/  &
                        2d0
      coupl(nGC_1771) = coupl(nGC_1284) + coupl(nGC_34)*dZHhHl_QED2/2d0 + coupl&
                        (nGC_47)*dZHl_QED2/2d0 + coupl(nGC_47)*dZWMinus_QED2/  &
                        2d0
      coupl(nGC_TS_GC_23_Hl) = -coupl(nGC_23)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1511) = coupl(nGC_11)*dZtR_QED2
      coupl(nGC_1517) = coupl(nGC_MI)*dZnu_eL_QED2
      coupl(nGC_1516) = coupl(nGC_50)*dZbR_QCD2
      coupl(nGC_1514) = coupl(nGC_53)*dZbL_QCD2
      coupl(nGC_1689) = coupl(nGC_1274) + coupl(nGC_4)*dZA_QED2/2d0 + coupl(   &
                        nGC_4)*dZeMinusR_QED2 + coupl(nGC_52)*dZZA_QED2/2d0
      coupl(nGC_1688) = coupl(nGC_1274) + coupl(nGC_4)*dZA_QED2/2d0 + coupl(   &
                        nGC_4)*dZeMinusL_QED2 + coupl(nGC_55)*dZZA_QED2/2d0
      coupl(nGC_1683) = coupl(nGC_MI)*dZtL_QED2
      coupl(nGC_1682) = coupl(nGC_1474) + coupl(nGC_MT)*dZtL_QCD2/2d0 + coupl( &
                        nGC_MT)*dZtR_QCD2/2d0
      coupl(nGC_1680) = coupl(nGC_MI)*dZtR_QCD2
      coupl(nGC_1685) = -coupl(nGC_1397) - coupl(nGC_36)*dZZ_QED2/2d0 - coupl( &
                        nGC_4)*dZAZ_QED2/2d0
      coupl(nGC_1684) = coupl(nGC_MI)*dZtL_QCD2
      coupl(nGC_TS_GC_46_Hl) = -coupl(nGC_46)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1355) = -cima*dytau_QED3
      coupl(nGC_1354) = -cima*dym_QED3
      coupl(nGC_1357) = coupl(nGC_662)*dye_QED3
      coupl(nGC_1356) = coupl(nGC_653)*dye_QED3
      coupl(nGC_1350) = coupl(nGC_683)*dys_QED1_QCD2
      coupl(nGC_1353) = -cima*dye_QED3
      coupl(nGC_1352) = coupl(nGC_609)*dyb_QED1_QCD2
      coupl(nGC_1359) = coupl(nGC_661)*dym_QED3
      coupl(nGC_1358) = coupl(nGC_665)*dym_QED3
      coupl(nGC_1227) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_50)**2d0  &
                         - coupl(nGC_51)**2d0 - coupl(nGC_53)**2d0 - coupl(    &
                        nGC_54)**2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_1226) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_50)**2d0 + &
                        coupl(nGC_51)**2d0 + coupl(nGC_53)**2d0 + coupl(nGC_54 &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_1229) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_50) -     &
                        coupl(nGC_51) - coupl(nGC_53) - coupl(nGC_54))/(64d0*pi&
                        **2d0*Nc)
      coupl(nGC_1228) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_50) + coupl&
                        (nGC_51) + coupl(nGC_53) + coupl(nGC_54))/(128d0*pi**  &
                        2d0)
      coupl(nGC_TS_GC_21_Hh) = -coupl(nGC_21)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1391) = coupl(nGC_281)*dyt_QED1_QCD2
      coupl(nGC_1466) = -cima*dME_QED2
      coupl(nGC_1769) = -coupl(nGC_1274) - coupl(nGC_4)*dZA_QED2/2d0 - coupl(  &
                        nGC_55)*dZZA_QED2/2d0
      coupl(nGC_1765) = coupl(nGC_50)*dZdR_QCD2
      coupl(nGC_1760) = coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_1761) = -coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_1762) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_1314) + coupl(  &
                        nGC_53)*dZZ_QED2/2d0 + coupl(nGC_53)*dZdL_QED2
      coupl(nGC_1763) = coupl(nGC_53)*dZdL_QCD2
      coupl(nGC_1509) = coupl(nGC_11)*dZtL_QED2
      coupl(nGC_1501) = coupl(nGC_51)*dZtR_QCD2
      coupl(nGC_1502) = coupl(nGC_1274) + coupl(nGC_4)*dZA_QED2/2d0 + coupl(   &
                        nGC_4)*dZmuMinusL_QED2 + coupl(nGC_55)*dZZA_QED2/2d0
      coupl(nGC_1503) = coupl(nGC_1274) + coupl(nGC_4)*dZA_QED2/2d0 + coupl(   &
                        nGC_4)*dZmuMinusR_QED2 + coupl(nGC_52)*dZZA_QED2/2d0
      coupl(nGC_1504) = coupl(nGC_1353) + coupl(nGC_95)*dZeMinusR_QED2/2d0 +   &
                        coupl(nGC_95)*dZnu_eL_QED2/2d0
      coupl(nGC_1505) = -coupl(nGC_1250) - coupl(nGC_3)*dZWMinus_QED2/2d0
      coupl(nGC_1506) = coupl(nGC_66)*dZZA_QED2/2d0
      coupl(nGC_1507) = coupl(nGC_1276) + coupl(nGC_40)*dZA_QED2/2d0 + coupl(  &
                        nGC_40)*dZHh_QED2/2d0 + coupl(nGC_40)*dZWMinus_QED2/2d0&
                         + coupl(nGC_48)*dZHlHh_QED2/2d0 + coupl(nGC_9)*       &
                        dZZA_QED2/2d0
      coupl(nGC_1698) = coupl(nGC_1315) + coupl(nGC_56)*dZZ_QED2/2d0 + coupl(  &
                        nGC_56)*dZnu_tauL_QED2
      coupl(nGC_1690) = -coupl(nGC_1281) - coupl(nGC_35)*dZHhHl_QED2/2d0 -     &
                        coupl(nGC_46)*dZHl_QED2/2d0 - coupl(nGC_46)*           &
                        dZWMinus_QED2/2d0
      coupl(nGC_1691) = coupl(nGC_1301) + coupl(nGC_58)*dZAZ_QED2 + coupl(     &
                        nGC_63)*dZZ_QED2
      coupl(nGC_1692) = coupl(nGC_1294) + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_55)*dZZ_QED2/2d0 + coupl(nGC_55)*dZmuMinusL_QED2
      coupl(nGC_1695) = coupl(nGC_2)*dZtL_QCD2
      coupl(nGC_1697) = coupl(nGC_2)*dZtR_QCD2
      coupl(nGC_1342) = coupl(nGC_645)*dydo_QED1_QCD2
      coupl(nGC_1343) = coupl(nGC_681)*dys_QED3 + coupl(nGC_682)*da_QED2
      coupl(nGC_1340) = coupl(nGC_608)*dyb_QED1_QCD2
      coupl(nGC_1341) = coupl(nGC_645)*dydo_QED3 + coupl(nGC_646)*da_QED2
      coupl(nGC_1347) = coupl(nGC_651)*dydo_QED3 + coupl(nGC_652)*da_QED2
      coupl(nGC_1344) = coupl(nGC_681)*dys_QED1_QCD2
      coupl(nGC_1348) = coupl(nGC_651)*dydo_QED1_QCD2
      coupl(nGC_1349) = coupl(nGC_683)*dys_QED3 + coupl(nGC_684)*da_QED2
      coupl(nGC_1186) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(  &
                        nGC_50) + coupl(nGC_1)*coupl(nGC_53) + coupl(nGC_2)*   &
                        coupl(nGC_51) + coupl(nGC_2)*coupl(nGC_54))/(32d0*pi** &
                        2d0)
      coupl(nGC_1187) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl( &
                        nGC_50) - coupl(nGC_1)*coupl(nGC_53) - coupl(nGC_2)*   &
                        coupl(nGC_51) - coupl(nGC_2)*coupl(nGC_54))/(32d0*pi** &
                        2d0*Nc)
      coupl(nGC_920) = cMU*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_51)*coupl(     &
                       nGC_54))/(8d0*pi**2d0)
      coupl(nGC_1238) = (-10d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 6d0*cima*    &
                        coupl(nGC_447)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(    &
                        nGC_12)*sq2**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_445&
                        )*sq2**2d0 + 15d0*coupl(nGC_10)**2d0*coupl(nGC_447)*sq2&
                        **2d0)/(192d0*pi**2d0)
      coupl(nGC_1239) = (-10d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 6d0*cima*    &
                        coupl(nGC_447)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(    &
                        nGC_443)*sq2**2d0 + 18d0*coupl(nGC_10)**2d0*coupl(     &
                        nGC_447)*sq2**2d0)/(192d0*pi**2d0)
      coupl(nGC_1236) = (-20d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*cima*   &
                        coupl(nGC_447)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(    &
                        nGC_12)*sq2**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_443&
                        )*sq2**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_445)*sq2 &
                        **2d0 + 33d0*coupl(nGC_10)**2d0*coupl(nGC_447)*sq2**2d0&
                        )/(384d0*pi**2d0)
      coupl(nGC_1237) = (-5d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 3d0*cima*coupl&
                        (nGC_12)**2d0 - 6d0*cima*coupl(nGC_12)*coupl(nGC_445   &
                        ) + 3d0*cima*coupl(nGC_445)**2d0 + 9d0*coupl(nGC_10)** &
                        2d0*coupl(nGC_12)*sq2**2d0 - 6d0*coupl(nGC_10)**2d0*   &
                        coupl(nGC_445)*sq2**2d0)/(96d0*pi**2d0)
      coupl(nGC_1234) = (5d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 3d0*Nc*cima*&
                        coupl(nGC_12)*coupl(nGC_447) + 3d0*Nc*cima*coupl(      &
                        nGC_445)*coupl(nGC_447) - 6d0*Nc*coupl(nGC_10)**2d0*   &
                        coupl(nGC_12)*sq2**2d0 + 3d0*Nc*coupl(nGC_10)**2d0*    &
                        coupl(nGC_445)*sq2**2d0 - 3d0*Nc*coupl(nGC_10)**2d0*   &
                        coupl(nGC_447)*sq2**2d0 - 3d0*cima*coupl(nGC_11)**4d0* &
                        sq2**4d0)/(192d0*pi**2d0*Nc)
      coupl(nGC_1235) = (10d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 6d0*Nc*cima&
                        *coupl(nGC_12)*coupl(nGC_447) + 6d0*Nc*cima*coupl(     &
                        nGC_445)*coupl(nGC_447) - 9d0*Nc*coupl(nGC_10)**2d0*   &
                        coupl(nGC_12)*sq2**2d0 - 3d0*Nc*coupl(nGC_10)**2d0*    &
                        coupl(nGC_443)*sq2**2d0 + 9d0*Nc*coupl(nGC_10)**2d0*   &
                        coupl(nGC_445)*sq2**2d0 - 9d0*Nc*coupl(nGC_10)**2d0*   &
                        coupl(nGC_447)*sq2**2d0 - 6d0*cima*coupl(nGC_11)**4d0* &
                        sq2**4d0)/(384d0*pi**2d0*Nc)
      coupl(nGC_1232) = (-8d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*Nc*   &
                        cima*coupl(nGC_12)**2d0 + 12d0*Nc*cima*coupl(nGC_445)**&
                        2d0 + 21d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_12)*sq2**2d0&
                         - 21d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_445)*sq2**2d0  &
                         + 36d0*cima*coupl(nGC_11)**4d0*sq2**4d0)/(768d0*pi**  &
                        2d0)
      coupl(nGC_1233) = (20d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 12d0*Nc*   &
                        cima*coupl(nGC_12)*coupl(nGC_447) + 12d0*Nc*cima*coupl(&
                        nGC_445)*coupl(nGC_447) - 21d0*Nc*coupl(nGC_10)**2d0*  &
                        coupl(nGC_12)*sq2**2d0 - 3d0*Nc*coupl(nGC_10)**2d0*    &
                        coupl(nGC_443)*sq2**2d0 + 15d0*Nc*coupl(nGC_10)**2d0*  &
                        coupl(nGC_445)*sq2**2d0 - 15d0*Nc*coupl(nGC_10)**2d0*  &
                        coupl(nGC_447)*sq2**2d0 - 12d0*cima*coupl(nGC_11)**4d0*&
                        sq2**4d0)/(768d0*pi**2d0*Nc)
      coupl(nGC_1230) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_50) + coupl&
                        (nGC_51) + coupl(nGC_53) + coupl(nGC_54))/(32d0*pi**2d0&
                        *Nc**2d0)
      coupl(nGC_1231) = sq2**2d0*(-2d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 +   &
                        3d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_443) - 3d0*Nc*coupl&
                        (nGC_10)**2d0*coupl(nGC_447) - 30d0*cima*coupl(nGC_11  &
                        )**4d0*sq2**2d0)/(384d0*pi**2d0)
      coupl(nGC_1613) = coupl(nGC_106)*dZsL_QED2/2d0 + coupl(nGC_106)*dZsR_QED2&
                        /2d0 + coupl(nGC_1335)
      coupl(nGC_1614) = coupl(nGC_106)*dZsL_QCD2/2d0 + coupl(nGC_106)*dZsR_QCD2&
                        /2d0 + coupl(nGC_1336)
      coupl(nGC_TS_GC_30_Hl) = -coupl(nGC_30)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1619) = coupl(nGC_1)*dZdL_QCD2
      coupl(nGC_1300) = coupl(nGC_858)*dcw_QED2 + coupl(nGC_859)*dsw_QED2 +    &
                        coupl(nGC_860)*dZee_QED2
      coupl(nGC_TS_GC_88_Hh) = -coupl(nGC_88)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_35_Hh) = -coupl(nGC_35)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_75_Hh) = -coupl(nGC_75)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_21_Hl) = -coupl(nGC_21)*dtHl_QED1/cMHL**2d0
    end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
