!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 17:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl3()
      coupl(nGC_1293) = coupl(nGC_846)*dcw_QED2 + coupl(nGC_847)*dsw_QED2 +    &
                        coupl(nGC_848)*dZee_QED2 + coupl(nGC_849)*da_QED2
      coupl(nGC_1197) = (40d0*Nc*cima*coupl(nGC_108)**3d0*coupl(nGC_109) + 40d0&
                        *Nc*cima*coupl(nGC_113)**3d0*coupl(nGC_114) + 40d0*Nc* &
                        cima*coupl(nGC_123)**3d0*coupl(nGC_124) + 40d0*Nc*cima*&
                        coupl(nGC_83)**3d0*coupl(nGC_84) + 40d0*Nc*cima*coupl( &
                        nGC_88)**3d0*coupl(nGC_89) + 40d0*Nc*cima*coupl(nGC_93 &
                        )**3d0*coupl(nGC_94) + 40d0*cima*coupl(nGC_103)**3d0*  &
                        coupl(nGC_104) + 40d0*cima*coupl(nGC_118)**3d0*coupl(  &
                        nGC_119) + 12d0*cima*coupl(nGC_28)*coupl(nGC_30) - 5d0*&
                        cima*coupl(nGC_34)**2d0*coupl(nGC_421)*coupl(nGC_439   &
                        ) - 5d0*cima*coupl(nGC_34)*coupl(nGC_421)**2d0*coupl(  &
                        nGC_47) - 5d0*cima*coupl(nGC_35)**2d0*coupl(nGC_441)*  &
                        coupl(nGC_453) - 5d0*cima*coupl(nGC_35)*coupl(nGC_441  &
                        )**2d0*coupl(nGC_46) - 5d0*cima*coupl(nGC_449)*coupl(  &
                        nGC_451)*coupl(nGC_57)**2d0 - 5d0*cima*coupl(nGC_451)**&
                        2d0*coupl(nGC_57)*coupl(nGC_61) + 6d0*cima*coupl(nGC_65&
                        )*coupl(nGC_66) + 40d0*cima*coupl(nGC_98)**3d0*coupl(  &
                        nGC_99) + 3d0*coupl(nGC_18)*coupl(nGC_34)*coupl(nGC_421&
                        ) + 3d0*coupl(nGC_18)*coupl(nGC_35)*coupl(nGC_441) +   &
                        3d0*coupl(nGC_18)*coupl(nGC_451)*coupl(nGC_57) + 2d0*  &
                        coupl(nGC_20)*coupl(nGC_34)*coupl(nGC_439) + 2d0*coupl(&
                        nGC_20)*coupl(nGC_35)*coupl(nGC_453) + coupl(nGC_20)*  &
                        coupl(nGC_421)*coupl(nGC_47) + coupl(nGC_20)*coupl(    &
                        nGC_441)*coupl(nGC_46) + 2d0*coupl(nGC_20)*coupl(      &
                        nGC_449)*coupl(nGC_57) + coupl(nGC_20)*coupl(nGC_451)* &
                        coupl(nGC_61) - coupl(nGC_28)*coupl(nGC_34)*coupl(     &
                        nGC_439) - coupl(nGC_28)*coupl(nGC_35)*coupl(nGC_453   &
                        ) - 2d0*coupl(nGC_28)*coupl(nGC_421)*coupl(nGC_47) -   &
                        2d0*coupl(nGC_28)*coupl(nGC_441)*coupl(nGC_46) - 3d0*  &
                        coupl(nGC_30)*coupl(nGC_34)*coupl(nGC_421) - 3d0*coupl(&
                        nGC_30)*coupl(nGC_35)*coupl(nGC_441) - coupl(nGC_449)* &
                        coupl(nGC_57)*coupl(nGC_65) - 3d0*coupl(nGC_451)*coupl(&
                        nGC_57)*coupl(nGC_66) - 2d0*coupl(nGC_451)*coupl(nGC_61&
                        )*coupl(nGC_65))/(32d0*pi**2d0)
      coupl(nGC_1196) = (20d0*Nc*cima*coupl(nGC_108)**4d0 + 20d0*Nc*cima*coupl(&
                        nGC_113)**4d0 + 20d0*Nc*cima*coupl(nGC_123)**4d0 + 20d0&
                        *Nc*cima*coupl(nGC_83)**4d0 + 20d0*Nc*cima*coupl(nGC_88&
                        )**4d0 + 20d0*Nc*cima*coupl(nGC_93)**4d0 + 20d0*cima*  &
                        coupl(nGC_103)**4d0 + 20d0*cima*coupl(nGC_118)**4d0 +  &
                        6d0*cima*coupl(nGC_28)**2d0 - 5d0*cima*coupl(nGC_34)** &
                        2d0*coupl(nGC_421)**2d0 - 5d0*cima*coupl(nGC_35)**2d0* &
                        coupl(nGC_441)**2d0 - 5d0*cima*coupl(nGC_451)**2d0*    &
                        coupl(nGC_57)**2d0 + 3d0*cima*coupl(nGC_65)**2d0 + 20d0&
                        *cima*coupl(nGC_98)**4d0 + 3d0*coupl(nGC_20)*coupl(    &
                        nGC_34)*coupl(nGC_421) + 3d0*coupl(nGC_20)*coupl(nGC_35&
                        )*coupl(nGC_441) + 3d0*coupl(nGC_20)*coupl(nGC_451)*   &
                        coupl(nGC_57) - 3d0*coupl(nGC_28)*coupl(nGC_34)*coupl( &
                        nGC_421) - 3d0*coupl(nGC_28)*coupl(nGC_35)*coupl(      &
                        nGC_441) - 3d0*coupl(nGC_451)*coupl(nGC_57)*coupl(     &
                        nGC_65))/(16d0*pi**2d0)
      coupl(nGC_1194) = (20d0*Nc*cima*coupl(nGC_106)**2d0*coupl(nGC_109)**2d0  &
                         + 80d0*Nc*cima*coupl(nGC_106)*coupl(nGC_107)*coupl(   &
                        nGC_109)**2d0 + 20d0*Nc*cima*coupl(nGC_107)**2d0*coupl(&
                        nGC_109)**2d0 + 20d0*Nc*cima*coupl(nGC_111)**2d0*coupl(&
                        nGC_114)**2d0 + 80d0*Nc*cima*coupl(nGC_111)*coupl(     &
                        nGC_112)*coupl(nGC_114)**2d0 + 20d0*Nc*cima*coupl(     &
                        nGC_112)**2d0*coupl(nGC_114)**2d0 + 20d0*Nc*cima*coupl(&
                        nGC_121)**2d0*coupl(nGC_124)**2d0 + 80d0*Nc*cima*coupl(&
                        nGC_121)*coupl(nGC_122)*coupl(nGC_124)**2d0 + 20d0*Nc* &
                        cima*coupl(nGC_122)**2d0*coupl(nGC_124)**2d0 + 20d0*Nc*&
                        cima*coupl(nGC_81)**2d0*coupl(nGC_84)**2d0 + 80d0*Nc*  &
                        cima*coupl(nGC_81)*coupl(nGC_82)*coupl(nGC_84)**2d0 +  &
                        20d0*Nc*cima*coupl(nGC_82)**2d0*coupl(nGC_84)**2d0 +   &
                        20d0*Nc*cima*coupl(nGC_86)**2d0*coupl(nGC_89)**2d0 +   &
                        80d0*Nc*cima*coupl(nGC_86)*coupl(nGC_87)*coupl(nGC_89  &
                        )**2d0 + 20d0*Nc*cima*coupl(nGC_87)**2d0*coupl(nGC_89  &
                        )**2d0 + 20d0*Nc*cima*coupl(nGC_91)**2d0*coupl(nGC_94  &
                        )**2d0 + 80d0*Nc*cima*coupl(nGC_91)*coupl(nGC_92)*coupl&
                        (nGC_94)**2d0 + 20d0*Nc*cima*coupl(nGC_92)**2d0*coupl( &
                        nGC_94)**2d0 + 20d0*cima*coupl(nGC_101)**2d0*coupl(    &
                        nGC_104)**2d0 + 80d0*cima*coupl(nGC_101)*coupl(nGC_102 &
                        )*coupl(nGC_104)**2d0 + 20d0*cima*coupl(nGC_102)**2d0* &
                        coupl(nGC_104)**2d0 + 20d0*cima*coupl(nGC_116)**2d0*   &
                        coupl(nGC_119)**2d0 + 80d0*cima*coupl(nGC_116)*coupl(  &
                        nGC_117)*coupl(nGC_119)**2d0 + 20d0*cima*coupl(nGC_117 &
                        )**2d0*coupl(nGC_119)**2d0 + 12d0*cima*coupl(nGC_26)*  &
                        coupl(nGC_31) - 5d0*cima*coupl(nGC_32)**2d0*coupl(     &
                        nGC_46)**2d0 - 5d0*cima*coupl(nGC_32)**2d0*coupl(nGC_47&
                        )**2d0 - 20d0*cima*coupl(nGC_32)*coupl(nGC_437)*coupl( &
                        nGC_439)*coupl(nGC_47) - 20d0*cima*coupl(nGC_32)*coupl(&
                        nGC_437)*coupl(nGC_453)*coupl(nGC_46) - 5d0*cima*coupl(&
                        nGC_437)**2d0*coupl(nGC_439)**2d0 - 5d0*cima*coupl(    &
                        nGC_437)**2d0*coupl(nGC_453)**2d0 - 10d0*cima*coupl(   &
                        nGC_449)**2d0*coupl(nGC_61)**2d0 - 10d0*cima*coupl(    &
                        nGC_449)*coupl(nGC_451)*coupl(nGC_57)*coupl(nGC_61) +  &
                        6d0*cima*coupl(nGC_64)*coupl(nGC_67) + 20d0*cima*coupl(&
                        nGC_96)**2d0*coupl(nGC_99)**2d0 + 80d0*cima*coupl(     &
                        nGC_96)*coupl(nGC_97)*coupl(nGC_99)**2d0 + 20d0*cima*  &
                        coupl(nGC_97)**2d0*coupl(nGC_99)**2d0 + 3d0*coupl(     &
                        nGC_13)*coupl(nGC_439)*coupl(nGC_47) + 3d0*coupl(nGC_13&
                        )*coupl(nGC_453)*coupl(nGC_46) + 3d0*coupl(nGC_15)*    &
                        coupl(nGC_449)*coupl(nGC_61) + 6d0*coupl(nGC_18)*coupl(&
                        nGC_449)*coupl(nGC_451) + 6d0*coupl(nGC_18)*coupl(     &
                        nGC_57)*coupl(nGC_61) + 6d0*coupl(nGC_19)*coupl(nGC_32 &
                        )*coupl(nGC_437) + 6d0*coupl(nGC_19)*coupl(nGC_449)**  &
                        2d0 + 6d0*coupl(nGC_19)*coupl(nGC_61)**2d0 + 3d0*coupl(&
                        nGC_21)*coupl(nGC_449)*coupl(nGC_57) + 3d0*coupl(nGC_21&
                        )*coupl(nGC_451)*coupl(nGC_61) + 3d0*coupl(nGC_23)*    &
                        coupl(nGC_449)*coupl(nGC_61) + 3d0*coupl(nGC_25)*coupl(&
                        nGC_451)*coupl(nGC_57) - 3d0*coupl(nGC_26)*coupl(      &
                        nGC_439)*coupl(nGC_47) - 3d0*coupl(nGC_26)*coupl(      &
                        nGC_453)*coupl(nGC_46) - 6d0*coupl(nGC_31)*coupl(nGC_32&
                        )*coupl(nGC_437) - 3d0*coupl(nGC_449)*coupl(nGC_61)*   &
                        coupl(nGC_64) - 3d0*coupl(nGC_449)*coupl(nGC_61)*coupl(&
                        nGC_67) - 3d0*coupl(nGC_451)*coupl(nGC_57)*coupl(nGC_67&
                        ))/(96d0*pi**2d0)
      coupl(nGC_1192) = (20d0*Nc*cima*coupl(nGC_106)**2d0*coupl(nGC_108)**2d0  &
                         + 80d0*Nc*cima*coupl(nGC_106)*coupl(nGC_107)*coupl(   &
                        nGC_108)**2d0 + 20d0*Nc*cima*coupl(nGC_107)**2d0*coupl(&
                        nGC_108)**2d0 + 20d0*Nc*cima*coupl(nGC_111)**2d0*coupl(&
                        nGC_113)**2d0 + 80d0*Nc*cima*coupl(nGC_111)*coupl(     &
                        nGC_112)*coupl(nGC_113)**2d0 + 20d0*Nc*cima*coupl(     &
                        nGC_112)**2d0*coupl(nGC_113)**2d0 + 20d0*Nc*cima*coupl(&
                        nGC_121)**2d0*coupl(nGC_123)**2d0 + 80d0*Nc*cima*coupl(&
                        nGC_121)*coupl(nGC_122)*coupl(nGC_123)**2d0 + 20d0*Nc* &
                        cima*coupl(nGC_122)**2d0*coupl(nGC_123)**2d0 + 20d0*Nc*&
                        cima*coupl(nGC_81)**2d0*coupl(nGC_83)**2d0 + 80d0*Nc*  &
                        cima*coupl(nGC_81)*coupl(nGC_82)*coupl(nGC_83)**2d0 +  &
                        20d0*Nc*cima*coupl(nGC_82)**2d0*coupl(nGC_83)**2d0 +   &
                        20d0*Nc*cima*coupl(nGC_86)**2d0*coupl(nGC_88)**2d0 +   &
                        80d0*Nc*cima*coupl(nGC_86)*coupl(nGC_87)*coupl(nGC_88  &
                        )**2d0 + 20d0*Nc*cima*coupl(nGC_87)**2d0*coupl(nGC_88  &
                        )**2d0 + 20d0*Nc*cima*coupl(nGC_91)**2d0*coupl(nGC_93  &
                        )**2d0 + 80d0*Nc*cima*coupl(nGC_91)*coupl(nGC_92)*coupl&
                        (nGC_93)**2d0 + 20d0*Nc*cima*coupl(nGC_92)**2d0*coupl( &
                        nGC_93)**2d0 + 20d0*cima*coupl(nGC_101)**2d0*coupl(    &
                        nGC_103)**2d0 + 80d0*cima*coupl(nGC_101)*coupl(nGC_102 &
                        )*coupl(nGC_103)**2d0 + 20d0*cima*coupl(nGC_102)**2d0* &
                        coupl(nGC_103)**2d0 + 20d0*cima*coupl(nGC_116)**2d0*   &
                        coupl(nGC_118)**2d0 + 80d0*cima*coupl(nGC_116)*coupl(  &
                        nGC_117)*coupl(nGC_118)**2d0 + 20d0*cima*coupl(nGC_117 &
                        )**2d0*coupl(nGC_118)**2d0 + 12d0*cima*coupl(nGC_26)*  &
                        coupl(nGC_28) - 5d0*cima*coupl(nGC_32)**2d0*coupl(     &
                        nGC_34)**2d0 - 5d0*cima*coupl(nGC_32)**2d0*coupl(nGC_35&
                        )**2d0 - 20d0*cima*coupl(nGC_32)*coupl(nGC_34)*coupl(  &
                        nGC_421)*coupl(nGC_437) - 20d0*cima*coupl(nGC_32)*coupl&
                        (nGC_35)*coupl(nGC_437)*coupl(nGC_441) - 5d0*cima*coupl&
                        (nGC_421)**2d0*coupl(nGC_437)**2d0 - 5d0*cima*coupl(   &
                        nGC_437)**2d0*coupl(nGC_441)**2d0 - 10d0*cima*coupl(   &
                        nGC_449)*coupl(nGC_451)*coupl(nGC_57)*coupl(nGC_61) -  &
                        10d0*cima*coupl(nGC_451)**2d0*coupl(nGC_57)**2d0 + 6d0*&
                        cima*coupl(nGC_64)*coupl(nGC_65) + 20d0*cima*coupl(    &
                        nGC_96)**2d0*coupl(nGC_98)**2d0 + 80d0*cima*coupl(     &
                        nGC_96)*coupl(nGC_97)*coupl(nGC_98)**2d0 + 20d0*cima*  &
                        coupl(nGC_97)**2d0*coupl(nGC_98)**2d0 + 3d0*coupl(     &
                        nGC_13)*coupl(nGC_34)*coupl(nGC_421) + 3d0*coupl(nGC_13&
                        )*coupl(nGC_35)*coupl(nGC_441) + 3d0*coupl(nGC_15)*    &
                        coupl(nGC_451)*coupl(nGC_57) + 6d0*coupl(nGC_18)*coupl(&
                        nGC_449)*coupl(nGC_451) + 6d0*coupl(nGC_18)*coupl(     &
                        nGC_57)*coupl(nGC_61) + 6d0*coupl(nGC_20)*coupl(nGC_32 &
                        )*coupl(nGC_437) + 6d0*coupl(nGC_20)*coupl(nGC_451)**  &
                        2d0 + 6d0*coupl(nGC_20)*coupl(nGC_57)**2d0 + 3d0*coupl(&
                        nGC_22)*coupl(nGC_449)*coupl(nGC_57) + 3d0*coupl(nGC_22&
                        )*coupl(nGC_451)*coupl(nGC_61) + 3d0*coupl(nGC_24)*    &
                        coupl(nGC_451)*coupl(nGC_57) + 3d0*coupl(nGC_25)*coupl(&
                        nGC_449)*coupl(nGC_61) - 3d0*coupl(nGC_26)*coupl(nGC_34&
                        )*coupl(nGC_421) - 3d0*coupl(nGC_26)*coupl(nGC_35)*    &
                        coupl(nGC_441) - 6d0*coupl(nGC_28)*coupl(nGC_32)*coupl(&
                        nGC_437) - 3d0*coupl(nGC_449)*coupl(nGC_61)*coupl(     &
                        nGC_65) - 3d0*coupl(nGC_451)*coupl(nGC_57)*coupl(nGC_64&
                        ) - 3d0*coupl(nGC_451)*coupl(nGC_57)*coupl(nGC_65))/(  &
                        96d0*pi**2d0)
      coupl(nGC_1058) = coupl(nGC_11)**2d0*coupl(nGC_84)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1056) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_84) - coupl(nGC_110)* &
                        coupl(nGC_114)*coupl(nGC_80) - coupl(nGC_33)*coupl(    &
                        nGC_439)*coupl(nGC_80) - coupl(nGC_449)*coupl(nGC_53)* &
                        coupl(nGC_82) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl( &
                        nGC_84) - coupl(nGC_50)*coupl(nGC_61)*coupl(nGC_82) -  &
                        coupl(nGC_82)**2d0*coupl(nGC_84) - coupl(nGC_83)**2d0* &
                        coupl(nGC_84) - coupl(nGC_84)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1057) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_84) - coupl(nGC_110)* &
                        coupl(nGC_114)*coupl(nGC_80) - coupl(nGC_33)*coupl(    &
                        nGC_47)*coupl(nGC_80) - coupl(nGC_449)*coupl(nGC_50)*  &
                        coupl(nGC_81) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl( &
                        nGC_84) - coupl(nGC_53)*coupl(nGC_61)*coupl(nGC_81) -  &
                        coupl(nGC_81)**2d0*coupl(nGC_84) - coupl(nGC_83)**2d0* &
                        coupl(nGC_84) - coupl(nGC_84)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1054) = 3d0*(8d0*Nc*cMB*coupl(nGC_84)**3d0 + 8d0*Nc*cMC*coupl( &
                        nGC_89)**3d0 + 8d0*Nc*cMD*coupl(nGC_94)**3d0 + 8d0*Nc* &
                        cMS*coupl(nGC_109)**3d0 + 8d0*Nc*cMT*coupl(nGC_114)**  &
                        3d0 + 8d0*Nc*cMU*coupl(nGC_124)**3d0 + 8d0*cME*coupl(  &
                        nGC_99)**3d0 + 8d0*cMM*coupl(nGC_104)**3d0 + 8d0*cMTA* &
                        coupl(nGC_119)**3d0 + 4d0*cima*coupl(nGC_31)*coupl(    &
                        nGC_70) + 2d0*cima*coupl(nGC_67)*coupl(nGC_73) - coupl(&
                        nGC_439)*coupl(nGC_47)*coupl(nGC_70) + coupl(nGC_439)* &
                        coupl(nGC_47)*coupl(nGC_74) - coupl(nGC_449)*coupl(    &
                        nGC_61)*coupl(nGC_73) + coupl(nGC_449)*coupl(nGC_61)*  &
                        coupl(nGC_74) - coupl(nGC_453)*coupl(nGC_46)*coupl(    &
                        nGC_70) + coupl(nGC_453)*coupl(nGC_46)*coupl(nGC_74))/(&
                        32d0*pi**2d0)
      coupl(nGC_1052) = (-coupl(nGC_120)*coupl(nGC_33)*coupl(nGC_35) - coupl(  &
                        nGC_120)*coupl(nGC_90)*coupl(nGC_93) - coupl(nGC_122)**&
                        2d0*coupl(nGC_123) - coupl(nGC_122)*coupl(nGC_451)*    &
                        coupl(nGC_51) - coupl(nGC_122)*coupl(nGC_54)*coupl(    &
                        nGC_57) - coupl(nGC_123)**3d0 - coupl(nGC_123)*coupl(  &
                        nGC_124)**2d0 + 8d0*coupl(nGC_123)*coupl(nGC_2)**2d0 + &
                        8d0*coupl(nGC_123)*coupl(nGC_51)*coupl(nGC_54))/(32d0* &
                        pi**2d0)
      coupl(nGC_1053) = coupl(nGC_11)**2d0*coupl(nGC_123)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1050) = (coupl(nGC_115)*coupl(nGC_33)*coupl(nGC_35) - coupl(   &
                        nGC_117)**2d0*coupl(nGC_118) + coupl(nGC_117)*coupl(   &
                        nGC_451)*coupl(nGC_52) + coupl(nGC_117)*coupl(nGC_55)* &
                        coupl(nGC_57) - coupl(nGC_118)**3d0 - coupl(nGC_118)*  &
                        coupl(nGC_119)**2d0 + 8d0*coupl(nGC_118)*coupl(nGC_4)**&
                        2d0 + 8d0*coupl(nGC_118)*coupl(nGC_52)*coupl(nGC_55))/(&
                        32d0*pi**2d0)
      coupl(nGC_1051) = (-coupl(nGC_120)*coupl(nGC_33)*coupl(nGC_441) - coupl( &
                        nGC_120)*coupl(nGC_90)*coupl(nGC_93) - coupl(nGC_121)**&
                        2d0*coupl(nGC_123) - coupl(nGC_121)*coupl(nGC_451)*    &
                        coupl(nGC_54) - coupl(nGC_121)*coupl(nGC_51)*coupl(    &
                        nGC_57) - coupl(nGC_123)**3d0 - coupl(nGC_123)*coupl(  &
                        nGC_124)**2d0 + 8d0*coupl(nGC_123)*coupl(nGC_2)**2d0 + &
                        8d0*coupl(nGC_123)*coupl(nGC_51)*coupl(nGC_54))/(32d0* &
                        pi**2d0)
      coupl(nGC_1329) = coupl(nGC_641)*dydo_QED3
      coupl(nGC_1221) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_108)*coupl&
                        (nGC_109) - coupl(nGC_113)*coupl(nGC_114) - coupl(     &
                        nGC_123)*coupl(nGC_124) - coupl(nGC_83)*coupl(nGC_84   &
                        ) - coupl(nGC_88)*coupl(nGC_89) - coupl(nGC_93)*coupl( &
                        nGC_94))/(16d0*pi**2d0)
      coupl(nGC_898) = cMC*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_51)*coupl(     &
                       nGC_54))/(8d0*pi**2d0)
      coupl(nGC_899) = cMC*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
      coupl(nGC_1224) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_109)**2d0  &
                         + coupl(nGC_114)**2d0 + coupl(nGC_124)**2d0 + coupl(  &
                        nGC_84)**2d0 + coupl(nGC_89)**2d0 + coupl(nGC_94)**2d0 &
                        )/(16d0*pi**2d0*Nc)
      coupl(nGC_892) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0*&
                       pi**2d0*Nc)
      coupl(nGC_893) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_33)**2d0 - coupl(  &
                       nGC_53)**2d0)/(16d0*pi**2d0)
      coupl(nGC_890) = cima*(coupl(nGC_37)**2d0 + coupl(nGC_419)**2d0)/(48d0*pi&
                       **2d0)
      coupl(nGC_896) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_50)**2d0)/(16d0*pi &
                       **2d0)
      coupl(nGC_897) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_33)**2d0 - coupl(  &
                       nGC_54)**2d0)/(16d0*pi**2d0)
      coupl(nGC_894) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_50)*coupl(     &
                       nGC_53))/(8d0*pi**2d0)
      coupl(nGC_895) = cMB*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_113_Hh) = -coupl(nGC_113)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1732) = coupl(nGC_1310) + coupl(nGC_33)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_33)*dZmuMinusL_QED2/2d0 + coupl(nGC_33)*     &
                        dZnu_muL_QED2/2d0
      coupl(nGC_1731) = coupl(nGC_50)*dZsR_QCD2
      coupl(nGC_1730) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_1313) + coupl(  &
                        nGC_50)*dZZ_QED2/2d0 + coupl(nGC_50)*dZsR_QED2
      coupl(nGC_1737) = -coupl(nGC_1292) - coupl(nGC_57)*dZHh_QED2/2d0 - coupl(&
                        nGC_57)*dZZ_QED2/2d0 - coupl(nGC_61)*dZHlHh_QED2/2d0
      coupl(nGC_1736) = -coupl(nGC_MI)*(dZAZ_QED2 + dZZA_QED2)/2d0
      coupl(nGC_1735) = coupl(nGC_MI)*(dZAZ_QED2 + dZZA_QED2)/2d0
      coupl(nGC_1734) = coupl(nGC_MZ)*dZZA_QED2/2d0
      coupl(nGC_1738) = coupl(nGC_115)*dZnu_tauL_QED2/2d0 + coupl(nGC_115)*    &
                        dZtauMinusR_QED2/2d0 + coupl(nGC_1355)
      coupl(nGC_1636) = coupl(nGC_112)*dZtL_QCD2/2d0 + coupl(nGC_112)*dZtR_QCD2&
                        /2d0 + coupl(nGC_1379)
      coupl(nGC_1637) = coupl(nGC_111)*dZtL_QED2/2d0 + coupl(nGC_111)*dZtR_QED2&
                        /2d0 + coupl(nGC_1376)
      coupl(nGC_TS_GC_25_Hl) = -coupl(nGC_25)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1635) = coupl(nGC_112)*dZtL_QED2/2d0 + coupl(nGC_112)*dZtR_QED2&
                        /2d0 + coupl(nGC_1378)
      coupl(nGC_1623) = coupl(nGC_I)*dZHl_QED2
      coupl(nGC_1622) = coupl(nGC_1463) + coupl(nGC_MHL)*dZHl_QED2 + coupl(    &
                        nGC_TS_GC_77_Hl) + coupl(nGC_TS_GC_79_Hh)
      coupl(nGC_TS_GC_124_Hl) = -coupl(nGC_124)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_20_Hh) = -coupl(nGC_20)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_114_Hl) = -coupl(nGC_114)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1126) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(    &
                        nGC_120)**2d0 - 4d0*coupl(nGC_33)**2d0 - 4d0*coupl(    &
                        nGC_53)**2d0 - coupl(nGC_91)*coupl(nGC_92) - coupl(    &
                        nGC_93)**2d0 - coupl(nGC_94)**2d0)/(64d0*pi**2d0)
      coupl(nGC_1127) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(&
                        nGC_50)**2d0 - coupl(nGC_90)**2d0 - coupl(nGC_91)*coupl&
                        (nGC_92) - coupl(nGC_93)**2d0 - coupl(nGC_94)**2d0)/(  &
                        64d0*pi**2d0)
      coupl(nGC_1125) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl( &
                        nGC_50)**2d0 + coupl(nGC_90)**2d0 + coupl(nGC_91)*coupl&
                        (nGC_92) + coupl(nGC_93)**2d0 + coupl(nGC_94)**2d0)/(  &
                        64d0*pi**2d0*Nc)
      coupl(nGC_1089) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_53) + coupl(nGC_110)**&
                        2d0*coupl(nGC_51) + 4d0*coupl(nGC_33)**2d0*coupl(      &
                        nGC_419) + 4d0*coupl(nGC_33)**2d0*coupl(nGC_54) + coupl&
                        (nGC_50)*coupl(nGC_81)*coupl(nGC_82) + coupl(nGC_50)*  &
                        coupl(nGC_83)**2d0 + coupl(nGC_50)*coupl(nGC_84)**2d0  &
                         + 4d0*coupl(nGC_53)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1088) = coupl(nGC_33)*(-coupl(nGC_3)*coupl(nGC_4) - coupl(     &
                        nGC_37)*coupl(nGC_55) - coupl(nGC_419)*coupl(nGC_56) + &
                        coupl(nGC_55)*coupl(nGC_56))/(8d0*pi**2d0)
      coupl(nGC_1120) = -coupl(nGC_11)*sq2*(coupl(nGC_105)**2d0 + 4d0*coupl(   &
                        nGC_2)**2d0 + 4d0*coupl(nGC_33)**2d0 + 4d0*coupl(nGC_54&
                        )**2d0 + coupl(nGC_86)*coupl(nGC_87) + coupl(nGC_88)** &
                        2d0 + coupl(nGC_89)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1121) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl( &
                        nGC_51)**2d0 + coupl(nGC_85)**2d0 + coupl(nGC_86)*coupl&
                        (nGC_87) + coupl(nGC_88)**2d0 + coupl(nGC_89)**2d0)/(  &
                        64d0*pi**2d0*Nc)
      coupl(nGC_1085) = coupl(nGC_11)**2d0*coupl(nGC_33)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_1081) = (-coupl(nGC_120)*coupl(nGC_33)*coupl(nGC_46) - coupl(  &
                        nGC_120)*coupl(nGC_90)*coupl(nGC_94) - coupl(nGC_122)**&
                        2d0*coupl(nGC_124) - coupl(nGC_122)*coupl(nGC_449)*    &
                        coupl(nGC_51) - coupl(nGC_122)*coupl(nGC_54)*coupl(    &
                        nGC_61) - coupl(nGC_123)**2d0*coupl(nGC_124) - coupl(  &
                        nGC_124)**3d0 + 8d0*coupl(nGC_124)*coupl(nGC_2)**2d0 + &
                        8d0*coupl(nGC_124)*coupl(nGC_51)*coupl(nGC_54))/(32d0* &
                        pi**2d0)
      coupl(nGC_1080) = (-coupl(nGC_120)*coupl(nGC_33)*coupl(nGC_453) - coupl( &
                        nGC_120)*coupl(nGC_90)*coupl(nGC_94) - coupl(nGC_121)**&
                        2d0*coupl(nGC_124) - coupl(nGC_121)*coupl(nGC_449)*    &
                        coupl(nGC_54) - coupl(nGC_121)*coupl(nGC_51)*coupl(    &
                        nGC_61) - coupl(nGC_123)**2d0*coupl(nGC_124) - coupl(  &
                        nGC_124)**3d0 + 8d0*coupl(nGC_124)*coupl(nGC_2)**2d0 + &
                        8d0*coupl(nGC_124)*coupl(nGC_51)*coupl(nGC_54))/(32d0* &
                        pi**2d0)
      coupl(nGC_1129) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(     &
                        nGC_105)**2d0 - coupl(nGC_106)*coupl(nGC_107) - coupl( &
                        nGC_108)**2d0 - coupl(nGC_109)**2d0 - 4d0*coupl(nGC_50 &
                        )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1648) = coupl(nGC_33)*(dZcL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_1647) = coupl(nGC_1310) + coupl(nGC_33)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_33)*dZcL_QED2/2d0 + coupl(nGC_33)*dZsL_QED2/ &
                        2d0
      coupl(nGC_1646) = coupl(nGC_51)*dZcR_QCD2
      coupl(nGC_1645) = coupl(nGC_1311) + coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_51)*dZZ_QED2/2d0 + coupl(nGC_51)*dZcR_QED2
      coupl(nGC_1644) = coupl(nGC_54)*dZcL_QCD2
      coupl(nGC_1643) = coupl(nGC_1312) + coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_54)*dZZ_QED2/2d0 + coupl(nGC_54)*dZcL_QED2
      coupl(nGC_1642) = coupl(nGC_1310) + coupl(nGC_33)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_33)*dZeMinusL_QED2/2d0 + coupl(nGC_33)*      &
                        dZnu_eL_QED2/2d0
      coupl(nGC_TS_GC_84_Hl) = -coupl(nGC_84)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1011) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_106) - coupl(nGC_105)*&
                        coupl(nGC_33)*coupl(nGC_437) - coupl(nGC_105)*coupl(   &
                        nGC_85)*coupl(nGC_86) - coupl(nGC_106)**2d0*coupl(     &
                        nGC_107) + 8d0*coupl(nGC_106)*coupl(nGC_50)*coupl(     &
                        nGC_53) - coupl(nGC_107)*coupl(nGC_108)**2d0 - coupl(  &
                        nGC_107)*coupl(nGC_109)**2d0 - coupl(nGC_108)*coupl(   &
                        nGC_451)*coupl(nGC_53) - coupl(nGC_108)*coupl(nGC_50)* &
                        coupl(nGC_57) - coupl(nGC_109)*coupl(nGC_449)*coupl(   &
                        nGC_53) - coupl(nGC_109)*coupl(nGC_50)*coupl(nGC_61))/(&
                        32d0*pi**2d0)
      coupl(nGC_1399) = coupl(nGC_799)*dsw_QED2 + coupl(nGC_800)*dZee_QED2 +   &
                        coupl(nGC_801)*dMZ2_QED2
      coupl(nGC_1398) = coupl(nGC_789)*dsw_QED2 + coupl(nGC_790)*dZee_QED2 +   &
                        coupl(nGC_791)*dMW2_QED2
      coupl(nGC_1546) = coupl(nGC_1464) + coupl(nGC_MHH)*dZHh_QED2 + coupl(    &
                        nGC_TS_GC_76_Hl) + coupl(nGC_TS_GC_78_Hh)
      coupl(nGC_1547) = coupl(nGC_I)*dZHh_QED2
      coupl(nGC_1541) = coupl(nGC_1299) + coupl(nGC_38)*dZAZ_QED2/2d0 + coupl( &
                        nGC_7)*dZWMinus_QED2/2d0 + coupl(nGC_7)*dZZ_QED2/2d0
      coupl(nGC_1542) = coupl(nGC_123)*dZHhHl_QED2/2d0 + coupl(nGC_124)*       &
                        dZHl_QED2/2d0 + coupl(nGC_124)*dZuL_QED2/2d0 + coupl(  &
                        nGC_124)*dZuR_QED2/2d0 + coupl(nGC_1386)
      coupl(nGC_1543) = coupl(nGC_124)*dZuL_QCD2/2d0 + coupl(nGC_124)*dZuR_QCD2&
                        /2d0 + coupl(nGC_1387)
      coupl(nGC_1390) = coupl(nGC_281)*dyt_QED3 + coupl(nGC_283)*da_QED2
      coupl(nGC_1393) = coupl(nGC_786)*dsw_QED2 + coupl(nGC_787)*dZee_QED2 +   &
                        coupl(nGC_788)*dMW2_QED2
      coupl(nGC_1392) = coupl(nGC_707)*dZee_QED2 + coupl(nGC_708)*dMW2_QED2
      coupl(nGC_1395) = coupl(nGC_811)*dsw_QED2 + coupl(nGC_812)*dZee_QED2 +   &
                        coupl(nGC_813)*dMW2_QED2 + coupl(nGC_814)*da_QED2
      coupl(nGC_1394) = coupl(nGC_792)*dsw_QED2 + coupl(nGC_793)*dZee_QED2 +   &
                        coupl(nGC_794)*dMW2_QED2 + coupl(nGC_795)*da_QED2
      coupl(nGC_1396) = coupl(nGC_841)*dcw_QED2 + coupl(nGC_842)*dsw_QED2 +    &
                        coupl(nGC_843)*dZee_QED2 + coupl(nGC_844)*dMW2_QED2
      coupl(nGC_1544) = coupl(nGC_113)*dZHhHl_QED2/2d0 + coupl(nGC_114)*       &
                        dZHl_QED2/2d0 + coupl(nGC_114)*dZtL_QED2/2d0 + coupl(  &
                        nGC_114)*dZtR_QED2/2d0 + coupl(nGC_1390)
      coupl(nGC_1545) = coupl(nGC_114)*dZtL_QCD2/2d0 + coupl(nGC_114)*dZtR_QCD2&
                        /2d0 + coupl(nGC_1391)
      coupl(nGC_1010) = coupl(nGC_107)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1496) = coupl(nGC_1310) + coupl(nGC_33)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_33)*dZnu_tauL_QED2/2d0 + coupl(nGC_33)*      &
                        dZtauMinusL_QED2/2d0
      coupl(nGC_1497) = coupl(nGC_1297) + coupl(nGC_17)*dZHl_QED2/2d0 + coupl( &
                        nGC_17)*dZWMinus_QED2/2d0 + coupl(nGC_17)*dZZ_QED2/2d0 &
                         + coupl(nGC_48)*dZAZ_QED2/2d0 + coupl(nGC_9)*         &
                        dZHhHl_QED2/2d0
      coupl(nGC_1495) = coupl(nGC_1259) + coupl(nGC_18)*dZHlHh_QED2 + coupl(   &
                        nGC_20)*dZHh_QED2
      coupl(nGC_1191) = (20d0*Nc*cima*coupl(nGC_106)**2d0*coupl(nGC_108)*coupl(&
                        nGC_109) + 80d0*Nc*cima*coupl(nGC_106)*coupl(nGC_107)* &
                        coupl(nGC_108)*coupl(nGC_109) + 20d0*Nc*cima*coupl(    &
                        nGC_107)**2d0*coupl(nGC_108)*coupl(nGC_109) + 20d0*Nc* &
                        cima*coupl(nGC_111)**2d0*coupl(nGC_113)*coupl(nGC_114  &
                        ) + 80d0*Nc*cima*coupl(nGC_111)*coupl(nGC_112)*coupl(  &
                        nGC_113)*coupl(nGC_114) + 20d0*Nc*cima*coupl(nGC_112)**&
                        2d0*coupl(nGC_113)*coupl(nGC_114) + 20d0*Nc*cima*coupl(&
                        nGC_121)**2d0*coupl(nGC_123)*coupl(nGC_124) + 80d0*Nc* &
                        cima*coupl(nGC_121)*coupl(nGC_122)*coupl(nGC_123)*coupl&
                        (nGC_124) + 20d0*Nc*cima*coupl(nGC_122)**2d0*coupl(    &
                        nGC_123)*coupl(nGC_124) + 20d0*Nc*cima*coupl(nGC_81)** &
                        2d0*coupl(nGC_83)*coupl(nGC_84) + 80d0*Nc*cima*coupl(  &
                        nGC_81)*coupl(nGC_82)*coupl(nGC_83)*coupl(nGC_84) +    &
                        20d0*Nc*cima*coupl(nGC_82)**2d0*coupl(nGC_83)*coupl(   &
                        nGC_84) + 20d0*Nc*cima*coupl(nGC_86)**2d0*coupl(nGC_88 &
                        )*coupl(nGC_89) + 80d0*Nc*cima*coupl(nGC_86)*coupl(    &
                        nGC_87)*coupl(nGC_88)*coupl(nGC_89) + 20d0*Nc*cima*    &
                        coupl(nGC_87)**2d0*coupl(nGC_88)*coupl(nGC_89) + 20d0* &
                        Nc*cima*coupl(nGC_91)**2d0*coupl(nGC_93)*coupl(nGC_94  &
                        ) + 80d0*Nc*cima*coupl(nGC_91)*coupl(nGC_92)*coupl(    &
                        nGC_93)*coupl(nGC_94) + 20d0*Nc*cima*coupl(nGC_92)**2d0&
                        *coupl(nGC_93)*coupl(nGC_94) + 20d0*cima*coupl(nGC_101 &
                        )**2d0*coupl(nGC_103)*coupl(nGC_104) + 80d0*cima*coupl(&
                        nGC_101)*coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_104   &
                        ) + 20d0*cima*coupl(nGC_102)**2d0*coupl(nGC_103)*coupl(&
                        nGC_104) + 20d0*cima*coupl(nGC_116)**2d0*coupl(nGC_118 &
                        )*coupl(nGC_119) + 80d0*cima*coupl(nGC_116)*coupl(     &
                        nGC_117)*coupl(nGC_118)*coupl(nGC_119) + 20d0*cima*    &
                        coupl(nGC_117)**2d0*coupl(nGC_118)*coupl(nGC_119) +    &
                        12d0*cima*coupl(nGC_26)*coupl(nGC_30) - 5d0*cima*coupl(&
                        nGC_32)**2d0*coupl(nGC_34)*coupl(nGC_47) - 5d0*cima*   &
                        coupl(nGC_32)**2d0*coupl(nGC_35)*coupl(nGC_46) - 10d0* &
                        cima*coupl(nGC_32)*coupl(nGC_34)*coupl(nGC_437)*coupl( &
                        nGC_439) - 10d0*cima*coupl(nGC_32)*coupl(nGC_35)*coupl(&
                        nGC_437)*coupl(nGC_453) - 10d0*cima*coupl(nGC_32)*coupl&
                        (nGC_421)*coupl(nGC_437)*coupl(nGC_47) - 10d0*cima*    &
                        coupl(nGC_32)*coupl(nGC_437)*coupl(nGC_441)*coupl(     &
                        nGC_46) - 5d0*cima*coupl(nGC_421)*coupl(nGC_437)**2d0* &
                        coupl(nGC_439) - 5d0*cima*coupl(nGC_437)**2d0*coupl(   &
                        nGC_441)*coupl(nGC_453) - 5d0*cima*coupl(nGC_449)**2d0*&
                        coupl(nGC_57)*coupl(nGC_61) - 5d0*cima*coupl(nGC_449)* &
                        coupl(nGC_451)*coupl(nGC_57)**2d0 - 5d0*cima*coupl(    &
                        nGC_449)*coupl(nGC_451)*coupl(nGC_61)**2d0 - 5d0*cima* &
                        coupl(nGC_451)**2d0*coupl(nGC_57)*coupl(nGC_61) + 6d0* &
                        cima*coupl(nGC_64)*coupl(nGC_66) + 20d0*cima*coupl(    &
                        nGC_96)**2d0*coupl(nGC_98)*coupl(nGC_99) + 80d0*cima*  &
                        coupl(nGC_96)*coupl(nGC_97)*coupl(nGC_98)*coupl(nGC_99 &
                        ) + 20d0*cima*coupl(nGC_97)**2d0*coupl(nGC_98)*coupl(  &
                        nGC_99) + 3d0*coupl(nGC_13)*coupl(nGC_34)*coupl(nGC_439&
                        ) + 3d0*coupl(nGC_13)*coupl(nGC_35)*coupl(nGC_453) +   &
                        3d0*coupl(nGC_15)*coupl(nGC_449)*coupl(nGC_57) + 6d0*  &
                        coupl(nGC_18)*coupl(nGC_32)*coupl(nGC_437) + 3d0*coupl(&
                        nGC_18)*coupl(nGC_449)**2d0 + 3d0*coupl(nGC_18)*coupl( &
                        nGC_451)**2d0 + 3d0*coupl(nGC_18)*coupl(nGC_57)**2d0 + &
                        3d0*coupl(nGC_18)*coupl(nGC_61)**2d0 + 3d0*coupl(nGC_19&
                        )*coupl(nGC_449)*coupl(nGC_451) + 3d0*coupl(nGC_19)*   &
                        coupl(nGC_57)*coupl(nGC_61) + 3d0*coupl(nGC_20)*coupl( &
                        nGC_449)*coupl(nGC_451) + 3d0*coupl(nGC_20)*coupl(     &
                        nGC_57)*coupl(nGC_61) + 3d0*coupl(nGC_21)*coupl(nGC_449&
                        )*coupl(nGC_61) + 3d0*coupl(nGC_22)*coupl(nGC_451)*    &
                        coupl(nGC_57) + 3d0*coupl(nGC_25)*coupl(nGC_449)*coupl(&
                        nGC_57) + 3d0*coupl(nGC_25)*coupl(nGC_451)*coupl(nGC_61&
                        ) - 3d0*coupl(nGC_26)*coupl(nGC_421)*coupl(nGC_47) -   &
                        3d0*coupl(nGC_26)*coupl(nGC_441)*coupl(nGC_46) - 6d0*  &
                        coupl(nGC_30)*coupl(nGC_32)*coupl(nGC_437) - 3d0*coupl(&
                        nGC_449)*coupl(nGC_61)*coupl(nGC_66) - 3d0*coupl(      &
                        nGC_451)*coupl(nGC_57)*coupl(nGC_66) - 3d0*coupl(      &
                        nGC_451)*coupl(nGC_61)*coupl(nGC_64))/(96d0*pi**2d0)
      coupl(nGC_1493) = -coupl(nGC_1252) - coupl(nGC_3)*dZAZ_QED2/2d0 - coupl( &
                        nGC_37)*dZZ_QED2/2d0
      coupl(nGC_1764) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_1313) + coupl(  &
                        nGC_50)*dZZ_QED2/2d0 + coupl(nGC_50)*dZdR_QED2
      coupl(nGC_1491) = coupl(nGC_1310) + coupl(nGC_33)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_33)*dZbL_QED2/2d0 + coupl(nGC_33)*dZtL_QED2/ &
                        2d0
      coupl(nGC_1016) = coupl(nGC_11)**2d0*coupl(nGC_112)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1498) = coupl(nGC_1312) + coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_54)*dZZ_QED2/2d0 + coupl(nGC_54)*dZtL_QED2
      coupl(nGC_1017) = (coupl(nGC_115)*coupl(nGC_32)*coupl(nGC_33) - coupl(   &
                        nGC_116)**2d0*coupl(nGC_117) + 8d0*coupl(nGC_116)*coupl&
                        (nGC_4)**2d0 + 8d0*coupl(nGC_116)*coupl(nGC_52)*coupl( &
                        nGC_55) - coupl(nGC_117)*coupl(nGC_118)**2d0 - coupl(  &
                        nGC_117)*coupl(nGC_119)**2d0 + coupl(nGC_118)*coupl(   &
                        nGC_451)*coupl(nGC_52) + coupl(nGC_118)*coupl(nGC_55)* &
                        coupl(nGC_57) + coupl(nGC_119)*coupl(nGC_449)*coupl(   &
                        nGC_52) + coupl(nGC_119)*coupl(nGC_55)*coupl(nGC_61))/(&
                        32d0*pi**2d0)
      coupl(nGC_917) = cMT*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
      coupl(nGC_916) = cMT*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_51)*coupl(     &
                       nGC_54))/(8d0*pi**2d0)
      coupl(nGC_915) = cMS*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
      coupl(nGC_914) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_50)*coupl(     &
                       nGC_53))/(8d0*pi**2d0)
      coupl(nGC_913) = cima*(-coupl(nGC_33)**2d0 - coupl(nGC_56)**2d0)/(16d0*pi&
                       **2d0)
      coupl(nGC_912) = cMM*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_52)*coupl(     &
                       nGC_55))/(8d0*pi**2d0)
      coupl(nGC_911) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0  &
                        - cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi**&
                       2d0*Nc)
      coupl(nGC_910) = cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_1015) = (-coupl(nGC_110)*coupl(nGC_33)*coupl(nGC_437) - coupl( &
                        nGC_110)*coupl(nGC_80)*coupl(nGC_82) - coupl(nGC_111)* &
                        coupl(nGC_112)**2d0 - coupl(nGC_111)*coupl(nGC_113)**  &
                        2d0 - coupl(nGC_111)*coupl(nGC_114)**2d0 + 8d0*coupl(  &
                        nGC_112)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_112)*coupl( &
                        nGC_51)*coupl(nGC_54) - coupl(nGC_113)*coupl(nGC_451)* &
                        coupl(nGC_54) - coupl(nGC_113)*coupl(nGC_51)*coupl(    &
                        nGC_57) - coupl(nGC_114)*coupl(nGC_449)*coupl(nGC_54   &
                        ) - coupl(nGC_114)*coupl(nGC_51)*coupl(nGC_61))/(32d0* &
                        pi**2d0)
      coupl(nGC_919) = cMU*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
      coupl(nGC_918) = cMTA*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_52)*coupl(    &
                       nGC_55))/(8d0*pi**2d0)
      coupl(nGC_1265) = coupl(nGC_752)*da_QED2 + coupl(nGC_753)*dl2_QED4 +     &
                        coupl(nGC_754)*dl1_QED4 + coupl(nGC_755)*dl3_QED4
      coupl(nGC_1264) = coupl(nGC_718)*da_QED2 + coupl(nGC_719)*dl1_QED4 +     &
                        coupl(nGC_720)*dl3_QED4
      coupl(nGC_1267) = coupl(nGC_628)*dvev_QED1 + coupl(nGC_629)*dvevs_QED1 + &
                        coupl(nGC_630)*da_QED2 + coupl(nGC_631)*dl1_QED4 +     &
                        coupl(nGC_632)*dl3_QED4
      coupl(nGC_1266) = coupl(nGC_756)*da_QED2 + coupl(nGC_757)*dl2_QED4 +     &
                        coupl(nGC_758)*dl1_QED4 + coupl(nGC_759)*dl3_QED4
      coupl(nGC_1261) = coupl(nGC_743)*da_QED2 + coupl(nGC_744)*dl2_QED4 +     &
                        coupl(nGC_745)*dl1_QED4 + coupl(nGC_746)*dl3_QED4
      coupl(nGC_1260) = coupl(nGC_731)*da_QED2 + coupl(nGC_732)*dl2_QED4 +     &
                        coupl(nGC_733)*dl1_QED4 + coupl(nGC_734)*dl3_QED4
      coupl(nGC_1262) = coupl(nGC_715)*da_QED2 + coupl(nGC_716)*dl1_QED4 +     &
                        coupl(nGC_717)*dl3_QED4
      coupl(nGC_1269) = coupl(nGC_217)*da_QED2 + coupl(nGC_219)*dvevs_QED1 +   &
                        coupl(nGC_221)*dvev_QED1 + coupl(nGC_223)*dl2_QED4 +   &
                        coupl(nGC_225)*dl3_QED4 + coupl(nGC_227)*dl1_QED4
      coupl(nGC_1268) = coupl(nGC_203)*da_QED2 + coupl(nGC_205)*dvevs_QED1 +   &
                        coupl(nGC_207)*dvev_QED1 + coupl(nGC_209)*dl2_QED4 +   &
                        coupl(nGC_211)*dl3_QED4 + coupl(nGC_213)*dl1_QED4
      coupl(nGC_1067) = (coupl(nGC_33)*coupl(nGC_46)*coupl(nGC_95) + 8d0*coupl(&
                        nGC_4)**2d0*coupl(nGC_99) + coupl(nGC_449)*coupl(nGC_52&
                        )*coupl(nGC_97) + 8d0*coupl(nGC_52)*coupl(nGC_55)*coupl&
                        (nGC_99) + coupl(nGC_55)*coupl(nGC_61)*coupl(nGC_97) - &
                        coupl(nGC_97)**2d0*coupl(nGC_99) - coupl(nGC_98)**2d0* &
                        coupl(nGC_99) - coupl(nGC_99)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1066) = (coupl(nGC_33)*coupl(nGC_453)*coupl(nGC_95) + 8d0*coupl&
                        (nGC_4)**2d0*coupl(nGC_99) + coupl(nGC_449)*coupl(     &
                        nGC_55)*coupl(nGC_96) + 8d0*coupl(nGC_52)*coupl(nGC_55 &
                        )*coupl(nGC_99) + coupl(nGC_52)*coupl(nGC_61)*coupl(   &
                        nGC_96) - coupl(nGC_96)**2d0*coupl(nGC_99) - coupl(    &
                        nGC_98)**2d0*coupl(nGC_99) - coupl(nGC_99)**3d0)/(32d0*&
                        pi**2d0)
      coupl(nGC_1065) = coupl(nGC_11)**2d0*coupl(nGC_94)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1064) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_94) - coupl(nGC_120)* &
                        coupl(nGC_124)*coupl(nGC_90) - coupl(nGC_33)*coupl(    &
                        nGC_47)*coupl(nGC_90) - coupl(nGC_449)*coupl(nGC_50)*  &
                        coupl(nGC_91) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl( &
                        nGC_94) - coupl(nGC_53)*coupl(nGC_61)*coupl(nGC_91) -  &
                        coupl(nGC_91)**2d0*coupl(nGC_94) - coupl(nGC_93)**2d0* &
                        coupl(nGC_94) - coupl(nGC_94)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1063) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_94) - coupl(nGC_120)* &
                        coupl(nGC_124)*coupl(nGC_90) - coupl(nGC_33)*coupl(    &
                        nGC_439)*coupl(nGC_90) - coupl(nGC_449)*coupl(nGC_53)* &
                        coupl(nGC_92) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl( &
                        nGC_94) - coupl(nGC_50)*coupl(nGC_61)*coupl(nGC_92) -  &
                        coupl(nGC_92)**2d0*coupl(nGC_94) - coupl(nGC_93)**2d0* &
                        coupl(nGC_94) - coupl(nGC_94)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1062) = coupl(nGC_11)**2d0*coupl(nGC_89)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1061) = (-coupl(nGC_105)*coupl(nGC_109)*coupl(nGC_85) + 8d0*   &
                        coupl(nGC_2)**2d0*coupl(nGC_89) - coupl(nGC_33)*coupl( &
                        nGC_46)*coupl(nGC_85) - coupl(nGC_449)*coupl(nGC_51)*  &
                        coupl(nGC_87) + 8d0*coupl(nGC_51)*coupl(nGC_54)*coupl( &
                        nGC_89) - coupl(nGC_54)*coupl(nGC_61)*coupl(nGC_87) -  &
                        coupl(nGC_87)**2d0*coupl(nGC_89) - coupl(nGC_88)**2d0* &
                        coupl(nGC_89) - coupl(nGC_89)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1060) = (-coupl(nGC_105)*coupl(nGC_109)*coupl(nGC_85) + 8d0*   &
                        coupl(nGC_2)**2d0*coupl(nGC_89) - coupl(nGC_33)*coupl( &
                        nGC_453)*coupl(nGC_85) - coupl(nGC_449)*coupl(nGC_54)* &
                        coupl(nGC_86) + 8d0*coupl(nGC_51)*coupl(nGC_54)*coupl( &
                        nGC_89) - coupl(nGC_51)*coupl(nGC_61)*coupl(nGC_86) -  &
                        coupl(nGC_86)**2d0*coupl(nGC_89) - coupl(nGC_88)**2d0* &
                        coupl(nGC_89) - coupl(nGC_89)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1306) = coupl(nGC_672)*dcw_QED2 + coupl(nGC_673)*dsw_QED2 +    &
                        coupl(nGC_674)*dZee_QED2 + coupl(nGC_675)*dvev_QED1 +  &
                        coupl(nGC_676)*da_QED2
      coupl(nGC_1307) = coupl(nGC_845)*dZee_QED2
      coupl(nGC_1304) = coupl(nGC_647)*dcw_QED2 + coupl(nGC_648)*dsw_QED2 +    &
                        coupl(nGC_649)*dZee_QED2 + coupl(nGC_650)*da_QED2
      coupl(nGC_1305) = coupl(nGC_654)*dcw_QED2 + coupl(nGC_655)*dsw_QED2 +    &
                        coupl(nGC_656)*dZee_QED2 + coupl(nGC_657)*dvev_QED1 +  &
                        coupl(nGC_658)*da_QED2
      coupl(nGC_1302) = coupl(nGC_866)*dcw_QED2 + coupl(nGC_867)*dsw_QED2 +    &
                        coupl(nGC_868)*dZee_QED2 + coupl(nGC_869)*da_QED2
      coupl(nGC_1303) = coupl(nGC_668)*dcw_QED2 + coupl(nGC_669)*dsw_QED2 +    &
                        coupl(nGC_670)*dZee_QED2 + coupl(nGC_671)*da_QED2
      coupl(nGC_1069) = (coupl(nGC_100)*coupl(nGC_33)*coupl(nGC_46) - coupl(   &
                        nGC_102)**2d0*coupl(nGC_104) + coupl(nGC_102)*coupl(   &
                        nGC_449)*coupl(nGC_52) + coupl(nGC_102)*coupl(nGC_55)* &
                        coupl(nGC_61) - coupl(nGC_103)**2d0*coupl(nGC_104) -   &
                        coupl(nGC_104)**3d0 + 8d0*coupl(nGC_104)*coupl(nGC_4)**&
                        2d0 + 8d0*coupl(nGC_104)*coupl(nGC_52)*coupl(nGC_55))/(&
                        32d0*pi**2d0)
      coupl(nGC_1068) = (coupl(nGC_100)*coupl(nGC_33)*coupl(nGC_453) - coupl(  &
                        nGC_101)**2d0*coupl(nGC_104) + coupl(nGC_101)*coupl(   &
                        nGC_449)*coupl(nGC_55) + coupl(nGC_101)*coupl(nGC_52)* &
                        coupl(nGC_61) - coupl(nGC_103)**2d0*coupl(nGC_104) -   &
                        coupl(nGC_104)**3d0 + 8d0*coupl(nGC_104)*coupl(nGC_4)**&
                        2d0 + 8d0*coupl(nGC_104)*coupl(nGC_52)*coupl(nGC_55))/(&
                        32d0*pi**2d0)
      coupl(nGC_1845) = -coupl(nGC_1142)
      coupl(nGC_1846) = -coupl(nGC_1143)
      coupl(nGC_1602) = coupl(nGC_1365) + coupl(nGC_98)*dZHhHl_QED2/2d0 + coupl&
                        (nGC_99)*dZHl_QED2/2d0 + coupl(nGC_99)*dZeMinusL_QED2/ &
                        2d0 + coupl(nGC_99)*dZeMinusR_QED2/2d0
      coupl(nGC_1607) = coupl(nGC_1304) + coupl(nGC_66)*dZHhHl_QED2 + coupl(   &
                        nGC_67)*dZHl_QED2 + coupl(nGC_67)*dZZ_QED2
      coupl(nGC_1606) = coupl(nGC_1252) + coupl(nGC_3)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_37)*dZWMinus_QED2 + coupl(nGC_37)*dZZ_QED2/2d0
      coupl(nGC_1605) = coupl(nGC_1275) + coupl(nGC_39)*dZA_QED2/2d0 + coupl(  &
                        nGC_39)*dZWMinus_QED2/2d0 + coupl(nGC_8)*dZZA_QED2/2d0
      coupl(nGC_1609) = coupl(nGC_11)*dZbL_QED2
      coupl(nGC_1556) = coupl(nGC_102)*dZmuMinusL_QED2/2d0 + coupl(nGC_102)*   &
                        dZmuMinusR_QED2/2d0 + coupl(nGC_1358)
      coupl(nGC_TS_GC_119_Hl) = -coupl(nGC_119)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1119) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(&
                        nGC_50)**2d0 - coupl(nGC_80)**2d0 - coupl(nGC_81)*coupl&
                        (nGC_82) - coupl(nGC_83)**2d0 - coupl(nGC_84)**2d0)/(  &
                        64d0*pi**2d0)
      coupl(nGC_1118) = -coupl(nGC_11)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_10&
                        ) + coupl(nGC_11))/(64d0*pi**2d0*Nc)
      coupl(nGC_1117) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(    &
                        nGC_110)**2d0 - 4d0*coupl(nGC_33)**2d0 - 4d0*coupl(    &
                        nGC_53)**2d0 - coupl(nGC_81)*coupl(nGC_82) - coupl(    &
                        nGC_83)**2d0 - coupl(nGC_84)**2d0)/(64d0*pi**2d0)
      coupl(nGC_1116) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl( &
                        nGC_50)**2d0 + coupl(nGC_80)**2d0 + coupl(nGC_81)*coupl&
                        (nGC_82) + coupl(nGC_83)**2d0 + coupl(nGC_84)**2d0)/(  &
                        64d0*pi**2d0*Nc)
      coupl(nGC_1115) = -coupl(nGC_11)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(     &
                        nGC_10) - coupl(nGC_11))/(64d0*pi**2d0*Nc**2d0)
      coupl(nGC_1114) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(     &
                        nGC_110)**2d0 + 4d0*coupl(nGC_33)**2d0 + 4d0*coupl(    &
                        nGC_53)**2d0 + coupl(nGC_81)*coupl(nGC_82) + coupl(    &
                        nGC_83)**2d0 + coupl(nGC_84)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1113) = (coupl(nGC_120)**2d0*coupl(nGC_53) + coupl(nGC_121)*   &
                        coupl(nGC_122)*coupl(nGC_54) + coupl(nGC_123)**2d0*    &
                        coupl(nGC_54) + coupl(nGC_124)**2d0*coupl(nGC_54) + 4d0&
                        *coupl(nGC_2)**2d0*coupl(nGC_51) + 4d0*coupl(nGC_51)** &
                        3d0)/(32d0*pi**2d0)
      coupl(nGC_1112) = (coupl(nGC_121)*coupl(nGC_122)*coupl(nGC_51) + coupl(  &
                        nGC_123)**2d0*coupl(nGC_51) + coupl(nGC_124)**2d0*coupl&
                        (nGC_51) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_54) + 4d0*  &
                        coupl(nGC_33)**2d0*coupl(nGC_37) + 4d0*coupl(nGC_33)** &
                        2d0*coupl(nGC_53) + coupl(nGC_50)*coupl(nGC_90)**2d0 + &
                        4d0*coupl(nGC_54)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1111) = (coupl(nGC_116)*coupl(nGC_117)*coupl(nGC_52) + coupl(  &
                        nGC_118)**2d0*coupl(nGC_52) + coupl(nGC_119)**2d0*coupl&
                        (nGC_52) - 4d0*coupl(nGC_33)**2d0*coupl(nGC_37) + 4d0* &
                        coupl(nGC_33)**2d0*coupl(nGC_56) + 4d0*coupl(nGC_4)**  &
                        2d0*coupl(nGC_55) + 4d0*coupl(nGC_55)**3d0)/(32d0*pi** &
                        2d0)
      coupl(nGC_1110) = (coupl(nGC_115)**2d0*coupl(nGC_56) + coupl(nGC_116)*   &
                        coupl(nGC_117)*coupl(nGC_55) + coupl(nGC_118)**2d0*    &
                        coupl(nGC_55) + coupl(nGC_119)**2d0*coupl(nGC_55) + 4d0&
                        *coupl(nGC_4)**2d0*coupl(nGC_52) + 4d0*coupl(nGC_52)** &
                        3d0)/(32d0*pi**2d0)
      coupl(nGC_1693) = coupl(nGC_1316) + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_52)*dZZ_QED2/2d0 + coupl(nGC_52)*dZmuMinusR_QED2
      coupl(nGC_1694) = coupl(nGC_1307) + coupl(nGC_2)*dZA_QED2/2d0 + coupl(   &
                        nGC_2)*dZtL_QED2 + coupl(nGC_54)*dZZA_QED2/2d0
      coupl(nGC_1696) = coupl(nGC_1307) + coupl(nGC_2)*dZA_QED2/2d0 + coupl(   &
                        nGC_2)*dZtR_QED2 + coupl(nGC_51)*dZZA_QED2/2d0
      coupl(nGC_1593) = -coupl(nGC_1254)/2d0 + coupl(nGC_29)*dZZA_QED2/2d0 -   &
                        coupl(nGC_41)*dZA_QED2/4d0 - coupl(nGC_41)*            &
                        dZWMinus_QED2/2d0 - coupl(nGC_41)*dZZ_QED2/4d0 + coupl(&
                        nGC_5)*dZAZ_QED2/2d0
      coupl(nGC_1592) = coupl(nGC_1254) - coupl(nGC_29)*dZZA_QED2 + coupl(     &
                        nGC_41)*dZA_QED2/2d0 + coupl(nGC_41)*dZWMinus_QED2 +   &
                        coupl(nGC_41)*dZZ_QED2/2d0 - coupl(nGC_5)*dZAZ_QED2
      coupl(nGC_1591) = -coupl(nGC_1250) - coupl(nGC_3)*dZA_QED2/2d0 - coupl(  &
                        nGC_37)*dZZA_QED2/2d0
      coupl(nGC_1597) = coupl(nGC_1298) + coupl(nGC_68)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_68)*dZZ_QED2/2d0 + coupl(nGC_71)*dZAZ_QED2/  &
                        2d0 + coupl(nGC_TS_GC_17_Hl) + coupl(nGC_TS_GC_9_Hh)
      coupl(nGC_1596) = coupl(nGC_33)*(dZdL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_1595) = coupl(nGC_1310) + coupl(nGC_33)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_33)*dZdL_QED2/2d0 + coupl(nGC_33)*dZuL_QED2/ &
                        2d0
      coupl(nGC_1594) = coupl(nGC_1261) + 2d0*coupl(nGC_21)*dZHhHl_QED2 + 2d0* &
                        coupl(nGC_23)*dZHl_QED2
      coupl(nGC_1599) = coupl(nGC_1274) + coupl(nGC_4)*dZA_QED2/2d0 + coupl(   &
                        nGC_4)*dZtauMinusR_QED2 + coupl(nGC_52)*dZZA_QED2/2d0
      coupl(nGC_1598) = coupl(nGC_1274) + coupl(nGC_4)*dZA_QED2/2d0 + coupl(   &
                        nGC_4)*dZtauMinusL_QED2 + coupl(nGC_55)*dZZA_QED2/2d0
      coupl(nGC_959) = (-4d0*Nc*coupl(nGC_105)*coupl(nGC_109)*coupl(nGC_33) +  &
                       4d0*Nc*coupl(nGC_110)*coupl(nGC_114)*coupl(nGC_33) + 4d0&
                       *Nc*coupl(nGC_120)*coupl(nGC_124)*coupl(nGC_33) - 4d0*Nc&
                       *coupl(nGC_33)*coupl(nGC_80)*coupl(nGC_84) + 4d0*Nc*    &
                       coupl(nGC_33)*coupl(nGC_85)*coupl(nGC_89) - 4d0*Nc*coupl&
                       (nGC_33)*coupl(nGC_90)*coupl(nGC_94) - 4d0*coupl(nGC_100&
                       )*coupl(nGC_104)*coupl(nGC_33) - 4d0*coupl(nGC_115)*    &
                       coupl(nGC_119)*coupl(nGC_33) - 6d0*coupl(nGC_3)*coupl(  &
                       nGC_4)*coupl(nGC_47) + coupl(nGC_32)**2d0*coupl(nGC_439 &
                       ) - 4d0*coupl(nGC_33)*coupl(nGC_95)*coupl(nGC_99) - 6d0*&
                       coupl(nGC_37)*coupl(nGC_47)*coupl(nGC_55) - 6d0*coupl(  &
                       nGC_419)*coupl(nGC_437)*coupl(nGC_61) + coupl(nGC_437)* &
                       coupl(nGC_449)*coupl(nGC_455) + coupl(nGC_439)*coupl(   &
                       nGC_441)**2d0 + coupl(nGC_439)*coupl(nGC_453)**2d0)/(   &
                       96d0*pi**2d0)
      coupl(nGC_958) = (-4d0*Nc*coupl(nGC_105)*coupl(nGC_108)*coupl(nGC_33) +  &
                       4d0*Nc*coupl(nGC_110)*coupl(nGC_113)*coupl(nGC_33) + 4d0&
                       *Nc*coupl(nGC_120)*coupl(nGC_123)*coupl(nGC_33) - 4d0*Nc&
                       *coupl(nGC_33)*coupl(nGC_80)*coupl(nGC_83) + 4d0*Nc*    &
                       coupl(nGC_33)*coupl(nGC_85)*coupl(nGC_88) - 4d0*Nc*coupl&
                       (nGC_33)*coupl(nGC_90)*coupl(nGC_93) - 4d0*coupl(nGC_100&
                       )*coupl(nGC_103)*coupl(nGC_33) - 4d0*coupl(nGC_115)*    &
                       coupl(nGC_118)*coupl(nGC_33) - 6d0*coupl(nGC_3)*coupl(  &
                       nGC_34)*coupl(nGC_4) + coupl(nGC_32)**2d0*coupl(nGC_421 &
                       ) - 4d0*coupl(nGC_33)*coupl(nGC_95)*coupl(nGC_98) - 6d0*&
                       coupl(nGC_34)*coupl(nGC_37)*coupl(nGC_55) - 6d0*coupl(  &
                       nGC_419)*coupl(nGC_437)*coupl(nGC_57) + coupl(nGC_421)* &
                       coupl(nGC_441)**2d0 + coupl(nGC_421)*coupl(nGC_453)**2d0&
                        + coupl(nGC_437)*coupl(nGC_451)*coupl(nGC_455))/(96d0* &
                       pi**2d0)
      coupl(nGC_953) = (coupl(nGC_1)*coupl(nGC_120)**2d0 + coupl(nGC_121)*coupl&
                       (nGC_122)*coupl(nGC_2) + coupl(nGC_123)**2d0*coupl(nGC_2&
                       ) + coupl(nGC_124)**2d0*coupl(nGC_2) + 4d0*coupl(nGC_2  &
                       )**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_51)**2d0)/(32d0*pi**&
                       2d0)
      coupl(nGC_952) = (4d0*coupl(nGC_1)*coupl(nGC_33)**2d0 + coupl(nGC_1)*    &
                       coupl(nGC_90)**2d0 + coupl(nGC_121)*coupl(nGC_122)*coupl&
                       (nGC_2) + coupl(nGC_123)**2d0*coupl(nGC_2) + coupl(     &
                       nGC_124)**2d0*coupl(nGC_2) + 4d0*coupl(nGC_2)**3d0 + 4d0&
                       *coupl(nGC_2)*coupl(nGC_54)**2d0 + 4d0*coupl(nGC_3)*    &
                       coupl(nGC_33)**2d0)/(32d0*pi**2d0)
      coupl(nGC_951) = (coupl(nGC_116)*coupl(nGC_117)*coupl(nGC_4) + coupl(    &
                       nGC_118)**2d0*coupl(nGC_4) + coupl(nGC_119)**2d0*coupl( &
                       nGC_4) - 4d0*coupl(nGC_3)*coupl(nGC_33)**2d0 + 4d0*coupl&
                       (nGC_4)**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_55)**2d0)/(   &
                       32d0*pi**2d0)
      coupl(nGC_950) = coupl(nGC_4)*(coupl(nGC_116)*coupl(nGC_117) + coupl(    &
                       nGC_118)**2d0 + coupl(nGC_119)**2d0 + 4d0*coupl(nGC_4)**&
                       2d0 + 4d0*coupl(nGC_52)**2d0)/(32d0*pi**2d0)
      coupl(nGC_957) = (-4d0*Nc*coupl(nGC_105)*coupl(nGC_106)*coupl(nGC_33) +  &
                       4d0*Nc*coupl(nGC_110)*coupl(nGC_111)*coupl(nGC_33) + 4d0&
                       *Nc*coupl(nGC_120)*coupl(nGC_121)*coupl(nGC_33) - 4d0*Nc&
                       *coupl(nGC_33)*coupl(nGC_80)*coupl(nGC_81) + 4d0*Nc*    &
                       coupl(nGC_33)*coupl(nGC_85)*coupl(nGC_86) - 4d0*Nc*coupl&
                       (nGC_33)*coupl(nGC_90)*coupl(nGC_91) - 4d0*coupl(nGC_100&
                       )*coupl(nGC_101)*coupl(nGC_33) - 4d0*coupl(nGC_115)*    &
                       coupl(nGC_116)*coupl(nGC_33) - 6d0*coupl(nGC_3)*coupl(  &
                       nGC_4)*coupl(nGC_437) + coupl(nGC_32)**3d0 + coupl(     &
                       nGC_32)*coupl(nGC_441)**2d0 + coupl(nGC_32)*coupl(      &
                       nGC_453)**2d0 - 4d0*coupl(nGC_33)*coupl(nGC_95)*coupl(  &
                       nGC_96) - 6d0*coupl(nGC_34)*coupl(nGC_419)*coupl(nGC_451&
                       ) + coupl(nGC_34)*coupl(nGC_455)*coupl(nGC_57) - 6d0*   &
                       coupl(nGC_37)*coupl(nGC_437)*coupl(nGC_55) - 6d0*coupl( &
                       nGC_419)*coupl(nGC_449)*coupl(nGC_47) + coupl(nGC_455)* &
                       coupl(nGC_47)*coupl(nGC_61))/(96d0*pi**2d0)
      coupl(nGC_956) = (4d0*Nc*coupl(nGC_105)**2d0*coupl(nGC_50) - 4d0*Nc*coupl&
                       (nGC_105)**2d0*coupl(nGC_54) - 4d0*Nc*coupl(nGC_110)**  &
                       2d0*coupl(nGC_51) + 4d0*Nc*coupl(nGC_110)**2d0*coupl(   &
                       nGC_53) - 4d0*Nc*coupl(nGC_120)**2d0*coupl(nGC_51) + 4d0&
                       *Nc*coupl(nGC_120)**2d0*coupl(nGC_53) + 4d0*Nc*coupl(   &
                       nGC_50)*coupl(nGC_80)**2d0 + 4d0*Nc*coupl(nGC_50)*coupl(&
                       nGC_90)**2d0 - 4d0*Nc*coupl(nGC_51)*coupl(nGC_85)**2d0  &
                        + 4d0*Nc*coupl(nGC_53)*coupl(nGC_85)**2d0 - 4d0*Nc*    &
                       coupl(nGC_54)*coupl(nGC_80)**2d0 - 4d0*Nc*coupl(nGC_54)*&
                       coupl(nGC_90)**2d0 + 4d0*coupl(nGC_100)**2d0*coupl(     &
                       nGC_52) - 4d0*coupl(nGC_100)**2d0*coupl(nGC_56) + 4d0*  &
                       coupl(nGC_115)**2d0*coupl(nGC_52) - 4d0*coupl(nGC_115)**&
                       2d0*coupl(nGC_56) + coupl(nGC_32)*coupl(nGC_35)*coupl(  &
                       nGC_57) - 6d0*coupl(nGC_32)*coupl(nGC_37)*coupl(nGC_437 &
                       ) + coupl(nGC_32)*coupl(nGC_46)*coupl(nGC_61) - 6d0*    &
                       coupl(nGC_34)*coupl(nGC_37)*coupl(nGC_421) - 6d0*coupl( &
                       nGC_37)*coupl(nGC_439)*coupl(nGC_47) + coupl(nGC_429)** &
                       2d0*coupl(nGC_55) + coupl(nGC_437)*coupl(nGC_441)*coupl(&
                       nGC_451) + coupl(nGC_437)*coupl(nGC_449)*coupl(nGC_453  &
                       ) + coupl(nGC_455)**2d0*coupl(nGC_55) + 4d0*coupl(nGC_52&
                       )*coupl(nGC_95)**2d0 - 4d0*coupl(nGC_56)*coupl(nGC_95)**&
                       2d0)/(96d0*pi**2d0)
      coupl(nGC_955) = (4d0*Nc*cMB*coupl(nGC_110)**2d0*coupl(nGC_84) + 4d0*Nc* &
                       cMB*coupl(nGC_110)*coupl(nGC_114)*coupl(nGC_80) + 4d0*Nc&
                       *cMB*coupl(nGC_80)**2d0*coupl(nGC_84) + 4d0*Nc*cMC*coupl&
                       (nGC_105)**2d0*coupl(nGC_89) + 4d0*Nc*cMC*coupl(nGC_105 &
                       )*coupl(nGC_109)*coupl(nGC_85) + 4d0*Nc*cMC*coupl(nGC_85&
                       )**2d0*coupl(nGC_89) + 4d0*Nc*cMD*coupl(nGC_120)**2d0*  &
                       coupl(nGC_94) + 4d0*Nc*cMD*coupl(nGC_120)*coupl(nGC_124 &
                       )*coupl(nGC_90) + 4d0*Nc*cMD*coupl(nGC_90)**2d0*coupl(  &
                       nGC_94) + 4d0*Nc*cMS*coupl(nGC_105)**2d0*coupl(nGC_109  &
                       ) + 4d0*Nc*cMS*coupl(nGC_105)*coupl(nGC_85)*coupl(nGC_89&
                       ) + 4d0*Nc*cMS*coupl(nGC_109)*coupl(nGC_85)**2d0 + 4d0* &
                       Nc*cMT*coupl(nGC_110)**2d0*coupl(nGC_114) + 4d0*Nc*cMT* &
                       coupl(nGC_110)*coupl(nGC_80)*coupl(nGC_84) + 4d0*Nc*cMT*&
                       coupl(nGC_114)*coupl(nGC_80)**2d0 + 4d0*Nc*cMU*coupl(   &
                       nGC_120)**2d0*coupl(nGC_124) + 4d0*Nc*cMU*coupl(nGC_120 &
                       )*coupl(nGC_90)*coupl(nGC_94) + 4d0*Nc*cMU*coupl(nGC_124&
                       )*coupl(nGC_90)**2d0 + 4d0*cME*coupl(nGC_95)**2d0*coupl(&
                       nGC_99) + 4d0*cMM*coupl(nGC_100)**2d0*coupl(nGC_104) +  &
                       4d0*cMTA*coupl(nGC_115)**2d0*coupl(nGC_119) + 8d0*cima* &
                       coupl(nGC_17)*coupl(nGC_68) + 4d0*cima*coupl(nGC_26)*   &
                       coupl(nGC_70) + 8d0*cima*coupl(nGC_48)*coupl(nGC_71) +  &
                       2d0*cima*coupl(nGC_63)*coupl(nGC_73) - coupl(nGC_32)*   &
                       coupl(nGC_437)*coupl(nGC_70) + coupl(nGC_32)*coupl(     &
                       nGC_437)*coupl(nGC_74) - coupl(nGC_32)*coupl(nGC_449)*  &
                       coupl(nGC_68) - coupl(nGC_34)*coupl(nGC_421)*coupl(     &
                       nGC_70) + coupl(nGC_34)*coupl(nGC_46)*coupl(nGC_75) +   &
                       coupl(nGC_35)*coupl(nGC_441)*coupl(nGC_76) + coupl(     &
                       nGC_35)*coupl(nGC_453)*coupl(nGC_79) + coupl(nGC_421)*  &
                       coupl(nGC_453)*coupl(nGC_75) + coupl(nGC_429)**2d0*coupl&
                       (nGC_74) - coupl(nGC_429)*coupl(nGC_453)*coupl(nGC_71   &
                       ) - coupl(nGC_429)*coupl(nGC_46)*coupl(nGC_71) - coupl( &
                       nGC_437)*coupl(nGC_61)*coupl(nGC_68) + coupl(nGC_439)*  &
                       coupl(nGC_453)*coupl(nGC_74) - coupl(nGC_439)*coupl(    &
                       nGC_47)*coupl(nGC_70) + coupl(nGC_441)*coupl(nGC_46)*   &
                       coupl(nGC_79) - coupl(nGC_453)*coupl(nGC_455)*coupl(    &
                       nGC_68) + coupl(nGC_453)*coupl(nGC_46)*coupl(nGC_77) +  &
                       coupl(nGC_455)**2d0*coupl(nGC_74) - coupl(nGC_455)*coupl&
                       (nGC_46)*coupl(nGC_68) + coupl(nGC_46)*coupl(nGC_47)*   &
                       coupl(nGC_74) - coupl(nGC_55)**2d0*coupl(nGC_73))/(32d0*&
                       pi**2d0)
      coupl(nGC_954) = (4d0*Nc*cMB*coupl(nGC_110)**2d0*coupl(nGC_83) + 4d0*Nc* &
                       cMB*coupl(nGC_110)*coupl(nGC_113)*coupl(nGC_80) + 4d0*Nc&
                       *cMB*coupl(nGC_80)**2d0*coupl(nGC_83) + 4d0*Nc*cMC*coupl&
                       (nGC_105)**2d0*coupl(nGC_88) + 4d0*Nc*cMC*coupl(nGC_105 &
                       )*coupl(nGC_108)*coupl(nGC_85) + 4d0*Nc*cMC*coupl(nGC_85&
                       )**2d0*coupl(nGC_88) + 4d0*Nc*cMD*coupl(nGC_120)**2d0*  &
                       coupl(nGC_93) + 4d0*Nc*cMD*coupl(nGC_120)*coupl(nGC_123 &
                       )*coupl(nGC_90) + 4d0*Nc*cMD*coupl(nGC_90)**2d0*coupl(  &
                       nGC_93) + 4d0*Nc*cMS*coupl(nGC_105)**2d0*coupl(nGC_108  &
                       ) + 4d0*Nc*cMS*coupl(nGC_105)*coupl(nGC_85)*coupl(nGC_88&
                       ) + 4d0*Nc*cMS*coupl(nGC_108)*coupl(nGC_85)**2d0 + 4d0* &
                       Nc*cMT*coupl(nGC_110)**2d0*coupl(nGC_113) + 4d0*Nc*cMT* &
                       coupl(nGC_110)*coupl(nGC_80)*coupl(nGC_83) + 4d0*Nc*cMT*&
                       coupl(nGC_113)*coupl(nGC_80)**2d0 + 4d0*Nc*cMU*coupl(   &
                       nGC_120)**2d0*coupl(nGC_123) + 4d0*Nc*cMU*coupl(nGC_120 &
                       )*coupl(nGC_90)*coupl(nGC_93) + 4d0*Nc*cMU*coupl(nGC_123&
                       )*coupl(nGC_90)**2d0 + 4d0*cME*coupl(nGC_95)**2d0*coupl(&
                       nGC_98) + 4d0*cMM*coupl(nGC_100)**2d0*coupl(nGC_103) +  &
                       4d0*cMTA*coupl(nGC_115)**2d0*coupl(nGC_118) + 4d0*cima* &
                       coupl(nGC_26)*coupl(nGC_69) + 8d0*cima*coupl(nGC_40)*   &
                       coupl(nGC_71) + 2d0*cima*coupl(nGC_63)*coupl(nGC_72) +  &
                       8d0*cima*coupl(nGC_68)*coupl(nGC_9) - coupl(nGC_32)*    &
                       coupl(nGC_437)*coupl(nGC_69) + coupl(nGC_32)*coupl(     &
                       nGC_437)*coupl(nGC_75) - coupl(nGC_32)*coupl(nGC_451)*  &
                       coupl(nGC_68) + coupl(nGC_34)*coupl(nGC_35)*coupl(nGC_75&
                       ) - coupl(nGC_34)*coupl(nGC_421)*coupl(nGC_69) - coupl( &
                       nGC_35)*coupl(nGC_429)*coupl(nGC_71) + coupl(nGC_35)*   &
                       coupl(nGC_441)*coupl(nGC_78) + coupl(nGC_35)*coupl(     &
                       nGC_453)*coupl(nGC_76) - coupl(nGC_35)*coupl(nGC_455)*  &
                       coupl(nGC_68) + coupl(nGC_35)*coupl(nGC_47)*coupl(nGC_74&
                       ) + coupl(nGC_421)*coupl(nGC_441)*coupl(nGC_75) + coupl(&
                       nGC_429)**2d0*coupl(nGC_75) - coupl(nGC_429)*coupl(     &
                       nGC_441)*coupl(nGC_71) - coupl(nGC_437)*coupl(nGC_57)*  &
                       coupl(nGC_68) + coupl(nGC_439)*coupl(nGC_441)*coupl(    &
                       nGC_74) - coupl(nGC_439)*coupl(nGC_47)*coupl(nGC_69) -  &
                       coupl(nGC_441)*coupl(nGC_455)*coupl(nGC_68) + coupl(    &
                       nGC_441)*coupl(nGC_46)*coupl(nGC_76) + coupl(nGC_453)*  &
                       coupl(nGC_46)*coupl(nGC_79) + coupl(nGC_455)**2d0*coupl(&
                       nGC_75) - coupl(nGC_55)**2d0*coupl(nGC_72))/(32d0*pi**  &
                       2d0)
      coupl(nGC_1346) = coupl(nGC_611)*dyb_QED1_QCD2
      coupl(nGC_1345) = coupl(nGC_611)*dyb_QED3 + coupl(nGC_612)*da_QED2
      coupl(nGC_1184) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_105)**2d0 &
                         - coupl(nGC_110)**2d0 - coupl(nGC_120)**2d0 - coupl(  &
                        nGC_80)**2d0 - coupl(nGC_85)**2d0 - coupl(nGC_90)**2d0 &
                        )/(32d0*pi**2d0)
      coupl(nGC_1029) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_83) - coupl(nGC_110)* &
                        coupl(nGC_113)*coupl(nGC_80) - coupl(nGC_33)*coupl(    &
                        nGC_34)*coupl(nGC_80) - coupl(nGC_451)*coupl(nGC_50)*  &
                        coupl(nGC_81) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl( &
                        nGC_83) - coupl(nGC_53)*coupl(nGC_57)*coupl(nGC_81) -  &
                        coupl(nGC_81)**2d0*coupl(nGC_83) - coupl(nGC_83)**3d0  &
                         - coupl(nGC_83)*coupl(nGC_84)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1028) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_83) - coupl(nGC_110)* &
                        coupl(nGC_113)*coupl(nGC_80) - coupl(nGC_33)*coupl(    &
                        nGC_421)*coupl(nGC_80) - coupl(nGC_451)*coupl(nGC_53)* &
                        coupl(nGC_82) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl( &
                        nGC_83) - coupl(nGC_50)*coupl(nGC_57)*coupl(nGC_82) -  &
                        coupl(nGC_82)**2d0*coupl(nGC_83) - coupl(nGC_83)**3d0  &
                         - coupl(nGC_83)*coupl(nGC_84)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1183) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_105)**2d0  &
                         + coupl(nGC_110)**2d0 + coupl(nGC_120)**2d0 + coupl(  &
                        nGC_80)**2d0 + coupl(nGC_85)**2d0 + coupl(nGC_90)**2d0 &
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_1023) = 3d0*(8d0*Nc*cMB*coupl(nGC_83)**3d0 + 8d0*Nc*cMC*coupl( &
                        nGC_88)**3d0 + 8d0*Nc*cMD*coupl(nGC_93)**3d0 + 8d0*Nc* &
                        cMS*coupl(nGC_108)**3d0 + 8d0*Nc*cMT*coupl(nGC_113)**  &
                        3d0 + 8d0*Nc*cMU*coupl(nGC_123)**3d0 + 8d0*cME*coupl(  &
                        nGC_98)**3d0 + 8d0*cMM*coupl(nGC_103)**3d0 + 8d0*cMTA* &
                        coupl(nGC_118)**3d0 + 4d0*cima*coupl(nGC_28)*coupl(    &
                        nGC_69) + 2d0*cima*coupl(nGC_65)*coupl(nGC_72) - coupl(&
                        nGC_34)*coupl(nGC_421)*coupl(nGC_69) + coupl(nGC_34)*  &
                        coupl(nGC_421)*coupl(nGC_75) - coupl(nGC_35)*coupl(    &
                        nGC_441)*coupl(nGC_69) + coupl(nGC_35)*coupl(nGC_441)* &
                        coupl(nGC_75) - coupl(nGC_451)*coupl(nGC_57)*coupl(    &
                        nGC_72) + coupl(nGC_451)*coupl(nGC_57)*coupl(nGC_75))/(&
                        32d0*pi**2d0)
      coupl(nGC_1022) = coupl(nGC_11)**2d0*coupl(nGC_122)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1021) = (-coupl(nGC_120)*coupl(nGC_33)*coupl(nGC_437) - coupl( &
                        nGC_120)*coupl(nGC_90)*coupl(nGC_92) - coupl(nGC_121)* &
                        coupl(nGC_122)**2d0 - coupl(nGC_121)*coupl(nGC_123)**  &
                        2d0 - coupl(nGC_121)*coupl(nGC_124)**2d0 + 8d0*coupl(  &
                        nGC_122)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_122)*coupl( &
                        nGC_51)*coupl(nGC_54) - coupl(nGC_123)*coupl(nGC_451)* &
                        coupl(nGC_54) - coupl(nGC_123)*coupl(nGC_51)*coupl(    &
                        nGC_57) - coupl(nGC_124)*coupl(nGC_449)*coupl(nGC_54   &
                        ) - coupl(nGC_124)*coupl(nGC_51)*coupl(nGC_61))/(32d0* &
                        pi**2d0)
      coupl(nGC_1020) = coupl(nGC_11)**2d0*coupl(nGC_121)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1025) = (24d0*Nc*cMB*coupl(nGC_83)*coupl(nGC_84)**2d0 + 24d0*Nc&
                        *cMC*coupl(nGC_88)*coupl(nGC_89)**2d0 + 24d0*Nc*cMD*   &
                        coupl(nGC_93)*coupl(nGC_94)**2d0 + 24d0*Nc*cMS*coupl(  &
                        nGC_108)*coupl(nGC_109)**2d0 + 24d0*Nc*cMT*coupl(      &
                        nGC_113)*coupl(nGC_114)**2d0 + 24d0*Nc*cMU*coupl(      &
                        nGC_123)*coupl(nGC_124)**2d0 + 24d0*cME*coupl(nGC_98)* &
                        coupl(nGC_99)**2d0 + 24d0*cMM*coupl(nGC_103)*coupl(    &
                        nGC_104)**2d0 + 24d0*cMTA*coupl(nGC_118)*coupl(nGC_119 &
                        )**2d0 + 8d0*cima*coupl(nGC_30)*coupl(nGC_70) + 4d0*   &
                        cima*coupl(nGC_31)*coupl(nGC_69) + 4d0*cima*coupl(     &
                        nGC_66)*coupl(nGC_73) + 2d0*cima*coupl(nGC_67)*coupl(  &
                        nGC_72) - coupl(nGC_34)*coupl(nGC_439)*coupl(nGC_70) + &
                        coupl(nGC_34)*coupl(nGC_439)*coupl(nGC_74) - coupl(    &
                        nGC_35)*coupl(nGC_453)*coupl(nGC_70) + coupl(nGC_35)*  &
                        coupl(nGC_453)*coupl(nGC_74) - coupl(nGC_421)*coupl(   &
                        nGC_47)*coupl(nGC_70) + coupl(nGC_421)*coupl(nGC_47)*  &
                        coupl(nGC_74) - coupl(nGC_439)*coupl(nGC_47)*coupl(    &
                        nGC_69) + coupl(nGC_439)*coupl(nGC_47)*coupl(nGC_75) - &
                        coupl(nGC_441)*coupl(nGC_46)*coupl(nGC_70) + coupl(    &
                        nGC_441)*coupl(nGC_46)*coupl(nGC_74) - coupl(nGC_449)* &
                        coupl(nGC_57)*coupl(nGC_73) + coupl(nGC_449)*coupl(    &
                        nGC_57)*coupl(nGC_74) - coupl(nGC_449)*coupl(nGC_61)*  &
                        coupl(nGC_72) + coupl(nGC_449)*coupl(nGC_61)*coupl(    &
                        nGC_75) - coupl(nGC_451)*coupl(nGC_61)*coupl(nGC_73) + &
                        coupl(nGC_451)*coupl(nGC_61)*coupl(nGC_74) - coupl(    &
                        nGC_453)*coupl(nGC_46)*coupl(nGC_69) + coupl(nGC_453)* &
                        coupl(nGC_46)*coupl(nGC_75))/(32d0*pi**2d0)
      coupl(nGC_1024) = (24d0*Nc*cMB*coupl(nGC_83)**2d0*coupl(nGC_84) + 24d0*Nc&
                        *cMC*coupl(nGC_88)**2d0*coupl(nGC_89) + 24d0*Nc*cMD*   &
                        coupl(nGC_93)**2d0*coupl(nGC_94) + 24d0*Nc*cMS*coupl(  &
                        nGC_108)**2d0*coupl(nGC_109) + 24d0*Nc*cMT*coupl(      &
                        nGC_113)**2d0*coupl(nGC_114) + 24d0*Nc*cMU*coupl(      &
                        nGC_123)**2d0*coupl(nGC_124) + 24d0*cME*coupl(nGC_98)**&
                        2d0*coupl(nGC_99) + 24d0*cMM*coupl(nGC_103)**2d0*coupl(&
                        nGC_104) + 24d0*cMTA*coupl(nGC_118)**2d0*coupl(nGC_119 &
                        ) + 4d0*cima*coupl(nGC_28)*coupl(nGC_70) + 8d0*cima*   &
                        coupl(nGC_30)*coupl(nGC_69) + 2d0*cima*coupl(nGC_65)*  &
                        coupl(nGC_73) + 4d0*cima*coupl(nGC_66)*coupl(nGC_72) - &
                        coupl(nGC_34)*coupl(nGC_421)*coupl(nGC_70) + coupl(    &
                        nGC_34)*coupl(nGC_421)*coupl(nGC_74) - coupl(nGC_34)*  &
                        coupl(nGC_439)*coupl(nGC_69) + coupl(nGC_34)*coupl(    &
                        nGC_439)*coupl(nGC_75) - coupl(nGC_35)*coupl(nGC_441)* &
                        coupl(nGC_70) + coupl(nGC_35)*coupl(nGC_441)*coupl(    &
                        nGC_74) - coupl(nGC_35)*coupl(nGC_453)*coupl(nGC_69) + &
                        coupl(nGC_35)*coupl(nGC_453)*coupl(nGC_75) - coupl(    &
                        nGC_421)*coupl(nGC_47)*coupl(nGC_69) + coupl(nGC_421)* &
                        coupl(nGC_47)*coupl(nGC_75) - coupl(nGC_441)*coupl(    &
                        nGC_46)*coupl(nGC_69) + coupl(nGC_441)*coupl(nGC_46)*  &
                        coupl(nGC_75) - coupl(nGC_449)*coupl(nGC_57)*coupl(    &
                        nGC_72) + coupl(nGC_449)*coupl(nGC_57)*coupl(nGC_75) - &
                        coupl(nGC_451)*coupl(nGC_57)*coupl(nGC_73) + coupl(    &
                        nGC_451)*coupl(nGC_57)*coupl(nGC_74) - coupl(nGC_451)* &
                        coupl(nGC_61)*coupl(nGC_72) + coupl(nGC_451)*coupl(    &
                        nGC_61)*coupl(nGC_75))/(32d0*pi**2d0)
      coupl(nGC_923) = (4d0*Nc*coupl(nGC_1)*coupl(nGC_105)**2d0 + 4d0*Nc*coupl(&
                       nGC_1)*coupl(nGC_110)**2d0 + 4d0*Nc*coupl(nGC_1)*coupl( &
                       nGC_120)**2d0 + 4d0*Nc*coupl(nGC_1)*coupl(nGC_80)**2d0  &
                        + 4d0*Nc*coupl(nGC_1)*coupl(nGC_85)**2d0 + 4d0*Nc*coupl&
                       (nGC_1)*coupl(nGC_90)**2d0 - 4d0*Nc*coupl(nGC_105)**2d0*&
                       coupl(nGC_2) - 4d0*Nc*coupl(nGC_110)**2d0*coupl(nGC_2   &
                       ) - 4d0*Nc*coupl(nGC_120)**2d0*coupl(nGC_2) - 4d0*Nc*   &
                       coupl(nGC_2)*coupl(nGC_80)**2d0 - 4d0*Nc*coupl(nGC_2)*  &
                       coupl(nGC_85)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(nGC_90)**&
                       2d0 + 4d0*coupl(nGC_100)**2d0*coupl(nGC_4) + 4d0*coupl( &
                       nGC_115)**2d0*coupl(nGC_4) - 6d0*coupl(nGC_3)*coupl(    &
                       nGC_32)*coupl(nGC_437) - 6d0*coupl(nGC_3)*coupl(nGC_34)*&
                       coupl(nGC_421) - 6d0*coupl(nGC_3)*coupl(nGC_439)*coupl( &
                       nGC_47) + coupl(nGC_4)*coupl(nGC_429)**2d0 + coupl(nGC_4&
                       )*coupl(nGC_455)**2d0 + 4d0*coupl(nGC_4)*coupl(nGC_95)**&
                       2d0)/(96d0*pi**2d0)
      coupl(nGC_889) = cima*(-2d0*Nc*coupl(nGC_50)**2d0 - 2d0*Nc*coupl(nGC_51  &
                       )**2d0 - 2d0*Nc*coupl(nGC_53)**2d0 - 2d0*Nc*coupl(nGC_54&
                       )**2d0 - coupl(nGC_37)**2d0 - coupl(nGC_419)**2d0 - 2d0*&
                       coupl(nGC_52)**2d0 - 2d0*coupl(nGC_55)**2d0 - 2d0*coupl(&
                       nGC_56)**2d0)/(32d0*pi**2d0)
      coupl(nGC_888) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_83)**2d0 - 4d0*Nc*cMC**&
                       2d0*cima*coupl(nGC_88)**2d0 - 4d0*Nc*cMD**2d0*cima*coupl&
                       (nGC_93)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_108)**2d0&
                        - 4d0*Nc*cMT**2d0*cima*coupl(nGC_113)**2d0 - 4d0*Nc*cMU&
                       **2d0*cima*coupl(nGC_123)**2d0 - 4d0*cME**2d0*cima*coupl&
                       (nGC_98)**2d0 - 4d0*cMM**2d0*cima*coupl(nGC_103)**2d0 - &
                       4d0*cMTA**2d0*cima*coupl(nGC_118)**2d0 - cMW**2d0*cima* &
                       coupl(nGC_34)*coupl(nGC_421) - cMW**2d0*cima*coupl(     &
                       nGC_35)*coupl(nGC_441) - 2d0*cMW**2d0*coupl(nGC_28) -   &
                       cMZ**2d0*cima*coupl(nGC_451)*coupl(nGC_57) - cMZ**2d0*  &
                       coupl(nGC_65) + 2d0*cima*coupl(nGC_69)**2d0 + cima*coupl&
                       (nGC_72)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1334) = coupl(nGC_679)*dys_QED1_QCD2
      coupl(nGC_1333) = coupl(nGC_679)*dys_QED3
      coupl(nGC_1332) = coupl(nGC_644)*dydo_QED1_QCD2
      coupl(nGC_1331) = coupl(nGC_644)*dydo_QED3
      coupl(nGC_1330) = coupl(nGC_641)*dydo_QED1_QCD2
      coupl(nGC_881) = (-8d0*Nc*cMB**2d0*cima*coupl(nGC_83)*coupl(nGC_84) - 8d0&
                       *Nc*cMC**2d0*cima*coupl(nGC_88)*coupl(nGC_89) - 8d0*Nc* &
                       cMD**2d0*cima*coupl(nGC_93)*coupl(nGC_94) - 8d0*Nc*cMS**&
                       2d0*cima*coupl(nGC_108)*coupl(nGC_109) - 8d0*Nc*cMT**2d0&
                       *cima*coupl(nGC_113)*coupl(nGC_114) - 8d0*Nc*cMU**2d0*  &
                       cima*coupl(nGC_123)*coupl(nGC_124) - 8d0*cME**2d0*cima* &
                       coupl(nGC_98)*coupl(nGC_99) - 8d0*cMM**2d0*cima*coupl(  &
                       nGC_103)*coupl(nGC_104) - 8d0*cMTA**2d0*cima*coupl(     &
                       nGC_118)*coupl(nGC_119) - cMW**2d0*cima*coupl(nGC_34)*  &
                       coupl(nGC_439) - cMW**2d0*cima*coupl(nGC_35)*coupl(     &
                       nGC_453) - cMW**2d0*cima*coupl(nGC_421)*coupl(nGC_47) - &
                       cMW**2d0*cima*coupl(nGC_441)*coupl(nGC_46) - 4d0*cMW**  &
                       2d0*coupl(nGC_30) - cMZ**2d0*cima*coupl(nGC_449)*coupl( &
                       nGC_57) - cMZ**2d0*cima*coupl(nGC_451)*coupl(nGC_61) -  &
                       2d0*cMZ**2d0*coupl(nGC_66) + 4d0*cima*coupl(nGC_69)*    &
                       coupl(nGC_70) + 2d0*cima*coupl(nGC_72)*coupl(nGC_73))/( &
                       32d0*pi**2d0)
      coupl(nGC_880) = cima*(8d0*Nc*coupl(nGC_108)*coupl(nGC_109) + 8d0*Nc*    &
                       coupl(nGC_113)*coupl(nGC_114) + 8d0*Nc*coupl(nGC_123)*  &
                       coupl(nGC_124) + 8d0*Nc*coupl(nGC_83)*coupl(nGC_84) +   &
                       8d0*Nc*coupl(nGC_88)*coupl(nGC_89) + 8d0*Nc*coupl(nGC_93&
                       )*coupl(nGC_94) + 8d0*coupl(nGC_103)*coupl(nGC_104) +   &
                       8d0*coupl(nGC_118)*coupl(nGC_119) + coupl(nGC_34)*coupl(&
                       nGC_439) + coupl(nGC_35)*coupl(nGC_453) + coupl(nGC_421 &
                       )*coupl(nGC_47) + coupl(nGC_441)*coupl(nGC_46) + coupl( &
                       nGC_449)*coupl(nGC_57) + coupl(nGC_451)*coupl(nGC_61) + &
                       8d0*coupl(nGC_98)*coupl(nGC_99))/(192d0*pi**2d0)
      coupl(nGC_883) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_84)**2d0 - 4d0*Nc*cMC**&
                       2d0*cima*coupl(nGC_89)**2d0 - 4d0*Nc*cMD**2d0*cima*coupl&
                       (nGC_94)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_109)**2d0&
                        - 4d0*Nc*cMT**2d0*cima*coupl(nGC_114)**2d0 - 4d0*Nc*cMU&
                       **2d0*cima*coupl(nGC_124)**2d0 - 4d0*cME**2d0*cima*coupl&
                       (nGC_99)**2d0 - 4d0*cMM**2d0*cima*coupl(nGC_104)**2d0 - &
                       4d0*cMTA**2d0*cima*coupl(nGC_119)**2d0 - cMW**2d0*cima* &
                       coupl(nGC_439)*coupl(nGC_47) - cMW**2d0*cima*coupl(     &
                       nGC_453)*coupl(nGC_46) - 2d0*cMW**2d0*coupl(nGC_31) -   &
                       cMZ**2d0*cima*coupl(nGC_449)*coupl(nGC_61) - cMZ**2d0*  &
                       coupl(nGC_67) + 2d0*cima*coupl(nGC_70)**2d0 + cima*coupl&
                       (nGC_73)**2d0)/(16d0*pi**2d0)
      coupl(nGC_882) = cima*(4d0*Nc*coupl(nGC_109)**2d0 + 4d0*Nc*coupl(nGC_114 &
                       )**2d0 + 4d0*Nc*coupl(nGC_124)**2d0 + 4d0*Nc*coupl(     &
                       nGC_84)**2d0 + 4d0*Nc*coupl(nGC_89)**2d0 + 4d0*Nc*coupl(&
                       nGC_94)**2d0 + 4d0*coupl(nGC_104)**2d0 + 4d0*coupl(     &
                       nGC_119)**2d0 + coupl(nGC_439)*coupl(nGC_47) + coupl(   &
                       nGC_449)*coupl(nGC_61) + coupl(nGC_453)*coupl(nGC_46) + &
                       4d0*coupl(nGC_99)**2d0)/(96d0*pi**2d0)
      coupl(nGC_1339) = coupl(nGC_608)*dyb_QED3
      coupl(nGC_1338) = coupl(nGC_607)*dyb_QED1_QCD2
      coupl(nGC_1014) = coupl(nGC_11)**2d0*coupl(nGC_111)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1720) = coupl(nGC_1480) + coupl(nGC_MB)*dZbL_QCD2/2d0 + coupl( &
                        nGC_MB)*dZbR_QCD2/2d0
      coupl(nGC_1721) = coupl(nGC_MI)*dZbL_QED2
      coupl(nGC_1722) = coupl(nGC_MI)*dZbL_QCD2
      coupl(nGC_1723) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZbL_QED2 +   &
                        coupl(nGC_1308) + coupl(nGC_53)*dZZA_QED2/2d0
      coupl(nGC_1724) = coupl(nGC_1)*dZbL_QCD2
      coupl(nGC_1725) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZbR_QED2 +   &
                        coupl(nGC_1308) + coupl(nGC_50)*dZZA_QED2/2d0
      coupl(nGC_1726) = coupl(nGC_1)*dZbR_QCD2
      coupl(nGC_1727) = 3d0*coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_1248)
      coupl(nGC_1728) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_1314) + coupl(  &
                        nGC_53)*dZZ_QED2/2d0 + coupl(nGC_53)*dZsL_QED2
      coupl(nGC_1729) = coupl(nGC_53)*dZsL_QCD2
      coupl(nGC_887) = cima*(4d0*Nc*coupl(nGC_108)**2d0 + 4d0*Nc*coupl(nGC_113 &
                       )**2d0 + 4d0*Nc*coupl(nGC_123)**2d0 + 4d0*Nc*coupl(     &
                       nGC_83)**2d0 + 4d0*Nc*coupl(nGC_88)**2d0 + 4d0*Nc*coupl(&
                       nGC_93)**2d0 + 4d0*coupl(nGC_103)**2d0 + 4d0*coupl(     &
                       nGC_118)**2d0 + coupl(nGC_34)*coupl(nGC_421) + coupl(   &
                       nGC_35)*coupl(nGC_441) + coupl(nGC_451)*coupl(nGC_57) + &
                       4d0*coupl(nGC_98)**2d0)/(96d0*pi**2d0)
      coupl(nGC_1788) = coupl(nGC_1265) + 3d0*coupl(nGC_22)*dZHh_QED2/2d0 +    &
                        coupl(nGC_22)*dZHl_QED2/2d0 + coupl(nGC_24)*dZHhHl_QED2&
                        /2d0 + 3d0*coupl(nGC_25)*dZHlHh_QED2/2d0
      coupl(nGC_1805) = coupl(nGC_1307) + coupl(nGC_2)*dZA_QED2/2d0 + coupl(   &
                        nGC_2)*dZcR_QED2 + coupl(nGC_51)*dZZA_QED2/2d0
      coupl(nGC_1804) = coupl(nGC_2)*dZcL_QCD2
      coupl(nGC_1806) = coupl(nGC_2)*dZcR_QCD2
      coupl(nGC_1801) = coupl(nGC_121)*dZuL_QCD2/2d0 + coupl(nGC_121)*dZuR_QCD2&
                        /2d0 + coupl(nGC_1369)
      coupl(nGC_1800) = coupl(nGC_121)*dZuL_QED2/2d0 + coupl(nGC_121)*dZuR_QED2&
                        /2d0 + coupl(nGC_1368)
      coupl(nGC_1803) = coupl(nGC_1307) + coupl(nGC_2)*dZA_QED2/2d0 + coupl(   &
                        nGC_2)*dZcL_QED2 + coupl(nGC_54)*dZZA_QED2/2d0
      coupl(nGC_1802) = -coupl(nGC_1250) - coupl(nGC_3)*dZA_QED2/2d0 - coupl(  &
                        nGC_3)*dZWMinus_QED2 - coupl(nGC_37)*dZZA_QED2/2d0
      coupl(nGC_1099) = (4d0*coupl(nGC_4)**2d0*coupl(nGC_52) + 4d0*coupl(nGC_52&
                        )**3d0 + coupl(nGC_55)*coupl(nGC_96)*coupl(nGC_97) +   &
                        coupl(nGC_55)*coupl(nGC_98)**2d0 + coupl(nGC_55)*coupl(&
                        nGC_99)**2d0 + coupl(nGC_56)*coupl(nGC_95)**2d0)/(32d0*&
                        pi**2d0)
      coupl(nGC_1092) = coupl(nGC_11)**2d0*coupl(nGC_50)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_1093) = (coupl(nGC_105)**2d0*coupl(nGC_50) + 4d0*coupl(nGC_2)**&
                        2d0*coupl(nGC_54) + 4d0*coupl(nGC_33)**2d0*coupl(nGC_37&
                        ) + 4d0*coupl(nGC_33)**2d0*coupl(nGC_53) + coupl(nGC_51&
                        )*coupl(nGC_86)*coupl(nGC_87) + coupl(nGC_51)*coupl(   &
                        nGC_88)**2d0 + coupl(nGC_51)*coupl(nGC_89)**2d0 + 4d0* &
                        coupl(nGC_54)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1090) = coupl(nGC_11)**2d0*coupl(nGC_53)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_1091) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_50) + 4d0*coupl(nGC_50&
                        )**3d0 + coupl(nGC_53)*coupl(nGC_81)*coupl(nGC_82) +   &
                        coupl(nGC_53)*coupl(nGC_83)**2d0 + coupl(nGC_53)*coupl(&
                        nGC_84)**2d0 + coupl(nGC_54)*coupl(nGC_80)**2d0)/(32d0*&
                        pi**2d0)
      coupl(nGC_1096) = coupl(nGC_11)**2d0*coupl(nGC_51)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_1097) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_53) + coupl(nGC_120)**&
                        2d0*coupl(nGC_51) + 4d0*coupl(nGC_33)**2d0*coupl(      &
                        nGC_419) + 4d0*coupl(nGC_33)**2d0*coupl(nGC_54) + coupl&
                        (nGC_50)*coupl(nGC_91)*coupl(nGC_92) + coupl(nGC_50)*  &
                        coupl(nGC_93)**2d0 + coupl(nGC_50)*coupl(nGC_94)**2d0  &
                         + 4d0*coupl(nGC_53)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1094) = coupl(nGC_11)**2d0*coupl(nGC_54)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_1095) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_51) + 4d0*coupl(nGC_51&
                        )**3d0 + coupl(nGC_53)*coupl(nGC_85)**2d0 + coupl(     &
                        nGC_54)*coupl(nGC_86)*coupl(nGC_87) + coupl(nGC_54)*   &
                        coupl(nGC_88)**2d0 + coupl(nGC_54)*coupl(nGC_89)**2d0  &
                        )/(32d0*pi**2d0)
      coupl(nGC_1795) = coupl(nGC_1250) + coupl(nGC_3)*dZA_QED2/2d0 + coupl(   &
                        nGC_3)*dZWMinus_QED2 + coupl(nGC_37)*dZZA_QED2/2d0
      coupl(nGC_1797) = coupl(nGC_1274) + coupl(nGC_4)*dZA_QED2/2d0 + coupl(   &
                        nGC_55)*dZZA_QED2/2d0
      coupl(nGC_1658) = coupl(nGC_MI)*dZmuMinusR_QED2
      coupl(nGC_TS_GC_61_Hl) = -coupl(nGC_61)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1654) = coupl(nGC_1394) + coupl(nGC_44)*dZHh_QED2/2d0 + coupl( &
                        nGC_49)*dZHlHh_QED2/2d0
      coupl(nGC_1655) = coupl(nGC_1262) + coupl(nGC_18)*dZHhHl_QED2 + coupl(   &
                        nGC_19)*dZHl_QED2
      coupl(nGC_1657) = coupl(nGC_1305) + coupl(nGC_72)*dZHh_QED2/2d0 + coupl( &
                        nGC_72)*dZZ_QED2 + coupl(nGC_73)*dZHlHh_QED2/2d0 +     &
                        coupl(nGC_TS_GC_65_Hh) + coupl(nGC_TS_GC_66_Hl)
      coupl(nGC_1650) = coupl(nGC_1329) + coupl(nGC_91)*dZdL_QED2/2d0 + coupl( &
                        nGC_91)*dZdR_QED2/2d0
      coupl(nGC_1651) = coupl(nGC_1330) + coupl(nGC_91)*dZdL_QCD2/2d0 + coupl( &
                        nGC_91)*dZdR_QCD2/2d0
      coupl(nGC_1652) = coupl(nGC_1331) + coupl(nGC_92)*dZdL_QED2/2d0 + coupl( &
                        nGC_92)*dZdR_QED2/2d0
      coupl(nGC_1653) = coupl(nGC_1332) + coupl(nGC_92)*dZdL_QCD2/2d0 + coupl( &
                        nGC_92)*dZdR_QCD2/2d0
      coupl(nGC_1309) = coupl(nGC_259)*dZgs_QCD2
      coupl(nGC_1351) = coupl(nGC_609)*dyb_QED3 + coupl(nGC_610)*da_QED2
      coupl(nGC_1384) = coupl(nGC_275)*dyt_QED3 + coupl(nGC_277)*da_QED2
      coupl(nGC_1385) = coupl(nGC_275)*dyt_QED1_QCD2
      coupl(nGC_1382) = coupl(nGC_639)*dyc_QED3 + coupl(nGC_640)*da_QED2
      coupl(nGC_1383) = coupl(nGC_639)*dyc_QED1_QCD2
      coupl(nGC_TS_GC_31_Hl) = -coupl(nGC_31)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1012) = coupl(nGC_106)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1388) = coupl(nGC_642)*dyc_QED3 + coupl(nGC_643)*da_QED2
      coupl(nGC_1389) = coupl(nGC_642)*dyc_QED1_QCD2
      coupl(nGC_1570) = coupl(nGC_1286) + coupl(nGC_28)*dZHh_QED2 + coupl(     &
                        nGC_28)*dZWMinus_QED2 + coupl(nGC_30)*dZHlHh_QED2
      coupl(nGC_1573) = coupl(nGC_1352) + coupl(nGC_84)*dZbL_QCD2/2d0 + coupl( &
                        nGC_84)*dZbR_QCD2/2d0
      coupl(nGC_1572) = coupl(nGC_1351) + coupl(nGC_83)*dZHhHl_QED2/2d0 + coupl&
                        (nGC_84)*dZHl_QED2/2d0 + coupl(nGC_84)*dZbL_QED2/2d0 + &
                        coupl(nGC_84)*dZbR_QED2/2d0
      coupl(nGC_1575) = coupl(nGC_1312) + coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_54)*dZZ_QED2/2d0 + coupl(nGC_54)*dZuL_QED2
      coupl(nGC_1574) = coupl(nGC_1295) + coupl(nGC_39)*dZAZ_QED2/2d0 + coupl( &
                        nGC_8)*dZWMinus_QED2/2d0 + coupl(nGC_8)*dZZ_QED2/2d0
      coupl(nGC_1577) = coupl(nGC_1311) + coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_51)*dZZ_QED2/2d0 + coupl(nGC_51)*dZuR_QED2
      coupl(nGC_1579) = -coupl(nGC_1294) - coupl(nGC_4)*dZAZ_QED2/2d0 - coupl( &
                        nGC_55)*dZZ_QED2/2d0
      coupl(nGC_1290) = coupl(nGC_619)*dsw_QED2 + coupl(nGC_620)*dZee_QED2 +   &
                        coupl(nGC_621)*dvev_QED1 + coupl(nGC_622)*da_QED2
    end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
