!******************************************************************************!
!                                                                              !
!    vertices_info3.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info3.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 17:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info3
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl3()
      allocate(vertices(198)%branchCT(0:0))
      call avCT(198, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1554/))

      allocate(vertices(199)%branchCT(0:1))
      call avCT(199, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1662, nGC_1662/))

      call avCT(199, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1663, nGC_1663/))

      allocate(vertices(1412)%branchCT(0:0))
      call avCT(1412, 0, 8, 1, 0, FaVF0, (/0, 3/), (/nGC_1664/))

      allocate(vertices(979)%branchCT(0:0))
      call avCT(979, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1649/))

      allocate(vertices(1413)%branchCT(0:0))
      call avCT(1413, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1553/))

      allocate(vertices(202)%branchCT(0:0))
      call avCT(202, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1494/))

      allocate(vertices(203)%branchCT(0:0))
      call avCT(203, 0, 8, 1, 0, FaSF1, (/0, 3/), (/nGC_1665, nGC_1666/))

      allocate(vertices(204)%branchCT(0:0))
      call avCT(204, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1487/))

      allocate(vertices(1414)%branchCT(0:0))
      call avCT(1414, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1667/))

      allocate(vertices(1415)%branchCT(0:0))
      call avCT(1415, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1664/))

      allocate(vertices(1042)%branchCT(0:0))
      call avCT(1042, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1489/))

      allocate(vertices(205)%branchCT(0:1))
      call avCT(205, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1668, nGC_1668/))

      call avCT(205, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1669, nGC_1669/))

      allocate(vertices(206)%branchCT(0:0))
      call avCT(206, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1488/))

      allocate(vertices(207)%branchCT(0:0))
      call avCT(207, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1541/))

      allocate(vertices(208)%branchCT(0:3))
      call avCT(208, 0, 11, 2, 0, FFaV0, (/1, 2/), (/nGC_1671, nGC_1673/))

      call avCT(208, 1, 11, 2, 0, FFaV0, (/3, 0/), (/nGC_1670, nGC_1672/))

      call avCT(208, 2, 12, 3, 0, FFaV0, (/1, 2/), (/nGC_1671, nGC_1673/))

      call avCT(208, 3, 12, 3, 0, FFaV0, (/3, 0/), (/nGC_1670, nGC_1672/))

      allocate(vertices(209)%branchCT(0:0))
      call avCT(209, 0, 8, 1, 0, SFaF1, (/0, 3/), (/nGC_1504/))

      allocate(vertices(210)%branchCT(0:1))
      call avCT(210, 0, 18, 1, 0, FaVF1, (/0, 3/), (/nGC_1674, nGC_1676/))

      call avCT(210, 1, 18, 1, 0, FaVF1, (/2, 1/), (/nGC_1675, nGC_1677/))

      allocate(vertices(1021)%branchCT(0:0))
      call avCT(1021, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_1678/))

      allocate(vertices(710)%branchCT(0:0))
      call avCT(710, 0, 8, 1, 0, UUaV0, (/0, 3/), (/nGC_1631/))

      allocate(vertices(212)%branchCT(0:1))
      call avCT(212, 0, 20, 1, 0, VFaF1, (/0, 3/), (/nGC_1647/))

      call avCT(212, 1, 20, 1, 0, VFaF1, (/2, 1/), (/nGC_1648/))

      allocate(vertices(1416)%branchCT(0:1))
      call avCT(1416, 0, 42, 1, 0, FaF0, (/0, 2/), (/nGC_1679, nGC_1681,       &
      nGC_1681, nGC_1683/))

      call avCT(1416, 1, 42, 1, 0, FaF0, (/2, 0/), (/nGC_1680, nGC_1682,       &
      nGC_1682, nGC_1684/))

      allocate(vertices(213)%branchCT(0:0))
      call avCT(213, 0, 8, 1, 0, SFaF2, (/0, 3/), (/nGC_1678/))

      allocate(vertices(1351)%branchCT(0:0))
      call avCT(1351, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1593, nGC_1593,       &
      nGC_1592/))

      allocate(vertices(215)%branchCT(0:0))
      call avCT(215, 0, 8, 1, 0, UUaV0, (/0, 3/), (/nGC_1685/))

      allocate(vertices(216)%branchCT(0:0))
      call avCT(216, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1686, nGC_1686,        &
      nGC_1687/))

      allocate(vertices(217)%branchCT(0:0))
      call avCT(217, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1490/))

      allocate(vertices(218)%branchCT(0:0))
      call avCT(218, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1688, nGC_1689/))

      allocate(vertices(219)%branchCT(0:0))
      call avCT(219, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1554/))

      allocate(vertices(220)%branchCT(0:1))
      call avCT(220, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1632, nGC_1632/))

      call avCT(220, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1633, nGC_1633/))

      allocate(vertices(6)%branchCT(0:0))
      call avCT(6, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1624/))

      allocate(vertices(222)%branchCT(0:0))
      call avCT(222, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1690/))

      allocate(vertices(223)%branchCT(0:0))
      call avCT(223, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1507/))

      allocate(vertices(224)%branchCT(0:1))
      call avCT(224, 0, 18, 1, 0, FaSF1, (/0, 3/), (/nGC_1531, nGC_1533/))

      call avCT(224, 1, 18, 1, 0, FaSF1, (/2, 1/), (/nGC_1532, nGC_1534/))

      allocate(vertices(225)%branchCT(0:0))
      call avCT(225, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1497/))

      allocate(vertices(226)%branchCT(0:1))
      call avCT(226, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1527, nGC_1525/))

      call avCT(226, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1528, nGC_1526/))

      allocate(vertices(881)%branchCT(0:0))
      call avCT(881, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1519/))

      allocate(vertices(33)%branchCT(0:0))
      call avCT(33, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1691/))

      allocate(vertices(485)%branchCT(0:0))
      call avCT(485, 0, 8, 1, 0, UaSU0, (/0, 3/), (/nGC_1392/))

      allocate(vertices(231)%branchCT(0:0))
      call avCT(231, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_1692, nGC_1693/))

      allocate(vertices(232)%branchCT(0:0))
      call avCT(232, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1490/))

      allocate(vertices(233)%branchCT(0:0))
      call avCT(233, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1605/))

      allocate(vertices(234)%branchCT(0:0))
      call avCT(234, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1597/))

      allocate(vertices(1417)%branchCT(0:0))
      call avCT(1417, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1506/))

      allocate(vertices(236)%branchCT(0:0))
      call avCT(236, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1507/))

      allocate(vertices(237)%branchCT(0:1))
      call avCT(237, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1694, nGC_1696/))

      call avCT(237, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1695, nGC_1697/))

      allocate(vertices(238)%branchCT(0:1))
      call avCT(238, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1650, nGC_1652/))

      call avCT(238, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1651, nGC_1653/))

      allocate(vertices(1287)%branchCT(0:0))
      call avCT(1287, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1698/))

      allocate(vertices(239)%branchCT(0:0))
      call avCT(239, 0, 8, 1, 0, UaUS0, (/0, 3/), (/nGC_1518/))

      allocate(vertices(240)%branchCT(0:0))
      call avCT(240, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1605/))

      allocate(vertices(241)%branchCT(0:1))
      call avCT(241, 0, 18, 1, 0, FaVF1, (/0, 3/), (/nGC_1513, nGC_1515/))

      call avCT(241, 1, 18, 1, 0, FaVF1, (/2, 1/), (/nGC_1514, nGC_1516/))

      allocate(vertices(43)%branchCT(0:0))
      call avCT(43, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1507/))

      allocate(vertices(242)%branchCT(0:0))
      call avCT(242, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_1504/))

      allocate(vertices(103)%branchCT(0:0))
      call avCT(103, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1487/))

      allocate(vertices(1218)%branchCT(0:0))
      call avCT(1218, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1601/))

      allocate(vertices(244)%branchCT(0:0))
      call avCT(244, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1554/))

      allocate(vertices(119)%branchCT(0:1))
      call avCT(119, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1699, nGC_1701/))

      call avCT(119, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1700, nGC_1702/))

      allocate(vertices(246)%branchCT(0:0))
      call avCT(246, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1497/))

      allocate(vertices(137)%branchCT(0:0))
      call avCT(137, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1703, nGC_1704,        &
      nGC_1704/))

      allocate(vertices(248)%branchCT(0:1))
      call avCT(248, 0, 18, 1, 0, FaSF1, (/0, 3/), (/nGC_1551, nGC_1549/))

      call avCT(248, 1, 18, 1, 0, FaSF1, (/2, 1/), (/nGC_1552, nGC_1550/))

      allocate(vertices(1418)%branchCT(0:0))
      call avCT(1418, 0, 14, 1, 0, SS1, (/0, 2/), (/nGC_1705, nGC_1706/))

      allocate(vertices(249)%branchCT(0:1))
      call avCT(249, 0, 18, 1, 0, FaVF1, (/0, 3/), (/nGC_1575, nGC_1577/))

      call avCT(249, 1, 18, 1, 0, FaVF1, (/2, 1/), (/nGC_1576, nGC_1578/))

      allocate(vertices(250)%branchCT(0:0))
      call avCT(250, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1490/))

      allocate(vertices(921)%branchCT(0:1))
      call avCT(921, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1491/))

      call avCT(921, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1492/))

      allocate(vertices(116)%branchCT(0:0))
      call avCT(116, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1490/))

      allocate(vertices(642)%branchCT(0:0))
      call avCT(642, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(1348)%branchCT(0:0))
      call avCT(1348, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1487/))

      allocate(vertices(252)%branchCT(0:0))
      call avCT(252, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1692, nGC_1693/))

      allocate(vertices(254)%branchCT(0:3))
      call avCT(254, 0, 28, 2, 0, VFFa1, (/1, 2/), (/nGC_1671, nGC_1673/))

      call avCT(254, 1, 28, 2, 0, VFFa1, (/3, 0/), (/nGC_1670, nGC_1672/))

      call avCT(254, 2, 29, 3, 0, VFFa1, (/1, 2/), (/nGC_1671, nGC_1673/))

      call avCT(254, 3, 29, 3, 0, VFFa1, (/3, 0/), (/nGC_1670, nGC_1672/))

      allocate(vertices(255)%branchCT(0:1))
      call avCT(255, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1537, nGC_1539/))

      call avCT(255, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1538, nGC_1540/))

      allocate(vertices(1419)%branchCT(0:0))
      call avCT(1419, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1664/))

      allocate(vertices(923)%branchCT(0:0))
      call avCT(923, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_1559, nGC_1560/))

      allocate(vertices(258)%branchCT(0:0))
      call avCT(258, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_1692, nGC_1693/))

      allocate(vertices(489)%branchCT(0:0))
      call avCT(489, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1257/))

      allocate(vertices(1420)%branchCT(0:0))
      call avCT(1420, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1506/))

      allocate(vertices(214)%branchCT(0:0))
      call avCT(214, 0, 8, 1, 0, FaFS1, (/0, 3/), (/nGC_1504/))

      allocate(vertices(261)%branchCT(0:0))
      call avCT(261, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1574/))

      allocate(vertices(262)%branchCT(0:0))
      call avCT(262, 0, 8, 1, 0, SUaU0, (/0, 3/), (/nGC_1396/))

      allocate(vertices(1421)%branchCT(0:0))
      call avCT(1421, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1553/))

      allocate(vertices(265)%branchCT(0:0))
      call avCT(265, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1497/))

      allocate(vertices(267)%branchCT(0:0))
      call avCT(267, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1497/))

      allocate(vertices(268)%branchCT(0:0))
      call avCT(268, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1507/))

      allocate(vertices(269)%branchCT(0:1))
      call avCT(269, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1632, nGC_1632/))

      call avCT(269, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1633, nGC_1633/))

      allocate(vertices(270)%branchCT(0:0))
      call avCT(270, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1494/))

      allocate(vertices(271)%branchCT(0:0))
      call avCT(271, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1512/))

      allocate(vertices(272)%branchCT(0:0))
      call avCT(272, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1580/))

      allocate(vertices(273)%branchCT(0:0))
      call avCT(273, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1640/))

      allocate(vertices(274)%branchCT(0:0))
      call avCT(274, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1554/))

      allocate(vertices(312)%branchCT(0:0))
      call avCT(312, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1507/))

      allocate(vertices(314)%branchCT(0:3))
      call avCT(314, 0, 22, 2, 0, FVFa1, (/3, 0/), (/nGC_1520, nGC_1522/))

      call avCT(314, 1, 22, 2, 0, FVFa1, (/1, 2/), (/nGC_1521, nGC_1523/))

      call avCT(314, 2, 23, 3, 0, FVFa1, (/3, 0/), (/nGC_1520, nGC_1522/))

      call avCT(314, 3, 23, 3, 0, FVFa1, (/1, 2/), (/nGC_1521, nGC_1523/))

      allocate(vertices(277)%branchCT(0:0))
      call avCT(277, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1600/))

      allocate(vertices(49)%branchCT(0:0))
      call avCT(49, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1605/))

      allocate(vertices(328)%branchCT(0:0))
      call avCT(328, 0, 8, 1, 0, UaSU0, (/0, 3/), (/nGC_1518/))

      allocate(vertices(279)%branchCT(0:1))
      call avCT(279, 0, 18, 1, 0, FaSF1, (/0, 3/), (/nGC_1613, nGC_1615/))

      call avCT(279, 1, 18, 1, 0, FaSF1, (/2, 1/), (/nGC_1614, nGC_1616/))

      allocate(vertices(281)%branchCT(0:0))
      call avCT(281, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_1688, nGC_1689/))

      allocate(vertices(282)%branchCT(0:0))
      call avCT(282, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1568/))

      allocate(vertices(492)%branchCT(0:0))
      call avCT(492, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1686, nGC_1687,        &
      nGC_1686/))

      allocate(vertices(1181)%branchCT(0:0))
      call avCT(1181, 0, 8, 1, 0, SUUa0, (/0, 3/), (/nGC_1396/))

      allocate(vertices(379)%branchCT(0:1))
      call avCT(379, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1707, nGC_1709/))

      call avCT(379, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1708, nGC_1710/))

      allocate(vertices(286)%branchCT(0:0))
      call avCT(286, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1593, nGC_1592,        &
      nGC_1593/))

      allocate(vertices(1422)%branchCT(0:0))
      call avCT(1422, 0, 14, 1, 0, SV0, (/0, 2/), (/nGC_1711/))

      allocate(vertices(287)%branchCT(0:0))
      call avCT(287, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1497/))

      allocate(vertices(288)%branchCT(0:0))
      call avCT(288, 0, 8, 1, 0, UUaV0, (/0, 3/), (/nGC_1505/))

      allocate(vertices(289)%branchCT(0:0))
      call avCT(289, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1574/))

      allocate(vertices(290)%branchCT(0:0))
      call avCT(290, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1490/))

      allocate(vertices(291)%branchCT(0:0))
      call avCT(291, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1600/))

      allocate(vertices(292)%branchCT(0:1))
      call avCT(292, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1613, nGC_1615/))

      call avCT(292, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1614, nGC_1616/))

      allocate(vertices(294)%branchCT(0:0))
      call avCT(294, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1587/))

      allocate(vertices(295)%branchCT(0:0))
      call avCT(295, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1597/))

      allocate(vertices(296)%branchCT(0:1))
      call avCT(296, 0, 21, 1, 0, VFFa1, (/0, 3/), (/nGC_1513, nGC_1515/))

      call avCT(296, 1, 21, 1, 0, VFFa1, (/2, 1/), (/nGC_1514, nGC_1516/))

      allocate(vertices(297)%branchCT(0:0))
      call avCT(297, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1624/))

      allocate(vertices(298)%branchCT(0:0))
      call avCT(298, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1712, nGC_1712,        &
      nGC_1713/))

      allocate(vertices(446)%branchCT(0:0))
      call avCT(446, 0, 8, 1, 0, UVUa0, (/0, 3/), (/nGC_1505/))

      allocate(vertices(300)%branchCT(0:0))
      call avCT(300, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1597/))

      allocate(vertices(1423)%branchCT(0:0))
      call avCT(1423, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1506/))

      allocate(vertices(301)%branchCT(0:0))
      call avCT(301, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1634, nGC_1634/))

      allocate(vertices(1424)%branchCT(0:0))
      call avCT(1424, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1714/))

      allocate(vertices(1342)%branchCT(0:1))
      call avCT(1342, 0, 18, 1, 0, FaVF0, (/0, 3/), (/nGC_1595/))

      call avCT(1342, 1, 18, 1, 0, FaVF0, (/2, 1/), (/nGC_1596/))

      allocate(vertices(302)%branchCT(0:0))
      call avCT(302, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1600/))

      allocate(vertices(482)%branchCT(0:0))
      call avCT(482, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1257/))

      allocate(vertices(304)%branchCT(0:0))
      call avCT(304, 0, 8, 1, 0, FaSF1, (/0, 3/), (/nGC_1602, nGC_1602/))

      allocate(vertices(321)%branchCT(0:0))
      call avCT(321, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1507/))

      allocate(vertices(1335)%branchCT(0:0))
      call avCT(1335, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1605/))

      allocate(vertices(306)%branchCT(0:0))
      call avCT(306, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1715/))

      allocate(vertices(307)%branchCT(0:1))
      call avCT(307, 0, 21, 1, 0, VFFa1, (/0, 3/), (/nGC_1707, nGC_1709/))

      call avCT(307, 1, 21, 1, 0, VFFa1, (/2, 1/), (/nGC_1708, nGC_1710/))

      allocate(vertices(308)%branchCT(0:0))
      call avCT(308, 0, 8, 1, 0, FaFS2, (/0, 3/), (/nGC_1504/))

      allocate(vertices(309)%branchCT(0:0))
      call avCT(309, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1691/))

      allocate(vertices(310)%branchCT(0:0))
      call avCT(310, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1716, nGC_1716/))

      allocate(vertices(311)%branchCT(0:0))
      call avCT(311, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1488/))

      allocate(vertices(275)%branchCT(0:0))
      call avCT(275, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1507/))

      allocate(vertices(313)%branchCT(0:0))
      call avCT(313, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1574/))

      allocate(vertices(276)%branchCT(0:0))
      call avCT(276, 0, 8, 1, 0, USUa0, (/0, 3/), (/nGC_1617/))

      allocate(vertices(315)%branchCT(0:0))
      call avCT(315, 0, 8, 1, 0, SUaU0, (/0, 3/), (/nGC_1393/))

      allocate(vertices(316)%branchCT(0:0))
      call avCT(316, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1554/))

      allocate(vertices(317)%branchCT(0:0))
      call avCT(317, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1704, nGC_1703,        &
      nGC_1704/))

      allocate(vertices(318)%branchCT(0:0))
      call avCT(318, 0, 8, 1, 0, USUa0, (/0, 3/), (/nGC_1399/))

      allocate(vertices(319)%branchCT(0:0))
      call avCT(319, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1487/))

      allocate(vertices(320)%branchCT(0:1))
      call avCT(320, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1662, nGC_1662/))

      call avCT(320, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1663, nGC_1663/))

      allocate(vertices(498)%branchCT(0:0))
      call avCT(498, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1507/))

      allocate(vertices(1425)%branchCT(0:1))
      call avCT(1425, 0, 42, 1, 0, FaF0, (/0, 2/), (/nGC_1717, nGC_1719,       &
      nGC_1719, nGC_1721/))

      call avCT(1425, 1, 42, 1, 0, FaF0, (/2, 0/), (/nGC_1718, nGC_1720,       &
      nGC_1720, nGC_1722/))

      allocate(vertices(798)%branchCT(0:1))
      call avCT(798, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1723, nGC_1725/))

      call avCT(798, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1724, nGC_1726/))

      allocate(vertices(1190)%branchCT(0:0))
      call avCT(1190, 0, 8, 1, 0, USUa0, (/0, 3/), (/nGC_1654/))

      allocate(vertices(324)%branchCT(0:0))
      call avCT(324, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1568/))

      allocate(vertices(325)%branchCT(0:0))
      call avCT(325, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1715/))

      allocate(vertices(326)%branchCT(0:0))
      call avCT(326, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(327)%branchCT(0:1))
      call avCT(327, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1584, nGC_1584/))

      call avCT(327, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1585, nGC_1585/))

      allocate(vertices(278)%branchCT(0:0))
      call avCT(278, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1598, nGC_1599/))

      allocate(vertices(329)%branchCT(0:1))
      call avCT(329, 0, 0, 4, 0, VVV0, (/3, 0/), (/nGC_1727/))

      call avCT(329, 1, 1, 5, 0, VVV0, (/3, 0/), (/nGC_1727/))

      allocate(vertices(1426)%branchCT(0:0))
      call avCT(1426, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1586/))

      allocate(vertices(331)%branchCT(0:0))
      call avCT(331, 0, 8, 1, 0, VUUa0, (/0, 3/), (/nGC_1591/))

      allocate(vertices(332)%branchCT(0:1))
      call avCT(332, 0, 17, 1, 0, FaFV1, (/0, 3/), (/nGC_1728, nGC_1730/))

      call avCT(332, 1, 17, 1, 0, FaFV1, (/2, 1/), (/nGC_1729, nGC_1731/))

      allocate(vertices(333)%branchCT(0:0))
      call avCT(333, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1512/))

      allocate(vertices(36)%branchCT(0:1))
      call avCT(36, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1699, nGC_1701/))

      call avCT(36, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1700, nGC_1702/))

      allocate(vertices(334)%branchCT(0:0))
      call avCT(334, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1732/))

      allocate(vertices(1427)%branchCT(0:0))
      call avCT(1427, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1506/))

      allocate(vertices(335)%branchCT(0:0))
      call avCT(335, 0, 8, 1, 0, SUaU0, (/0, 3/), (/nGC_1733/))

      allocate(vertices(1428)%branchCT(0:0))
      call avCT(1428, 0, 14, 1, 0, VV0, (/0, 2/), (/nGC_1734, nGC_1735,        &
      nGC_1736/))

      allocate(vertices(678)%branchCT(0:0))
      call avCT(678, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1605/))

      allocate(vertices(337)%branchCT(0:0))
      call avCT(337, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1582, nGC_1583/))

      allocate(vertices(1429)%branchCT(0:0))
      call avCT(1429, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1586/))

      allocate(vertices(339)%branchCT(0:0))
      call avCT(339, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1601/))

      allocate(vertices(340)%branchCT(0:0))
      call avCT(340, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1496/))

      allocate(vertices(708)%branchCT(0:0))
      call avCT(708, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1494/))

      allocate(vertices(342)%branchCT(0:0))
      call avCT(342, 0, 8, 1, 0, FaVF0, (/0, 3/), (/nGC_1496/))

      allocate(vertices(343)%branchCT(0:0))
      call avCT(343, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1570/))

      allocate(vertices(1260)%branchCT(0:1))
      call avCT(1260, 0, 19, 1, 0, FVFa1, (/0, 3/), (/nGC_1618, nGC_1620/))

      call avCT(1260, 1, 19, 1, 0, FVFa1, (/2, 1/), (/nGC_1619, nGC_1621/))

      allocate(vertices(828)%branchCT(0:0))
      call avCT(828, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1489/))

      allocate(vertices(727)%branchCT(0:0))
      call avCT(727, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1257/))

      allocate(vertices(347)%branchCT(0:0))
      call avCT(347, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1661, nGC_1661/))

      allocate(vertices(348)%branchCT(0:0))
      call avCT(348, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1487/))

      allocate(vertices(349)%branchCT(0:0))
      call avCT(349, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1732/))

      allocate(vertices(350)%branchCT(0:0))
      call avCT(350, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1737/))

      allocate(vertices(939)%branchCT(0:0))
      call avCT(939, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1554/))

      allocate(vertices(352)%branchCT(0:0))
      call avCT(352, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1507/))

      allocate(vertices(353)%branchCT(0:0))
      call avCT(353, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1593, nGC_1592,        &
      nGC_1593/))

      allocate(vertices(354)%branchCT(0:0))
      call avCT(354, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1704, nGC_1703,        &
      nGC_1704/))

      allocate(vertices(356)%branchCT(0:0))
      call avCT(356, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1490/))

      allocate(vertices(941)%branchCT(0:0))
      call avCT(941, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1587/))

      allocate(vertices(358)%branchCT(0:0))
      call avCT(358, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1691/))

      allocate(vertices(359)%branchCT(0:0))
      call avCT(359, 0, 8, 1, 0, SFFa1, (/0, 3/), (/nGC_1738/))

      allocate(vertices(360)%branchCT(0:0))
      call avCT(360, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1570/))

      allocate(vertices(361)%branchCT(0:3))
      call avCT(361, 0, 27, 3, 0, FaVF1, (/1, 2/), (/nGC_1509, nGC_1511/))

      call avCT(361, 1, 27, 3, 0, FaVF1, (/3, 0/), (/nGC_1508, nGC_1510/))

      call avCT(361, 2, 26, 2, 0, FaVF1, (/1, 2/), (/nGC_1509, nGC_1511/))

      call avCT(361, 3, 26, 2, 0, FaVF1, (/3, 0/), (/nGC_1508, nGC_1510/))

      allocate(vertices(362)%branchCT(0:0))
      call avCT(362, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1593, nGC_1592,        &
      nGC_1593/))

      allocate(vertices(363)%branchCT(0:0))
      call avCT(363, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1692, nGC_1693/))

      allocate(vertices(1325)%branchCT(0:0))
      call avCT(1325, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1487/))

      allocate(vertices(364)%branchCT(0:0))
      call avCT(364, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1570/))

      allocate(vertices(365)%branchCT(0:1))
      call avCT(365, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1564, nGC_1564/))

      call avCT(365, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1565, nGC_1565/))

      allocate(vertices(724)%branchCT(0:1))
      call avCT(724, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1668, nGC_1668/))

      call avCT(724, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1669, nGC_1669/))

      allocate(vertices(367)%branchCT(0:0))
      call avCT(367, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1568/))

      allocate(vertices(368)%branchCT(0:0))
      call avCT(368, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1490/))

      allocate(vertices(369)%branchCT(0:1))
      call avCT(369, 0, 18, 1, 0, FaVF0, (/0, 3/), (/nGC_1647/))

      call avCT(369, 1, 18, 1, 0, FaVF0, (/2, 1/), (/nGC_1648/))

      allocate(vertices(370)%branchCT(0:0))
      call avCT(370, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1497/))

      allocate(vertices(505)%branchCT(0:0))
      call avCT(505, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1557/))

      allocate(vertices(372)%branchCT(0:0))
      call avCT(372, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1640/))

      allocate(vertices(260)%branchCT(0:1))
      call avCT(260, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1739, nGC_1739/))

      call avCT(260, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1740, nGC_1740/))

      allocate(vertices(373)%branchCT(0:0))
      call avCT(373, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1600/))

      allocate(vertices(374)%branchCT(0:0))
      call avCT(374, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1741/))

      allocate(vertices(1430)%branchCT(0:0))
      call avCT(1430, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1664/))

      allocate(vertices(376)%branchCT(0:0))
      call avCT(376, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1494/))

      allocate(vertices(377)%branchCT(0:0))
      call avCT(377, 0, 8, 1, 0, SFFa2, (/0, 3/), (/nGC_1738/))

      allocate(vertices(378)%branchCT(0:3))
      call avCT(378, 0, 22, 2, 0, FVFa1, (/3, 0/), (/nGC_1742, nGC_1744/))

      call avCT(378, 1, 22, 2, 0, FVFa1, (/1, 2/), (/nGC_1743, nGC_1745/))

      call avCT(378, 2, 23, 3, 0, FVFa1, (/3, 0/), (/nGC_1742, nGC_1744/))

      call avCT(378, 3, 23, 3, 0, FVFa1, (/1, 2/), (/nGC_1743, nGC_1745/))

      allocate(vertices(1345)%branchCT(0:0))
      call avCT(1345, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1716, nGC_1716/))

      allocate(vertices(380)%branchCT(0:0))
      call avCT(380, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1554/))

      allocate(vertices(381)%branchCT(0:0))
      call avCT(381, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1555, nGC_1556/))

      allocate(vertices(382)%branchCT(0:1))
      call avCT(382, 0, 18, 1, 0, FaSF1, (/0, 3/), (/nGC_1527, nGC_1525/))

      call avCT(382, 1, 18, 1, 0, FaSF1, (/2, 1/), (/nGC_1528, nGC_1526/))

      allocate(vertices(383)%branchCT(0:3))
      call avCT(383, 0, 28, 2, 0, VFFa1, (/3, 0/), (/nGC_1520, nGC_1522/))

      call avCT(383, 1, 28, 2, 0, VFFa1, (/1, 2/), (/nGC_1521, nGC_1523/))

      call avCT(383, 2, 29, 3, 0, VFFa1, (/3, 0/), (/nGC_1520, nGC_1522/))

      call avCT(383, 3, 29, 3, 0, VFFa1, (/1, 2/), (/nGC_1521, nGC_1523/))

      allocate(vertices(384)%branchCT(0:0))
      call avCT(384, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1665, nGC_1666/))

      allocate(vertices(1431)%branchCT(0:0))
      call avCT(1431, 0, 8, 1, 0, FaVF0, (/0, 3/), (/nGC_1664/))

      allocate(vertices(386)%branchCT(0:1))
      call avCT(386, 0, 21, 1, 0, VFFa1, (/0, 3/), (/nGC_1498, nGC_1500/))

      call avCT(386, 1, 21, 1, 0, VFFa1, (/2, 1/), (/nGC_1499, nGC_1501/))

      allocate(vertices(1432)%branchCT(0:0))
      call avCT(1432, 0, 14, 1, 0, VS0, (/0, 2/), (/nGC_1746/))

      allocate(vertices(1201)%branchCT(0:0))
      call avCT(1201, 0, 8, 1, 0, SFFa2, (/0, 3/), (/nGC_1504/))

      allocate(vertices(508)%branchCT(0:1))
      call avCT(508, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1668, nGC_1668/))

      call avCT(508, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1669, nGC_1669/))

      allocate(vertices(388)%branchCT(0:0))
      call avCT(388, 0, 8, 1, 0, UVUa0, (/0, 3/), (/nGC_1685/))

      allocate(vertices(726)%branchCT(0:0))
      call avCT(726, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1593, nGC_1593,        &
      nGC_1592/))

      allocate(vertices(1433)%branchCT(0:0))
      call avCT(1433, 0, 14, 1, 0, SV0, (/0, 2/), (/nGC_1747/))

      allocate(vertices(1434)%branchCT(0:0))
      call avCT(1434, 0, 14, 1, 0, FFa1, (/0, 2/), (/nGC_1748, nGC_1749,       &
      nGC_1749, nGC_1750/))

      allocate(vertices(390)%branchCT(0:0))
      call avCT(390, 0, 8, 1, 0, VUaU0, (/0, 3/), (/nGC_1751/))

      allocate(vertices(391)%branchCT(0:1))
      call avCT(391, 0, 19, 1, 0, FVFa1, (/0, 3/), (/nGC_1513, nGC_1515/))

      call avCT(391, 1, 19, 1, 0, FVFa1, (/2, 1/), (/nGC_1514, nGC_1516/))

      allocate(vertices(392)%branchCT(0:0))
      call avCT(392, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1541/))

      allocate(vertices(393)%branchCT(0:0))
      call avCT(393, 0, 8, 1, 0, SUaU0, (/0, 3/), (/nGC_1654/))

      allocate(vertices(394)%branchCT(0:1))
      call avCT(394, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1533, nGC_1531/))

      call avCT(394, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1534, nGC_1532/))

      allocate(vertices(395)%branchCT(0:0))
      call avCT(395, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1490/))

      allocate(vertices(396)%branchCT(0:1))
      call avCT(396, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1542, nGC_1542/))

      call avCT(396, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1543, nGC_1543/))

      allocate(vertices(71)%branchCT(0:0))
      call avCT(71, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1640/))

      allocate(vertices(398)%branchCT(0:0))
      call avCT(398, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1487/))

      allocate(vertices(399)%branchCT(0:0))
      call avCT(399, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1507/))

      allocate(vertices(400)%branchCT(0:0))
      call avCT(400, 0, 8, 1, 0, FFaS2, (/0, 3/), (/nGC_1678/))

      allocate(vertices(1264)%branchCT(0:0))
      call avCT(1264, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1752/))

      allocate(vertices(1435)%branchCT(0:0))
      call avCT(1435, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1586/))

      allocate(vertices(402)%branchCT(0:1))
      call avCT(402, 0, 18, 1, 0, FaVF1, (/0, 3/), (/nGC_1618, nGC_1620/))

      call avCT(402, 1, 18, 1, 0, FaVF1, (/2, 1/), (/nGC_1619, nGC_1621/))

      allocate(vertices(730)%branchCT(0:0))
      call avCT(730, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1753/))

      allocate(vertices(1323)%branchCT(0:0))
      call avCT(1323, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1554/))

      allocate(vertices(405)%branchCT(0:0))
      call avCT(405, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1634, nGC_1634/))

      allocate(vertices(406)%branchCT(0:0))
      call avCT(406, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1753/))

      allocate(vertices(407)%branchCT(0:0))
      call avCT(407, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1587/))

      allocate(vertices(408)%branchCT(0:0))
      call avCT(408, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1497/))

      allocate(vertices(409)%branchCT(0:1))
      call avCT(409, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1537, nGC_1539/))

      call avCT(409, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1538, nGC_1540/))

      allocate(vertices(73)%branchCT(0:0))
      call avCT(73, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1712, nGC_1713, nGC_1712&
      /))

      allocate(vertices(410)%branchCT(0:0))
      call avCT(410, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1490/))

      allocate(vertices(1436)%branchCT(0:0))
      call avCT(1436, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1664/))

      allocate(vertices(412)%branchCT(0:0))
      call avCT(412, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1600/))

      allocate(vertices(413)%branchCT(0:0))
      call avCT(413, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1487/))

      allocate(vertices(1437)%branchCT(0:0))
      call avCT(1437, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1664/))

      allocate(vertices(1438)%branchCT(0:0))
      call avCT(1438, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1553/))

      allocate(vertices(1175)%branchCT(0:0))
      call avCT(1175, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1507/))

      allocate(vertices(415)%branchCT(0:0))
      call avCT(415, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1754/))

      allocate(vertices(1439)%branchCT(0:0))
      call avCT(1439, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1506/))

      allocate(vertices(417)%branchCT(0:0))
      call avCT(417, 0, 8, 1, 0, SUaU0, (/0, 3/), (/nGC_1733/))

      allocate(vertices(1440)%branchCT(0:0))
      call avCT(1440, 0, 14, 1, 0, FFa0, (/0, 2/), (/nGC_1755/))

      allocate(vertices(1213)%branchCT(0:0))
      call avCT(1213, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1587/))

      allocate(vertices(419)%branchCT(0:1))
      call avCT(419, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_1595/))

      call avCT(419, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_1596/))

      allocate(vertices(1441)%branchCT(0:1))
      call avCT(1441, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_1717, nGC_1719,       &
      nGC_1719, nGC_1721/))

      call avCT(1441, 1, 13, 1, 0, FFa1, (/2, 0/), (/nGC_1718, nGC_1720,       &
      nGC_1720, nGC_1722/))

      allocate(vertices(420)%branchCT(0:0))
      call avCT(420, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1497/))

      allocate(vertices(421)%branchCT(0:0))
      call avCT(421, 0, 8, 1, 0, FaVF0, (/0, 3/), (/nGC_1568/))

      allocate(vertices(1442)%branchCT(0:0))
      call avCT(1442, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1586/))

      allocate(vertices(557)%branchCT(0:0))
      call avCT(557, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1756/))

      allocate(vertices(423)%branchCT(0:0))
      call avCT(423, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1497/))

      allocate(vertices(424)%branchCT(0:0))
      call avCT(424, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1757/))

      allocate(vertices(1443)%branchCT(0:0))
      call avCT(1443, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1506/))

      allocate(vertices(425)%branchCT(0:0))
      call avCT(425, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1258/))

      allocate(vertices(426)%branchCT(0:0))
      call avCT(426, 0, 8, 1, 0, UaSU0, (/0, 3/), (/nGC_1399/))

      allocate(vertices(427)%branchCT(0:0))
      call avCT(427, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1507/))

      allocate(vertices(428)%branchCT(0:0))
      call avCT(428, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1488/))

      allocate(vertices(429)%branchCT(0:1))
      call avCT(429, 0, 21, 1, 0, VFFa1, (/0, 3/), (/nGC_1694, nGC_1696/))

      call avCT(429, 1, 21, 1, 0, VFFa1, (/2, 1/), (/nGC_1695, nGC_1697/))

      allocate(vertices(517)%branchCT(0:0))
      call avCT(517, 0, 8, 1, 0, FaSF1, (/0, 3/), (/nGC_1716, nGC_1716/))

      allocate(vertices(995)%branchCT(0:0))
      call avCT(995, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1758/))

      allocate(vertices(431)%branchCT(0:1))
      call avCT(431, 0, 18, 1, 0, FaSF1, (/0, 3/), (/nGC_1635, nGC_1637/))

      call avCT(431, 1, 18, 1, 0, FaSF1, (/2, 1/), (/nGC_1636, nGC_1638/))

      allocate(vertices(1444)%branchCT(0:0))
      call avCT(1444, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1586/))

      allocate(vertices(432)%branchCT(0:0))
      call avCT(432, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1512/))

      allocate(vertices(433)%branchCT(0:0))
      call avCT(433, 0, 8, 1, 0, SUUa0, (/0, 3/), (/nGC_1617/))

      allocate(vertices(434)%branchCT(0:0))
      call avCT(434, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1605/))

      allocate(vertices(435)%branchCT(0:0))
      call avCT(435, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1490/))

      allocate(vertices(436)%branchCT(0:0))
      call avCT(436, 0, 8, 1, 0, USUa0, (/0, 3/), (/nGC_1733/))

      allocate(vertices(1445)%branchCT(0:0))
      call avCT(1445, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1529/))

      allocate(vertices(437)%branchCT(0:0))
      call avCT(437, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1496/))

      allocate(vertices(1446)%branchCT(0:0))
      call avCT(1446, 0, 14, 1, 0, VV0, (/0, 2/), (/nGC_1759, nGC_1760,        &
      nGC_1761/))

      allocate(vertices(439)%branchCT(0:1))
      call avCT(439, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1542, nGC_1542/))

      call avCT(439, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1543, nGC_1543/))

      allocate(vertices(520)%branchCT(0:1))
      call avCT(520, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1544, nGC_1544/))

      call avCT(520, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1545, nGC_1545/))

      allocate(vertices(441)%branchCT(0:0))
      call avCT(441, 0, 8, 1, 0, VUUa0, (/0, 3/), (/nGC_1493/))

      allocate(vertices(442)%branchCT(0:0))
      call avCT(442, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1554/))

      allocate(vertices(1447)%branchCT(0:1))
      call avCT(1447, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_1679, nGC_1681,       &
      nGC_1681, nGC_1683/))

      call avCT(1447, 1, 13, 1, 0, FFa1, (/2, 0/), (/nGC_1680, nGC_1682,       &
      nGC_1682, nGC_1684/))

      allocate(vertices(443)%branchCT(0:0))
      call avCT(443, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1554/))

      allocate(vertices(444)%branchCT(0:0))
      call avCT(444, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1703, nGC_1704,        &
      nGC_1704/))

      allocate(vertices(445)%branchCT(0:1))
      call avCT(445, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1588, nGC_1588/))

      call avCT(445, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1589, nGC_1589/))

      allocate(vertices(299)%branchCT(0:1))
      call avCT(299, 0, 18, 1, 0, FaVF1, (/0, 3/), (/nGC_1707, nGC_1709/))

      call avCT(299, 1, 18, 1, 0, FaVF1, (/2, 1/), (/nGC_1708, nGC_1710/))

      allocate(vertices(53)%branchCT(0:1))
      call avCT(53, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1762, nGC_1764/))

      call avCT(53, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1763, nGC_1765/))

      allocate(vertices(1448)%branchCT(0:0))
      call avCT(1448, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1553/))

      allocate(vertices(449)%branchCT(0:3))
      call avCT(449, 0, 24, 2, 0, FaFV1, (/1, 2/), (/nGC_1671, nGC_1673/))

      call avCT(449, 1, 24, 2, 0, FaFV1, (/3, 0/), (/nGC_1670, nGC_1672/))

      call avCT(449, 2, 25, 3, 0, FaFV1, (/1, 2/), (/nGC_1671, nGC_1673/))

      call avCT(449, 3, 25, 3, 0, FaFV1, (/3, 0/), (/nGC_1670, nGC_1672/))

      allocate(vertices(450)%branchCT(0:0))
      call avCT(450, 0, 8, 1, 0, SUUa0, (/0, 3/), (/nGC_1393/))

      allocate(vertices(451)%branchCT(0:1))
      call avCT(451, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1635, nGC_1637/))

      call avCT(451, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1636, nGC_1638/))

      allocate(vertices(75)%branchCT(0:0))
      call avCT(75, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1490/))

      allocate(vertices(453)%branchCT(0:0))
      call avCT(453, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1541/))

      allocate(vertices(455)%branchCT(0:1))
      call avCT(455, 0, 17, 1, 0, FaFV1, (/0, 3/), (/nGC_1643, nGC_1645/))

      call avCT(455, 1, 17, 1, 0, FaFV1, (/2, 1/), (/nGC_1644, nGC_1646/))

      allocate(vertices(456)%branchCT(0:0))
      call avCT(456, 0, 8, 1, 0, UVUa0, (/0, 3/), (/nGC_1548/))

      allocate(vertices(457)%branchCT(0:1))
      call avCT(457, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1766, nGC_1766/))

      call avCT(457, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1767, nGC_1767/))

      allocate(vertices(458)%branchCT(0:0))
      call avCT(458, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1524/))

      allocate(vertices(459)%branchCT(0:0))
      call avCT(459, 0, 8, 1, 0, FaVF0, (/0, 3/), (/nGC_1642/))

      allocate(vertices(1449)%branchCT(0:0))
      call avCT(1449, 0, 14, 1, 0, SV0, (/0, 2/), (/nGC_1768/))

      allocate(vertices(460)%branchCT(0:0))
      call avCT(460, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1570/))

      allocate(vertices(461)%branchCT(0:0))
      call avCT(461, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1497/))

      allocate(vertices(128)%branchCT(0:1))
      call avCT(128, 0, 20, 1, 0, VFaF1, (/0, 3/), (/nGC_1595/))

      call avCT(128, 1, 20, 1, 0, VFaF1, (/2, 1/), (/nGC_1596/))

      allocate(vertices(463)%branchCT(0:3))
      call avCT(463, 0, 28, 2, 0, VFFa1, (/1, 2/), (/nGC_1609, nGC_1611/))

      call avCT(463, 1, 28, 2, 0, VFFa1, (/3, 0/), (/nGC_1608, nGC_1610/))

      call avCT(463, 2, 29, 3, 0, VFFa1, (/1, 2/), (/nGC_1609, nGC_1611/))

      call avCT(463, 3, 29, 3, 0, VFFa1, (/3, 0/), (/nGC_1608, nGC_1610/))

      allocate(vertices(465)%branchCT(0:0))
      call avCT(465, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1769/))

      allocate(vertices(466)%branchCT(0:0))
      call avCT(466, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1487/))

      allocate(vertices(467)%branchCT(0:0))
      call avCT(467, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1691/))

      allocate(vertices(468)%branchCT(0:0))
      call avCT(468, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1487/))

      allocate(vertices(469)%branchCT(0:0))
      call avCT(469, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1656/))

      allocate(vertices(1450)%branchCT(0:0))
      call avCT(1450, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1529/))

      allocate(vertices(470)%branchCT(0:0))
      call avCT(470, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1496/))

      allocate(vertices(1376)%branchCT(0:0))
      call avCT(1376, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1554/))

      allocate(vertices(471)%branchCT(0:0))
      call avCT(471, 0, 8, 1, 0, VUUa0, (/0, 3/), (/nGC_1751/))

      allocate(vertices(961)%branchCT(0:0))
      call avCT(961, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1554/))

      allocate(vertices(473)%branchCT(0:0))
      call avCT(473, 0, 8, 1, 0, SUaU0, (/0, 3/), (/nGC_1654/))

      allocate(vertices(474)%branchCT(0:0))
      call avCT(474, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1656/))

      allocate(vertices(475)%branchCT(0:0))
      call avCT(475, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1600/))

      allocate(vertices(476)%branchCT(0:1))
      call avCT(476, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1549, nGC_1551/))

      call avCT(476, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1550, nGC_1552/))

      allocate(vertices(195)%branchCT(0:0))
      call avCT(195, 0, 8, 1, 0, FaVF0, (/0, 3/), (/nGC_1642/))

      allocate(vertices(478)%branchCT(0:1))
      call avCT(478, 0, 20, 1, 0, VFaF1, (/0, 3/), (/nGC_1595/))

      call avCT(478, 1, 20, 1, 0, VFaF1, (/2, 1/), (/nGC_1596/))

      allocate(vertices(1219)%branchCT(0:0))
      call avCT(1219, 0, 8, 1, 0, UaUS0, (/0, 3/), (/nGC_1392/))

      allocate(vertices(480)%branchCT(0:0))
      call avCT(480, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1587/))

      allocate(vertices(481)%branchCT(0:0))
      call avCT(481, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1600/))

      allocate(vertices(303)%branchCT(0:0))
      call avCT(303, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1704, nGC_1704,        &
      nGC_1703/))

      allocate(vertices(483)%branchCT(0:0))
      call avCT(483, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1769/))

      allocate(vertices(484)%branchCT(0:0))
      call avCT(484, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1507/))

      allocate(vertices(230)%branchCT(0:0))
      call avCT(230, 0, 8, 1, 0, FFaS1, (/0, 3/), (/nGC_1738/))

      allocate(vertices(486)%branchCT(0:0))
      call avCT(486, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1497/))

      allocate(vertices(487)%branchCT(0:0))
      call avCT(487, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1770/))

      allocate(vertices(488)%branchCT(0:0))
      call avCT(488, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1541/))

      allocate(vertices(259)%branchCT(0:0))
      call avCT(259, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1557/))

      allocate(vertices(490)%branchCT(0:0))
      call avCT(490, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1605/))

      allocate(vertices(491)%branchCT(0:0))
      call avCT(491, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1771/))

      allocate(vertices(283)%branchCT(0:0))
      call avCT(283, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1554/))

      allocate(vertices(528)%branchCT(0:0))
      call avCT(528, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(494)%branchCT(0:0))
      call avCT(494, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1713, nGC_1712,        &
      nGC_1712/))

      allocate(vertices(495)%branchCT(0:0))
      call avCT(495, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1554/))

      allocate(vertices(496)%branchCT(0:0))
      call avCT(496, 0, 8, 1, 0, UaVU0, (/0, 3/), (/nGC_1751/))

      allocate(vertices(497)%branchCT(0:0))
      call avCT(497, 0, 8, 1, 0, UaUS0, (/0, 3/), (/nGC_1393/))

      allocate(vertices(1451)%branchCT(0:0))
      call avCT(1451, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1586/))

      allocate(vertices(1223)%branchCT(0:0))
      call avCT(1223, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1593, nGC_1593,       &
      nGC_1592/))

      allocate(vertices(500)%branchCT(0:0))
      call avCT(500, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1541/))

      allocate(vertices(345)%branchCT(0:0))
      call avCT(345, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1489/))

      allocate(vertices(502)%branchCT(0:0))
      call avCT(502, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1559, nGC_1560/))

      allocate(vertices(1452)%branchCT(0:0))
      call avCT(1452, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1664/))

      allocate(vertices(664)%branchCT(0:0))
      call avCT(664, 0, 8, 1, 0, UVUa0, (/0, 3/), (/nGC_1505/))

      allocate(vertices(503)%branchCT(0:0))
      call avCT(503, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1597/))

      allocate(vertices(371)%branchCT(0:0))
      call avCT(371, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1495/))

      allocate(vertices(506)%branchCT(0:0))
      call avCT(506, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1715/))

      allocate(vertices(507)%branchCT(0:0))
      call avCT(507, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1772/))

      allocate(vertices(1453)%branchCT(0:0))
      call avCT(1453, 0, 14, 1, 0, FaF1, (/0, 2/), (/nGC_1486/))

      allocate(vertices(387)%branchCT(0:0))
      call avCT(387, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_1598, nGC_1599/))

      allocate(vertices(509)%branchCT(0:0))
      call avCT(509, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1494/))

      allocate(vertices(510)%branchCT(0:1))
      call avCT(510, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1635, nGC_1637/))

      call avCT(510, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1636, nGC_1638/))

      allocate(vertices(511)%branchCT(0:0))
      call avCT(511, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1487/))

      allocate(vertices(512)%branchCT(0:0))
      call avCT(512, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1574/))

      allocate(vertices(39)%branchCT(0:0))
      call avCT(39, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1773/))

      allocate(vertices(513)%branchCT(0:0))
      call avCT(513, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1488/))

      allocate(vertices(514)%branchCT(0:1))
      call avCT(514, 0, 18, 1, 0, FaVF1, (/0, 3/), (/nGC_1694, nGC_1696/))

      call avCT(514, 1, 18, 1, 0, FaVF1, (/2, 1/), (/nGC_1695, nGC_1697/))

      allocate(vertices(515)%branchCT(0:0))
      call avCT(515, 0, 8, 1, 0, FFaS1, (/0, 3/), (/nGC_1504/))

      allocate(vertices(516)%branchCT(0:0))
      call avCT(516, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1541/))

      allocate(vertices(430)%branchCT(0:3))
      call avCT(430, 0, 27, 3, 0, FaVF1, (/3, 0/), (/nGC_1742, nGC_1744/))

      call avCT(430, 1, 27, 3, 0, FaVF1, (/1, 2/), (/nGC_1743, nGC_1745/))

      call avCT(430, 2, 26, 2, 0, FaVF1, (/3, 0/), (/nGC_1742, nGC_1744/))

      call avCT(430, 3, 26, 2, 0, FaVF1, (/1, 2/), (/nGC_1743, nGC_1745/))

      allocate(vertices(518)%branchCT(0:0))
      call avCT(518, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1605/))

      allocate(vertices(438)%branchCT(0:0))
      call avCT(438, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1507/))

      allocate(vertices(440)%branchCT(0:1))
      call avCT(440, 0, 21, 1, 0, VFFa1, (/0, 3/), (/nGC_1723, nGC_1725/))

      call avCT(440, 1, 21, 1, 0, VFFa1, (/2, 1/), (/nGC_1724, nGC_1726/))

      allocate(vertices(521)%branchCT(0:0))
      call avCT(521, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1754/))

      allocate(vertices(522)%branchCT(0:1))
      call avCT(522, 0, 19, 1, 0, FVFa1, (/0, 3/), (/nGC_1498, nGC_1500/))

      call avCT(522, 1, 19, 1, 0, FVFa1, (/2, 1/), (/nGC_1499, nGC_1501/))

      allocate(vertices(523)%branchCT(0:0))
      call avCT(523, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1593, nGC_1593,        &
      nGC_1592/))

      allocate(vertices(524)%branchCT(0:1))
      call avCT(524, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1699, nGC_1701/))

      call avCT(524, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1700, nGC_1702/))

      allocate(vertices(525)%branchCT(0:1))
      call avCT(525, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1527, nGC_1525/))

      call avCT(525, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1528, nGC_1526/))

      allocate(vertices(526)%branchCT(0:1))
      call avCT(526, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1650, nGC_1652/))

      call avCT(526, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1651, nGC_1653/))

      allocate(vertices(527)%branchCT(0:0))
      call avCT(527, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1489/))

      allocate(vertices(493)%branchCT(0:0))
      call avCT(493, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1570/))

      allocate(vertices(529)%branchCT(0:0))
      call avCT(529, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1600/))

      allocate(vertices(530)%branchCT(0:0))
      call avCT(530, 0, 8, 1, 0, UaVU0, (/0, 3/), (/nGC_1685/))

      allocate(vertices(531)%branchCT(0:0))
      call avCT(531, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1703, nGC_1704,        &
      nGC_1704/))

      allocate(vertices(532)%branchCT(0:0))
      call avCT(532, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1774, nGC_1774/))

      allocate(vertices(533)%branchCT(0:0))
      call avCT(533, 0, 8, 1, 0, VUUa0, (/0, 3/), (/nGC_1685/))

      allocate(vertices(1229)%branchCT(0:0))
      call avCT(1229, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1489/))

      allocate(vertices(535)%branchCT(0:0))
      call avCT(535, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1488/))

      allocate(vertices(537)%branchCT(0:1))
      call avCT(537, 0, 21, 1, 0, VFFa1, (/0, 3/), (/nGC_1618, nGC_1620/))

      call avCT(537, 1, 21, 1, 0, VFFa1, (/2, 1/), (/nGC_1619, nGC_1621/))

      allocate(vertices(538)%branchCT(0:0))
      call avCT(538, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1555, nGC_1556/))

      allocate(vertices(539)%branchCT(0:0))
      call avCT(539, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1775/))

      allocate(vertices(540)%branchCT(0:0))
      call avCT(540, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1488/))

      allocate(vertices(541)%branchCT(0:0))
      call avCT(541, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1773/))

      allocate(vertices(542)%branchCT(0:0))
      call avCT(542, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1519/))

      allocate(vertices(562)%branchCT(0:0))
      call avCT(562, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1758/))

      allocate(vertices(1454)%branchCT(0:0))
      call avCT(1454, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1506/))

      allocate(vertices(545)%branchCT(0:0))
      call avCT(545, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1758/))

      allocate(vertices(546)%branchCT(0:0))
      call avCT(546, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1691/))

      allocate(vertices(547)%branchCT(0:0))
      call avCT(547, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1496/))

      allocate(vertices(548)%branchCT(0:0))
      call avCT(548, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1582, nGC_1583/))

      allocate(vertices(549)%branchCT(0:0))
      call avCT(549, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1487/))

      allocate(vertices(550)%branchCT(0:0))
      call avCT(550, 0, 8, 1, 0, VUaU0, (/0, 3/), (/nGC_1548/))

      allocate(vertices(1455)%branchCT(0:0))
      call avCT(1455, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1506/))

      allocate(vertices(551)%branchCT(0:0))
      call avCT(551, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1554/))

      allocate(vertices(553)%branchCT(0:0))
      call avCT(553, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1756/))

      allocate(vertices(554)%branchCT(0:0))
      call avCT(554, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1597/))

      allocate(vertices(1456)%branchCT(0:1))
      call avCT(1456, 0, 42, 1, 0, FaF0, (/0, 2/), (/nGC_1625, nGC_1627,       &
      nGC_1627, nGC_1629/))

      call avCT(1456, 1, 42, 1, 0, FaF0, (/2, 0/), (/nGC_1626, nGC_1628,       &
      nGC_1628, nGC_1630/))

      allocate(vertices(555)%branchCT(0:3))
      call avCT(555, 0, 30, 2, 0, VFaF0, (/3, 0/), (/nGC_1776, nGC_1778/))

      call avCT(555, 1, 30, 2, 0, VFaF0, (/1, 2/), (/nGC_1777, nGC_1779/))

      call avCT(555, 2, 31, 3, 0, VFaF0, (/3, 0/), (/nGC_1776, nGC_1778/))

      call avCT(555, 3, 31, 3, 0, VFaF0, (/1, 2/), (/nGC_1777, nGC_1779/))

      allocate(vertices(556)%branchCT(0:1))
      call avCT(556, 0, 21, 1, 0, VFFa1, (/0, 3/), (/nGC_1575, nGC_1577/))

      call avCT(556, 1, 21, 1, 0, VFFa1, (/2, 1/), (/nGC_1576, nGC_1578/))

      allocate(vertices(422)%branchCT(0:1))
      call avCT(422, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1603, nGC_1603/))

      call avCT(422, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1604, nGC_1604/))

      allocate(vertices(558)%branchCT(0:0))
      call avCT(558, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1593, nGC_1592,        &
      nGC_1593/))

      allocate(vertices(559)%branchCT(0:0))
      call avCT(559, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1490/))

      allocate(vertices(1350)%branchCT(0:1))
      call avCT(1350, 0, 19, 1, 0, FVFa1, (/0, 3/), (/nGC_1643, nGC_1645/))

      call avCT(1350, 1, 19, 1, 0, FVFa1, (/2, 1/), (/nGC_1644, nGC_1646/))

      allocate(vertices(560)%branchCT(0:0))
      call avCT(560, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1507/))

      allocate(vertices(561)%branchCT(0:0))
      call avCT(561, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_1502, nGC_1503/))

      allocate(vertices(543)%branchCT(0:0))
      call avCT(543, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1688, nGC_1689/))

      allocate(vertices(563)%branchCT(0:1))
      call avCT(563, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1643, nGC_1645/))

      call avCT(563, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1644, nGC_1646/))

      allocate(vertices(564)%branchCT(0:0))
      call avCT(564, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(565)%branchCT(0:0))
      call avCT(565, 0, 8, 1, 0, SUaU0, (/0, 3/), (/nGC_1518/))

      allocate(vertices(566)%branchCT(0:0))
      call avCT(566, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1497/))

      allocate(vertices(567)%branchCT(0:0))
      call avCT(567, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1780/))

      allocate(vertices(977)%branchCT(0:0))
      call avCT(977, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1507/))

      allocate(vertices(569)%branchCT(0:0))
      call avCT(569, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1692, nGC_1693/))

      allocate(vertices(570)%branchCT(0:0))
      call avCT(570, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1490/))

      allocate(vertices(711)%branchCT(0:0))
      call avCT(711, 0, 8, 1, 0, UaUV0, (/0, 3/), (/nGC_1631/))

      allocate(vertices(572)%branchCT(0:0))
      call avCT(572, 0, 8, 1, 0, VUaU0, (/0, 3/), (/nGC_1548/))

      allocate(vertices(1457)%branchCT(0:0))
      call avCT(1457, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1506/))

      allocate(vertices(723)%branchCT(0:0))
      call avCT(723, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1507/))

      allocate(vertices(574)%branchCT(0:0))
      call avCT(574, 0, 8, 1, 0, SFaF1, (/0, 3/), (/nGC_1738/))

      allocate(vertices(575)%branchCT(0:0))
      call avCT(575, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1497/))

      allocate(vertices(544)%branchCT(0:0))
      call avCT(544, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1257/))

      allocate(vertices(576)%branchCT(0:0))
      call avCT(576, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1774, nGC_1774/))

      allocate(vertices(577)%branchCT(0:0))
      call avCT(577, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1642/))

      allocate(vertices(755)%branchCT(0:0))
      call avCT(755, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(579)%branchCT(0:0))
      call avCT(579, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1489/))

      allocate(vertices(975)%branchCT(0:0))
      call avCT(975, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1713, nGC_1712,        &
      nGC_1712/))

      allocate(vertices(809)%branchCT(0:0))
      call avCT(809, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1496/))

      allocate(vertices(580)%branchCT(0:0))
      call avCT(580, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1490/))

      allocate(vertices(788)%branchCT(0:1))
      call avCT(788, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1588, nGC_1588/))

      call avCT(788, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1589, nGC_1589/))

      allocate(vertices(582)%branchCT(0:0))
      call avCT(582, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1497/))

      allocate(vertices(583)%branchCT(0:0))
      call avCT(583, 0, 8, 1, 0, UVUa0, (/0, 3/), (/nGC_1631/))

      allocate(vertices(584)%branchCT(0:0))
      call avCT(584, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1554/))

      allocate(vertices(585)%branchCT(0:0))
      call avCT(585, 0, 8, 1, 0, UaVU0, (/0, 3/), (/nGC_1591/))

      allocate(vertices(586)%branchCT(0:0))
      call avCT(586, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1497/))

      allocate(vertices(587)%branchCT(0:0))
      call avCT(587, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1642/))

      allocate(vertices(757)%branchCT(0:0))
      call avCT(757, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1502, nGC_1503/))

      allocate(vertices(589)%branchCT(0:0))
      call avCT(589, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1488/))

      allocate(vertices(1458)%branchCT(0:0))
      call avCT(1458, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1667/))

      allocate(vertices(590)%branchCT(0:0))
      call avCT(590, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1489/))

      allocate(vertices(591)%branchCT(0:0))
      call avCT(591, 0, 8, 1, 0, UUaV0, (/0, 3/), (/nGC_1548/))

      allocate(vertices(592)%branchCT(0:0))
      call avCT(592, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1587/))

      allocate(vertices(593)%branchCT(0:0))
      call avCT(593, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1716, nGC_1716/))

      allocate(vertices(594)%branchCT(0:0))
      call avCT(594, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1557/))

      allocate(vertices(595)%branchCT(0:0))
      call avCT(595, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1497/))

      allocate(vertices(1459)%branchCT(0:0))
      call avCT(1459, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1553/))

      allocate(vertices(596)%branchCT(0:3))
      call avCT(596, 0, 28, 2, 0, VFFa1, (/3, 0/), (/nGC_1776, nGC_1778/))

      call avCT(596, 1, 28, 2, 0, VFFa1, (/1, 2/), (/nGC_1777, nGC_1779/))

      call avCT(596, 2, 29, 3, 0, VFFa1, (/3, 0/), (/nGC_1776, nGC_1778/))

      call avCT(596, 3, 29, 3, 0, VFFa1, (/1, 2/), (/nGC_1777, nGC_1779/))

      allocate(vertices(597)%branchCT(0:0))
      call avCT(597, 0, 8, 1, 0, UUaS0, (/0, 3/), (/nGC_1733/))

      allocate(vertices(598)%branchCT(0:0))
      call avCT(598, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1530/))

      allocate(vertices(599)%branchCT(0:0))
      call avCT(599, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1606/))

      allocate(vertices(758)%branchCT(0:0))
      call avCT(758, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1541/))

      allocate(vertices(601)%branchCT(0:1))
      call avCT(601, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1662, nGC_1662/))

      call avCT(601, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1663, nGC_1663/))

      allocate(vertices(602)%branchCT(0:0))
      call avCT(602, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1656/))

      allocate(vertices(568)%branchCT(0:0))
      call avCT(568, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1490/))

      allocate(vertices(605)%branchCT(0:0))
      call avCT(605, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1581, nGC_1581/))

      allocate(vertices(607)%branchCT(0:0))
      call avCT(607, 0, 8, 1, 0, SUUa0, (/0, 3/), (/nGC_1398/))

      allocate(vertices(608)%branchCT(0:1))
      call avCT(608, 0, 18, 1, 0, FaSF1, (/0, 3/), (/nGC_1525, nGC_1527/))

      call avCT(608, 1, 18, 1, 0, FaSF1, (/2, 1/), (/nGC_1526, nGC_1528/))

      allocate(vertices(1166)%branchCT(0:1))
      call avCT(1166, 0, 17, 1, 0, FaFV1, (/0, 3/), (/nGC_1694, nGC_1696/))

      call avCT(1166, 1, 17, 1, 0, FaFV1, (/2, 1/), (/nGC_1695, nGC_1697/))

      allocate(vertices(609)%branchCT(0:0))
      call avCT(609, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1600/))

      allocate(vertices(851)%branchCT(0:0))
      call avCT(851, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1495/))

      allocate(vertices(1460)%branchCT(0:0))
      call avCT(1460, 0, 14, 1, 0, FFa1, (/0, 2/), (/nGC_1658, nGC_1659,       &
      nGC_1659, nGC_1660/))

      allocate(vertices(611)%branchCT(0:0))
      call avCT(611, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_1502, nGC_1503/))

      allocate(vertices(612)%branchCT(0:0))
      call avCT(612, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1488/))

      allocate(vertices(613)%branchCT(0:0))
      call avCT(613, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1691/))

      allocate(vertices(614)%branchCT(0:0))
      call avCT(614, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1756/))

      allocate(vertices(1020)%branchCT(0:0))
      call avCT(1020, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1490/))

      allocate(vertices(616)%branchCT(0:0))
      call avCT(616, 0, 8, 1, 0, USUa0, (/0, 3/), (/nGC_1396/))

      allocate(vertices(617)%branchCT(0:0))
      call avCT(617, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_1566, nGC_1567/))

      allocate(vertices(1246)%branchCT(0:0))
      call avCT(1246, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1495/))

      allocate(vertices(619)%branchCT(0:0))
      call avCT(619, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1570/))

      allocate(vertices(620)%branchCT(0:1))
      call avCT(620, 0, 21, 1, 0, VFFa0, (/0, 3/), (/nGC_1595/))

      call avCT(620, 1, 21, 1, 0, VFFa0, (/2, 1/), (/nGC_1596/))

      allocate(vertices(1305)%branchCT(0:1))
      call avCT(1305, 0, 32, 4, 0, UUaV0, (/3, 0/), (/nGC_1536/))

      call avCT(1305, 1, 33, 5, 0, UUaV0, (/3, 0/), (/nGC_1536/))

      allocate(vertices(1247)%branchCT(0:3))
      call avCT(1247, 0, 24, 2, 0, FaFV1, (/1, 2/), (/nGC_1609, nGC_1611/))

      call avCT(1247, 1, 24, 2, 0, FaFV1, (/3, 0/), (/nGC_1608, nGC_1610/))

      call avCT(1247, 2, 25, 3, 0, FaFV1, (/1, 2/), (/nGC_1609, nGC_1611/))

      call avCT(1247, 3, 25, 3, 0, FaFV1, (/3, 0/), (/nGC_1608, nGC_1610/))

      allocate(vertices(622)%branchCT(0:0))
      call avCT(622, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1507/))

      allocate(vertices(623)%branchCT(0:0))
      call avCT(623, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1497/))

      allocate(vertices(624)%branchCT(0:0))
      call avCT(624, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1641/))

      allocate(vertices(985)%branchCT(0:0))
      call avCT(985, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1487/))

      allocate(vertices(626)%branchCT(0:0))
      call avCT(626, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1257/))

      allocate(vertices(627)%branchCT(0:1))
      call avCT(627, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1739, nGC_1739/))

      call avCT(627, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1740, nGC_1740/))

      allocate(vertices(628)%branchCT(0:0))
      call avCT(628, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1732/))

      allocate(vertices(1372)%branchCT(0:0))
      call avCT(1372, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1686, nGC_1686,       &
      nGC_1687/))

      allocate(vertices(1461)%branchCT(0:0))
      call avCT(1461, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1506/))

      allocate(vertices(630)%branchCT(0:0))
      call avCT(630, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1605/))

      allocate(vertices(193)%branchCT(0:0))
      call avCT(193, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1557/))

      allocate(vertices(631)%branchCT(0:0))
      call avCT(631, 0, 8, 1, 0, FaFS1, (/0, 3/), (/nGC_1678/))

      allocate(vertices(633)%branchCT(0:0))
      call avCT(633, 0, 8, 1, 0, FFaS2, (/0, 3/), (/nGC_1738/))

      allocate(vertices(634)%branchCT(0:1))
      call avCT(634, 0, 18, 1, 0, FaVF0, (/0, 3/), (/nGC_1595/))

      call avCT(634, 1, 18, 1, 0, FaVF0, (/2, 1/), (/nGC_1596/))

      allocate(vertices(635)%branchCT(0:0))
      call avCT(635, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1587/))

      allocate(vertices(636)%branchCT(0:1))
      call avCT(636, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1603, nGC_1603/))

      call avCT(636, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1604, nGC_1604/))

      allocate(vertices(637)%branchCT(0:0))
      call avCT(637, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1497/))

      allocate(vertices(1462)%branchCT(0:0))
      call avCT(1462, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1506/))

      allocate(vertices(638)%branchCT(0:0))
      call avCT(638, 0, 8, 1, 0, SUUa0, (/0, 3/), (/nGC_1396/))

      allocate(vertices(1179)%branchCT(0:0))
      call avCT(1179, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1605/))

      allocate(vertices(640)%branchCT(0:0))
      call avCT(640, 0, 8, 1, 0, UVUa0, (/0, 3/), (/nGC_1558/))

      allocate(vertices(641)%branchCT(0:1))
      call avCT(641, 0, 18, 1, 0, FaSF1, (/0, 3/), (/nGC_1766, nGC_1766/))

      call avCT(641, 1, 18, 1, 0, FaSF1, (/2, 1/), (/nGC_1767, nGC_1767/))

      allocate(vertices(1206)%branchCT(0:0))
      call avCT(1206, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1541/))

      allocate(vertices(643)%branchCT(0:1))
      call avCT(643, 0, 19, 1, 0, FVFa1, (/0, 3/), (/nGC_1674, nGC_1676/))

      call avCT(643, 1, 19, 1, 0, FVFa1, (/2, 1/), (/nGC_1675, nGC_1677/))

      allocate(vertices(644)%branchCT(0:0))
      call avCT(644, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1715/))

      allocate(vertices(645)%branchCT(0:0))
      call avCT(645, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1490/))

      allocate(vertices(646)%branchCT(0:3))
      call avCT(646, 0, 11, 2, 0, FFaV0, (/3, 0/), (/nGC_1776, nGC_1778/))

      call avCT(646, 1, 11, 2, 0, FFaV0, (/1, 2/), (/nGC_1777, nGC_1779/))

      call avCT(646, 2, 12, 3, 0, FFaV0, (/3, 0/), (/nGC_1776, nGC_1778/))

      call avCT(646, 3, 12, 3, 0, FFaV0, (/1, 2/), (/nGC_1777, nGC_1779/))

      allocate(vertices(647)%branchCT(0:0))
      call avCT(647, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1772/))

      allocate(vertices(648)%branchCT(0:0))
      call avCT(648, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1641/))

      allocate(vertices(649)%branchCT(0:1))
      call avCT(649, 0, 18, 1, 0, FaVF1, (/0, 3/), (/nGC_1762, nGC_1764/))

      call avCT(649, 1, 18, 1, 0, FaVF1, (/2, 1/), (/nGC_1763, nGC_1765/))

      allocate(vertices(1145)%branchCT(0:1))
      call avCT(1145, 0, 18, 1, 0, FaVF1, (/0, 3/), (/nGC_1728, nGC_1730/))

      call avCT(1145, 1, 18, 1, 0, FaVF1, (/2, 1/), (/nGC_1729, nGC_1731/))

      allocate(vertices(651)%branchCT(0:0))
      call avCT(651, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1781/))

      allocate(vertices(652)%branchCT(0:0))
      call avCT(652, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1559, nGC_1560/))

      allocate(vertices(653)%branchCT(0:0))
      call avCT(653, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1582, nGC_1583/))

      allocate(vertices(770)%branchCT(0:0))
      call avCT(770, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1554/))

      allocate(vertices(1463)%branchCT(0:0))
      call avCT(1463, 0, 14, 1, 0, VS0, (/0, 2/), (/nGC_1782/))

      allocate(vertices(655)%branchCT(0:1))
      call avCT(655, 0, 17, 1, 0, FaFV1, (/0, 3/), (/nGC_1513, nGC_1515/))

      call avCT(655, 1, 17, 1, 0, FaFV1, (/2, 1/), (/nGC_1514, nGC_1516/))

      allocate(vertices(656)%branchCT(0:0))
      call avCT(656, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1713, nGC_1712,        &
      nGC_1712/))

      allocate(vertices(657)%branchCT(0:1))
      call avCT(657, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1564, nGC_1564/))

      call avCT(657, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1565, nGC_1565/))

      allocate(vertices(658)%branchCT(0:0))
      call avCT(658, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1732/))

      allocate(vertices(659)%branchCT(0:0))
      call avCT(659, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1698/))

      allocate(vertices(1464)%branchCT(0:0))
      call avCT(1464, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1783/))

      allocate(vertices(660)%branchCT(0:0))
      call avCT(660, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1607/))

      allocate(vertices(661)%branchCT(0:1))
      call avCT(661, 0, 17, 1, 0, FaFV0, (/0, 3/), (/nGC_1647/))

      call avCT(661, 1, 17, 1, 0, FaFV0, (/2, 1/), (/nGC_1648/))

      allocate(vertices(662)%branchCT(0:0))
      call avCT(662, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1581, nGC_1581/))

      allocate(vertices(663)%branchCT(0:0))
      call avCT(663, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1489/))

      allocate(vertices(1465)%branchCT(0:0))
      call avCT(1465, 0, 14, 1, 0, VS0, (/0, 2/), (/nGC_1784/))

      allocate(vertices(665)%branchCT(0:0))
      call avCT(665, 0, 8, 1, 0, FaFS1, (/0, 3/), (/nGC_1738/))

      allocate(vertices(666)%branchCT(0:0))
      call avCT(666, 0, 8, 1, 0, SFaF2, (/0, 3/), (/nGC_1738/))

      allocate(vertices(552)%branchCT(0:0))
      call avCT(552, 0, 8, 1, 0, USUa0, (/0, 3/), (/nGC_1518/))

      allocate(vertices(668)%branchCT(0:0))
      call avCT(668, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1732/))

      allocate(vertices(669)%branchCT(0:0))
      call avCT(669, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1574/))

      allocate(vertices(670)%branchCT(0:0))
      call avCT(670, 0, 8, 1, 0, UaSU0, (/0, 3/), (/nGC_1617/))

      allocate(vertices(671)%branchCT(0:0))
      call avCT(671, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1574/))

      allocate(vertices(672)%branchCT(0:0))
      call avCT(672, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1489/))

      allocate(vertices(1466)%branchCT(0:0))
      call avCT(1466, 0, 14, 1, 0, FFa1, (/0, 2/), (/nGC_1785, nGC_1786,       &
      nGC_1786, nGC_1787/))

      allocate(vertices(673)%branchCT(0:0))
      call avCT(673, 0, 8, 1, 0, FaSF1, (/0, 3/), (/nGC_1774, nGC_1774/))

      allocate(vertices(416)%branchCT(0:0))
      call avCT(416, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1495/))

      allocate(vertices(675)%branchCT(0:0))
      call avCT(675, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1574/))

      allocate(vertices(1005)%branchCT(0:0))
      call avCT(1005, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1756/))

      allocate(vertices(676)%branchCT(0:0))
      call avCT(676, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1788/))

      allocate(vertices(64)%branchCT(0:0))
      call avCT(64, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1732/))

      allocate(vertices(336)%branchCT(0:0))
      call avCT(336, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1605/))

      allocate(vertices(679)%branchCT(0:0))
      call avCT(679, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1592, nGC_1593,        &
      nGC_1593/))

      allocate(vertices(680)%branchCT(0:1))
      call avCT(680, 0, 34, 4, 0, UVUa0, (/3, 0/), (/nGC_1536/))

      call avCT(680, 1, 35, 5, 0, UVUa0, (/3, 0/), (/nGC_1536/))

      allocate(vertices(1163)%branchCT(0:1))
      call avCT(1163, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1491/))

      call avCT(1163, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1492/))

      allocate(vertices(338)%branchCT(0:0))
      call avCT(338, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1488/))

      allocate(vertices(683)%branchCT(0:1))
      call avCT(683, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1544, nGC_1544/))

      call avCT(683, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1545, nGC_1545/))

      allocate(vertices(684)%branchCT(0:0))
      call avCT(684, 0, 8, 1, 0, SUUa0, (/0, 3/), (/nGC_1654/))

      allocate(vertices(685)%branchCT(0:0))
      call avCT(685, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1488/))

      allocate(vertices(1262)%branchCT(0:1))
      call avCT(1262, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1549, nGC_1551/))

      call avCT(1262, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1550, nGC_1552/))

      allocate(vertices(687)%branchCT(0:0))
      call avCT(687, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1657/))

      allocate(vertices(688)%branchCT(0:1))
      call avCT(688, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1551, nGC_1549/))

      call avCT(688, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1552, nGC_1550/))

      allocate(vertices(689)%branchCT(0:0))
      call avCT(689, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1649/))

      allocate(vertices(1467)%branchCT(0:0))
      call avCT(1467, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1529/))

      allocate(vertices(1468)%branchCT(0:0))
      call avCT(1468, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1590/))

      allocate(vertices(1341)%branchCT(0:0))
      call avCT(1341, 0, 8, 1, 0, USUa0, (/0, 3/), (/nGC_1392/))

      allocate(vertices(1263)%branchCT(0:0))
      call avCT(1263, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1488/))

      allocate(vertices(1469)%branchCT(0:0))
      call avCT(1469, 0, 14, 1, 0, FaF0, (/0, 2/), (/nGC_1785, nGC_1786,       &
      nGC_1786, nGC_1787/))

      allocate(vertices(111)%branchCT(0:0))
      call avCT(111, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1661, nGC_1661/))

      allocate(vertices(693)%branchCT(0:0))
      call avCT(693, 0, 8, 1, 0, UaUV0, (/0, 3/), (/nGC_1548/))

      allocate(vertices(779)%branchCT(0:0))
      call avCT(779, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1554/))

      allocate(vertices(695)%branchCT(0:0))
      call avCT(695, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1587/))

      allocate(vertices(696)%branchCT(0:0))
      call avCT(696, 0, 8, 1, 0, SUaU0, (/0, 3/), (/nGC_1396/))

      allocate(vertices(697)%branchCT(0:0))
      call avCT(697, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1570/))

      allocate(vertices(698)%branchCT(0:0))
      call avCT(698, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1587/))

      allocate(vertices(699)%branchCT(0:1))
      call avCT(699, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_1595/))

      call avCT(699, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_1596/))

      allocate(vertices(700)%branchCT(0:0))
      call avCT(700, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1554/))

      allocate(vertices(701)%branchCT(0:0))
      call avCT(701, 0, 8, 1, 0, UaSU0, (/0, 3/), (/nGC_1398/))

      allocate(vertices(114)%branchCT(0:1))
      call avCT(114, 0, 36, 4, 0, UaVU0, (/3, 0/), (/nGC_1536/))

      call avCT(114, 1, 37, 5, 0, UaVU0, (/3, 0/), (/nGC_1536/))

      allocate(vertices(704)%branchCT(0:0))
      call avCT(704, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1488/))

      allocate(vertices(705)%branchCT(0:0))
      call avCT(705, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1490/))

      allocate(vertices(1470)%branchCT(0:0))
      call avCT(1470, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1667/))

      allocate(vertices(706)%branchCT(0:1))
      call avCT(706, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1584, nGC_1584/))

      call avCT(706, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1585, nGC_1585/))

      allocate(vertices(707)%branchCT(0:0))
      call avCT(707, 0, 8, 1, 0, VUUa0, (/0, 3/), (/nGC_1558/))

      allocate(vertices(341)%branchCT(0:0))
      call avCT(341, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1497/))

      allocate(vertices(1471)%branchCT(0:1))
      call avCT(1471, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_1789, nGC_1791,       &
      nGC_1791, nGC_1793/))

      call avCT(1471, 1, 13, 1, 0, FFa1, (/2, 0/), (/nGC_1790, nGC_1792,       &
      nGC_1792, nGC_1794/))

      allocate(vertices(709)%branchCT(0:0))
      call avCT(709, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1495/))

      allocate(vertices(571)%branchCT(0:0))
      call avCT(571, 0, 8, 1, 0, VUUa0, (/0, 3/), (/nGC_1558/))

      allocate(vertices(123)%branchCT(0:0))
      call avCT(123, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1497/))

      allocate(vertices(713)%branchCT(0:1))
      call avCT(713, 0, 20, 1, 0, VFaF0, (/0, 3/), (/nGC_1728, nGC_1730/))

      call avCT(713, 1, 20, 1, 0, VFaF0, (/2, 1/), (/nGC_1729, nGC_1731/))

      allocate(vertices(1472)%branchCT(0:0))
      call avCT(1472, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1553/))

      allocate(vertices(714)%branchCT(0:0))
      call avCT(714, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1769/))

      allocate(vertices(344)%branchCT(0:0))
      call avCT(344, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1795/))

      allocate(vertices(716)%branchCT(0:0))
      call avCT(716, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1732/))

      allocate(vertices(717)%branchCT(0:0))
      call avCT(717, 0, 8, 1, 0, FaSF1, (/0, 3/), (/nGC_1661, nGC_1661/))

      allocate(vertices(929)%branchCT(0:0))
      call avCT(929, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1757/))

      allocate(vertices(718)%branchCT(0:0))
      call avCT(718, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1258/))

      allocate(vertices(1473)%branchCT(0:0))
      call avCT(1473, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1586/))

      allocate(vertices(719)%branchCT(0:1))
      call avCT(719, 0, 20, 1, 0, VFaF0, (/0, 3/), (/nGC_1674, nGC_1676/))

      call avCT(719, 1, 20, 1, 0, VFaF0, (/2, 1/), (/nGC_1675, nGC_1677/))

      allocate(vertices(682)%branchCT(0:0))
      call avCT(682, 0, 8, 1, 0, UUaS0, (/0, 3/), (/nGC_1393/))

      allocate(vertices(786)%branchCT(0:3))
      call avCT(786, 0, 27, 3, 0, FaVF1, (/1, 2/), (/nGC_1671, nGC_1673/))

      call avCT(786, 1, 27, 3, 0, FaVF1, (/3, 0/), (/nGC_1670, nGC_1672/))

      call avCT(786, 2, 26, 2, 0, FaVF1, (/1, 2/), (/nGC_1671, nGC_1673/))

      call avCT(786, 3, 26, 2, 0, FaVF1, (/3, 0/), (/nGC_1670, nGC_1672/))

      allocate(vertices(721)%branchCT(0:0))
      call avCT(721, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1519/))

      allocate(vertices(722)%branchCT(0:1))
      call avCT(722, 0, 17, 1, 0, FaFV1, (/0, 3/), (/nGC_1762, nGC_1764/))

      call avCT(722, 1, 17, 1, 0, FaFV1, (/2, 1/), (/nGC_1763, nGC_1765/))

      allocate(vertices(573)%branchCT(0:0))
      call avCT(573, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(1474)%branchCT(0:0))
      call avCT(1474, 0, 14, 1, 0, FaF0, (/0, 2/), (/nGC_1748, nGC_1749,       &
      nGC_1749, nGC_1750/))

      allocate(vertices(366)%branchCT(0:3))
      call avCT(366, 0, 22, 2, 0, FVFa1, (/3, 0/), (/nGC_1776, nGC_1778/))

      call avCT(366, 1, 22, 2, 0, FVFa1, (/1, 2/), (/nGC_1777, nGC_1779/))

      call avCT(366, 2, 23, 3, 0, FVFa1, (/3, 0/), (/nGC_1776, nGC_1778/))

      call avCT(366, 3, 23, 3, 0, FVFa1, (/1, 2/), (/nGC_1777, nGC_1779/))

      allocate(vertices(725)%branchCT(0:0))
      call avCT(725, 0, 8, 1, 0, SUaU0, (/0, 3/), (/nGC_1392/))

      allocate(vertices(389)%branchCT(0:0))
      call avCT(389, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1487/))

      allocate(vertices(346)%branchCT(0:0))
      call avCT(346, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1704, nGC_1703,        &
      nGC_1704/))

      allocate(vertices(728)%branchCT(0:0))
      call avCT(728, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1490/))

      allocate(vertices(729)%branchCT(0:0))
      call avCT(729, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1640/))

      allocate(vertices(403)%branchCT(0:0))
      call avCT(403, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1753/))

      allocate(vertices(732)%branchCT(0:0))
      call avCT(732, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1713, nGC_1712,        &
      nGC_1712/))

      allocate(vertices(733)%branchCT(0:0))
      call avCT(733, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1488/))

      allocate(vertices(734)%branchCT(0:1))
      call avCT(734, 0, 19, 1, 0, FVFa1, (/0, 3/), (/nGC_1723, nGC_1725/))

      call avCT(734, 1, 19, 1, 0, FVFa1, (/2, 1/), (/nGC_1724, nGC_1726/))

      allocate(vertices(735)%branchCT(0:0))
      call avCT(735, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1781/))

      allocate(vertices(736)%branchCT(0:0))
      call avCT(736, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1600/))

      allocate(vertices(1475)%branchCT(0:0))
      call avCT(1475, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1664/))

      allocate(vertices(737)%branchCT(0:0))
      call avCT(737, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1519/))

      allocate(vertices(738)%branchCT(0:0))
      call avCT(738, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1796/))

      allocate(vertices(739)%branchCT(0:1))
      call avCT(739, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1613, nGC_1615/))

      call avCT(739, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1614, nGC_1616/))

      allocate(vertices(740)%branchCT(0:0))
      call avCT(740, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(741)%branchCT(0:1))
      call avCT(741, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1603, nGC_1603/))

      call avCT(741, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1604, nGC_1604/))

      allocate(vertices(742)%branchCT(0:0))
      call avCT(742, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1754/))

      allocate(vertices(743)%branchCT(0:0))
      call avCT(743, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1574/))

      allocate(vertices(1174)%branchCT(0:0))
      call avCT(1174, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1691/))

      allocate(vertices(744)%branchCT(0:0))
      call avCT(744, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1495/))

      allocate(vertices(745)%branchCT(0:3))
      call avCT(745, 0, 22, 2, 0, FVFa1, (/1, 2/), (/nGC_1671, nGC_1673/))

      call avCT(745, 1, 22, 2, 0, FVFa1, (/3, 0/), (/nGC_1670, nGC_1672/))

      call avCT(745, 2, 23, 3, 0, FVFa1, (/1, 2/), (/nGC_1671, nGC_1673/))

      call avCT(745, 3, 23, 3, 0, FVFa1, (/3, 0/), (/nGC_1670, nGC_1672/))

      allocate(vertices(746)%branchCT(0:0))
      call avCT(746, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1487/))

      allocate(vertices(747)%branchCT(0:0))
      call avCT(747, 0, 8, 1, 0, SFFa1, (/0, 3/), (/nGC_1504/))

      allocate(vertices(748)%branchCT(0:0))
      call avCT(748, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1649/))

      allocate(vertices(749)%branchCT(0:1))
      call avCT(749, 0, 18, 1, 0, FaVF1, (/0, 3/), (/nGC_1643, nGC_1645/))

      call avCT(749, 1, 18, 1, 0, FaVF1, (/2, 1/), (/nGC_1644, nGC_1646/))

      allocate(vertices(750)%branchCT(0:0))
      call avCT(750, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1712, nGC_1712,        &
      nGC_1713/))

      allocate(vertices(751)%branchCT(0:1))
      call avCT(751, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1618, nGC_1620/))

      call avCT(751, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1619, nGC_1621/))

      allocate(vertices(1274)%branchCT(0:0))
      call avCT(1274, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1756/))

      allocate(vertices(790)%branchCT(0:0))
      call avCT(790, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1593, nGC_1593,        &
      nGC_1592/))

      allocate(vertices(1476)%branchCT(0:0))
      call avCT(1476, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1506/))

      allocate(vertices(754)%branchCT(0:0))
      call avCT(754, 0, 8, 1, 0, VUaU0, (/0, 3/), (/nGC_1631/))

      allocate(vertices(578)%branchCT(0:0))
      call avCT(578, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1495/))

      allocate(vertices(756)%branchCT(0:0))
      call avCT(756, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1741/))

      allocate(vertices(229)%branchCT(0:0))
      call avCT(229, 0, 8, 1, 0, UaVU0, (/0, 3/), (/nGC_1505/))

      allocate(vertices(600)%branchCT(0:0))
      call avCT(600, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1691/))

      allocate(vertices(759)%branchCT(0:0))
      call avCT(759, 0, 8, 1, 0, UaUS0, (/0, 3/), (/nGC_1654/))

      allocate(vertices(760)%branchCT(0:1))
      call avCT(760, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1699, nGC_1701/))

      call avCT(760, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1700, nGC_1702/))

      allocate(vertices(761)%branchCT(0:0))
      call avCT(761, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1507/))

      allocate(vertices(762)%branchCT(0:0))
      call avCT(762, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1587/))

      allocate(vertices(763)%branchCT(0:0))
      call avCT(763, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1581, nGC_1581/))

      allocate(vertices(764)%branchCT(0:1))
      call avCT(764, 0, 18, 1, 0, FaVF0, (/0, 3/), (/nGC_1491/))

      call avCT(764, 1, 18, 1, 0, FaVF0, (/2, 1/), (/nGC_1492/))

      allocate(vertices(765)%branchCT(0:0))
      call avCT(765, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1605/))

      allocate(vertices(766)%branchCT(0:1))
      call avCT(766, 0, 21, 1, 0, VFFa0, (/0, 3/), (/nGC_1491/))

      call avCT(766, 1, 21, 1, 0, VFFa0, (/2, 1/), (/nGC_1492/))

      allocate(vertices(1276)%branchCT(0:0))
      call avCT(1276, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1488/))

      allocate(vertices(768)%branchCT(0:1))
      call avCT(768, 0, 19, 1, 0, FVFa1, (/0, 3/), (/nGC_1694, nGC_1696/))

      call avCT(768, 1, 19, 1, 0, FVFa1, (/2, 1/), (/nGC_1695, nGC_1697/))

      allocate(vertices(769)%branchCT(0:0))
      call avCT(769, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1554/))

      allocate(vertices(654)%branchCT(0:0))
      call avCT(654, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1593, nGC_1592,        &
      nGC_1593/))

      allocate(vertices(771)%branchCT(0:0))
      call avCT(771, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1487/))

      allocate(vertices(772)%branchCT(0:0))
      call avCT(772, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1598, nGC_1599/))

      allocate(vertices(773)%branchCT(0:3))
      call avCT(773, 0, 30, 2, 0, VFaF0, (/1, 2/), (/nGC_1671, nGC_1673/))

      call avCT(773, 1, 30, 2, 0, VFaF0, (/3, 0/), (/nGC_1670, nGC_1672/))

      call avCT(773, 2, 31, 3, 0, VFaF0, (/1, 2/), (/nGC_1671, nGC_1673/))

      call avCT(773, 3, 31, 3, 0, VFaF0, (/3, 0/), (/nGC_1670, nGC_1672/))

      allocate(vertices(774)%branchCT(0:0))
      call avCT(774, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1488/))

      allocate(vertices(1477)%branchCT(0:0))
      call avCT(1477, 0, 14, 1, 0, SS0, (/0, 2/), (/nGC_1535/))

      allocate(vertices(1478)%branchCT(0:0))
      call avCT(1478, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1783/))

      allocate(vertices(775)%branchCT(0:0))
      call avCT(775, 0, 8, 1, 0, SUUa0, (/0, 3/), (/nGC_1399/))

      allocate(vertices(1279)%branchCT(0:0))
      call avCT(1279, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1554/))

      allocate(vertices(777)%branchCT(0:0))
      call avCT(777, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1490/))

      allocate(vertices(778)%branchCT(0:1))
      call avCT(778, 0, 18, 1, 0, FaSF1, (/0, 3/), (/nGC_1632, nGC_1632/))

      call avCT(778, 1, 18, 1, 0, FaSF1, (/2, 1/), (/nGC_1633, nGC_1633/))

      allocate(vertices(694)%branchCT(0:0))
      call avCT(694, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1487/))

      allocate(vertices(780)%branchCT(0:0))
      call avCT(780, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1665, nGC_1666/))

      allocate(vertices(131)%branchCT(0:0))
      call avCT(131, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1495/))

      allocate(vertices(1479)%branchCT(0:0))
      call avCT(1479, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1529/))

      allocate(vertices(783)%branchCT(0:0))
      call avCT(783, 0, 8, 1, 0, UUaV0, (/0, 3/), (/nGC_1631/))

      allocate(vertices(784)%branchCT(0:0))
      call avCT(784, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_1738/))

      allocate(vertices(785)%branchCT(0:0))
      call avCT(785, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1574/))

      allocate(vertices(720)%branchCT(0:3))
      call avCT(720, 0, 27, 3, 0, FaVF1, (/3, 0/), (/nGC_1520, nGC_1522/))

      call avCT(720, 1, 27, 3, 0, FaVF1, (/1, 2/), (/nGC_1521, nGC_1523/))

      call avCT(720, 2, 26, 2, 0, FaVF1, (/3, 0/), (/nGC_1520, nGC_1522/))

      call avCT(720, 3, 26, 2, 0, FaVF1, (/1, 2/), (/nGC_1521, nGC_1523/))

      allocate(vertices(787)%branchCT(0:0))
      call avCT(787, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1738/))

      allocate(vertices(1480)%branchCT(0:0))
      call avCT(1480, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1506/))

      allocate(vertices(581)%branchCT(0:0))
      call avCT(581, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1640/))

      allocate(vertices(789)%branchCT(0:0))
      call avCT(789, 0, 8, 1, 0, SUUa0, (/0, 3/), (/nGC_1733/))

      allocate(vertices(753)%branchCT(0:0))
      call avCT(753, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1489/))

      allocate(vertices(1017)%branchCT(0:0))
      call avCT(1017, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1541/))

      allocate(vertices(791)%branchCT(0:0))
      call avCT(791, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1678/))

      allocate(vertices(1303)%branchCT(0:0))
      call avCT(1303, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1592, nGC_1593,       &
      nGC_1593/))

      allocate(vertices(792)%branchCT(0:0))
      call avCT(792, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1780/))

      allocate(vertices(793)%branchCT(0:1))
      call avCT(793, 0, 17, 1, 0, FaFV1, (/0, 3/), (/nGC_1498, nGC_1500/))

      call avCT(793, 1, 17, 1, 0, FaFV1, (/2, 1/), (/nGC_1499, nGC_1501/))

      allocate(vertices(794)%branchCT(0:0))
      call avCT(794, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1587/))

      allocate(vertices(96)%branchCT(0:0))
      call avCT(96, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1797/))

      allocate(vertices(1481)%branchCT(0:0))
      call avCT(1481, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1714/))

      allocate(vertices(782)%branchCT(0:0))
      call avCT(782, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1495/))

      allocate(vertices(795)%branchCT(0:0))
      call avCT(795, 0, 8, 1, 0, UaUS0, (/0, 3/), (/nGC_1733/))

      allocate(vertices(796)%branchCT(0:0))
      call avCT(796, 0, 8, 1, 0, UVUa0, (/0, 3/), (/nGC_1751/))

      allocate(vertices(797)%branchCT(0:0))
      call avCT(797, 0, 8, 1, 0, FaFS2, (/0, 3/), (/nGC_1738/))

      allocate(vertices(799)%branchCT(0:0))
      call avCT(799, 0, 8, 1, 0, SFFa1, (/0, 3/), (/nGC_1678/))

      allocate(vertices(221)%branchCT(0:0))
      call avCT(221, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1624/))

      allocate(vertices(1482)%branchCT(0:0))
      call avCT(1482, 0, 14, 1, 0, VV0, (/0, 2/), (/nGC_1734, nGC_1735,        &
      nGC_1736/))

      allocate(vertices(800)%branchCT(0:0))
      call avCT(800, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1488/))

      allocate(vertices(801)%branchCT(0:0))
      call avCT(801, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1512/))

      allocate(vertices(802)%branchCT(0:0))
      call avCT(802, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(803)%branchCT(0:0))
      call avCT(803, 0, 8, 1, 0, FFaS1, (/0, 3/), (/nGC_1678/))

      allocate(vertices(804)%branchCT(0:0))
      call avCT(804, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1587/))

      allocate(vertices(152)%branchCT(0:0))
      call avCT(152, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1641/))

      allocate(vertices(1483)%branchCT(0:0))
      call avCT(1483, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1590/))

      allocate(vertices(806)%branchCT(0:0))
      call avCT(806, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1600/))

      allocate(vertices(807)%branchCT(0:0))
      call avCT(807, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1570/))

      allocate(vertices(808)%branchCT(0:0))
      call avCT(808, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1497/))

      allocate(vertices(908)%branchCT(0:0))
      call avCT(908, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1772/))

      allocate(vertices(1289)%branchCT(0:0))
      call avCT(1289, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1507/))

      allocate(vertices(810)%branchCT(0:0))
      call avCT(810, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1490/))

      allocate(vertices(811)%branchCT(0:0))
      call avCT(811, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1698/))

      allocate(vertices(812)%branchCT(0:0))
      call avCT(812, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1592, nGC_1593,        &
      nGC_1593/))

      allocate(vertices(813)%branchCT(0:1))
      call avCT(813, 0, 17, 1, 0, FaFV0, (/0, 3/), (/nGC_1647/))

      call avCT(813, 1, 17, 1, 0, FaFV0, (/2, 1/), (/nGC_1648/))

      allocate(vertices(814)%branchCT(0:0))
      call avCT(814, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1607/))

      allocate(vertices(815)%branchCT(0:0))
      call avCT(815, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1541/))

      allocate(vertices(816)%branchCT(0:0))
      call avCT(816, 0, 8, 1, 0, SUaU0, (/0, 3/), (/nGC_1399/))

      allocate(vertices(817)%branchCT(0:0))
      call avCT(817, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1554/))

      allocate(vertices(1291)%branchCT(0:0))
      call avCT(1291, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1605/))

      allocate(vertices(818)%branchCT(0:0))
      call avCT(818, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1703, nGC_1704,        &
      nGC_1704/))

      allocate(vertices(1484)%branchCT(0:0))
      call avCT(1484, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1664/))

      allocate(vertices(1198)%branchCT(0:0))
      call avCT(1198, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1495/))

      allocate(vertices(819)%branchCT(0:1))
      call avCT(819, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1549, nGC_1551/))

      call avCT(819, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1550, nGC_1552/))

      allocate(vertices(820)%branchCT(0:3))
      call avCT(820, 0, 11, 2, 0, FFaV0, (/3, 0/), (/nGC_1742, nGC_1744/))

      call avCT(820, 1, 11, 2, 0, FFaV0, (/1, 2/), (/nGC_1743, nGC_1745/))

      call avCT(820, 2, 12, 3, 0, FFaV0, (/3, 0/), (/nGC_1742, nGC_1744/))

      call avCT(820, 3, 12, 3, 0, FFaV0, (/1, 2/), (/nGC_1743, nGC_1745/))

      allocate(vertices(821)%branchCT(0:0))
      call avCT(821, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1602, nGC_1602/))

      allocate(vertices(822)%branchCT(0:0))
      call avCT(822, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1497/))

      allocate(vertices(824)%branchCT(0:0))
      call avCT(824, 0, 8, 1, 0, SUaU0, (/0, 3/), (/nGC_1617/))

      allocate(vertices(825)%branchCT(0:0))
      call avCT(825, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1607/))

      allocate(vertices(826)%branchCT(0:0))
      call avCT(826, 0, 8, 1, 0, UaUV0, (/0, 3/), (/nGC_1631/))

      allocate(vertices(827)%branchCT(0:3))
      call avCT(827, 0, 30, 2, 0, VFaF0, (/1, 2/), (/nGC_1509, nGC_1511/))

      call avCT(827, 1, 30, 2, 0, VFaF0, (/3, 0/), (/nGC_1508, nGC_1510/))

      call avCT(827, 2, 31, 3, 0, VFaF0, (/1, 2/), (/nGC_1509, nGC_1511/))

      call avCT(827, 3, 31, 3, 0, VFaF0, (/3, 0/), (/nGC_1508, nGC_1510/))

      allocate(vertices(829)%branchCT(0:0))
      call avCT(829, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1665, nGC_1666/))

      allocate(vertices(1485)%branchCT(0:0))
      call avCT(1485, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1586/))

      allocate(vertices(830)%branchCT(0:0))
      call avCT(830, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1497/))

      allocate(vertices(831)%branchCT(0:1))
      call avCT(831, 0, 18, 1, 0, FaSF1, (/0, 3/), (/nGC_1533, nGC_1531/))

      call avCT(831, 1, 18, 1, 0, FaSF1, (/2, 1/), (/nGC_1534, nGC_1532/))

      allocate(vertices(832)%branchCT(0:0))
      call avCT(832, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1712, nGC_1713,        &
      nGC_1712/))

      allocate(vertices(833)%branchCT(0:0))
      call avCT(833, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1774, nGC_1774/))

      allocate(vertices(980)%branchCT(0:0))
      call avCT(980, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1796/))

      allocate(vertices(1239)%branchCT(0:1))
      call avCT(1239, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1525, nGC_1527/))

      call avCT(1239, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1526, nGC_1528/))

      allocate(vertices(834)%branchCT(0:0))
      call avCT(834, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1649/))

      allocate(vertices(835)%branchCT(0:0))
      call avCT(835, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1587/))

      allocate(vertices(836)%branchCT(0:1))
      call avCT(836, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1525, nGC_1527/))

      call avCT(836, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1526, nGC_1528/))

      allocate(vertices(838)%branchCT(0:1))
      call avCT(838, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1647/))

      call avCT(838, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1648/))

      allocate(vertices(839)%branchCT(0:0))
      call avCT(839, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1507/))

      allocate(vertices(840)%branchCT(0:1))
      call avCT(840, 0, 18, 1, 0, FaSF1, (/0, 3/), (/nGC_1699, nGC_1701/))

      call avCT(840, 1, 18, 1, 0, FaSF1, (/2, 1/), (/nGC_1700, nGC_1702/))

      allocate(vertices(841)%branchCT(0:1))
      call avCT(841, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1544, nGC_1544/))

      call avCT(841, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1545, nGC_1545/))

      allocate(vertices(842)%branchCT(0:1))
      call avCT(842, 0, 17, 1, 0, FaFV0, (/0, 3/), (/nGC_1491/))

      call avCT(842, 1, 17, 1, 0, FaFV0, (/2, 1/), (/nGC_1492/))

      allocate(vertices(843)%branchCT(0:0))
      call avCT(843, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1488/))

      allocate(vertices(844)%branchCT(0:0))
      call avCT(844, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1592, nGC_1593,        &
      nGC_1593/))

      allocate(vertices(845)%branchCT(0:0))
      call avCT(845, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1704, nGC_1704,        &
      nGC_1703/))

      allocate(vertices(846)%branchCT(0:0))
      call avCT(846, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1581, nGC_1581/))

      allocate(vertices(847)%branchCT(0:0))
      call avCT(847, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1554/))

      allocate(vertices(848)%branchCT(0:0))
      call avCT(848, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1494/))

      allocate(vertices(849)%branchCT(0:0))
      call avCT(849, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1497/))

      allocate(vertices(850)%branchCT(0:1))
      call avCT(850, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1798, nGC_1800/))

      call avCT(850, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1799, nGC_1801/))

      allocate(vertices(610)%branchCT(0:0))
      call avCT(610, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1488/))

      allocate(vertices(852)%branchCT(0:0))
      call avCT(852, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1802/))

      allocate(vertices(145)%branchCT(0:0))
      call avCT(145, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1688, nGC_1689/))

      allocate(vertices(854)%branchCT(0:0))
      call avCT(854, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1568/))

      allocate(vertices(855)%branchCT(0:0))
      call avCT(855, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1639/))

      allocate(vertices(1486)%branchCT(0:0))
      call avCT(1486, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1529/))

      allocate(vertices(856)%branchCT(0:0))
      call avCT(856, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1587/))

      allocate(vertices(163)%branchCT(0:0))
      call avCT(163, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1641/))

      allocate(vertices(858)%branchCT(0:0))
      call avCT(858, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1601/))

      allocate(vertices(859)%branchCT(0:0))
      call avCT(859, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1688, nGC_1689/))

      allocate(vertices(860)%branchCT(0:0))
      call avCT(860, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1497/))

      allocate(vertices(861)%branchCT(0:1))
      call avCT(861, 0, 17, 1, 0, FaFV1, (/0, 3/), (/nGC_1575, nGC_1577/))

      call avCT(861, 1, 17, 1, 0, FaFV1, (/2, 1/), (/nGC_1576, nGC_1578/))

      allocate(vertices(1148)%branchCT(0:1))
      call avCT(1148, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1564, nGC_1564/))

      call avCT(1148, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1565, nGC_1565/))

      allocate(vertices(862)%branchCT(0:0))
      call avCT(862, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1487/))

      allocate(vertices(1487)%branchCT(0:0))
      call avCT(1487, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1667/))

      allocate(vertices(863)%branchCT(0:0))
      call avCT(863, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1732/))

      allocate(vertices(864)%branchCT(0:0))
      call avCT(864, 0, 8, 1, 0, SUUa0, (/0, 3/), (/nGC_1733/))

      allocate(vertices(1488)%branchCT(0:0))
      call avCT(1488, 0, 8, 1, 0, FaVF0, (/0, 3/), (/nGC_1664/))

      allocate(vertices(865)%branchCT(0:0))
      call avCT(865, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1257/))

      allocate(vertices(866)%branchCT(0:0))
      call avCT(866, 0, 8, 1, 0, UVUa0, (/0, 3/), (/nGC_1631/))

      allocate(vertices(285)%branchCT(0:0))
      call avCT(285, 0, 8, 1, 0, UUaS0, (/0, 3/), (/nGC_1654/))

      allocate(vertices(867)%branchCT(0:0))
      call avCT(867, 0, 8, 1, 0, UaSU0, (/0, 3/), (/nGC_1396/))

      allocate(vertices(868)%branchCT(0:0))
      call avCT(868, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1495/))

      allocate(vertices(869)%branchCT(0:0))
      call avCT(869, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1774, nGC_1774/))

      allocate(vertices(870)%branchCT(0:1))
      call avCT(870, 0, 17, 1, 0, FaFV0, (/0, 3/), (/nGC_1595/))

      call avCT(870, 1, 17, 1, 0, FaFV0, (/2, 1/), (/nGC_1596/))

      allocate(vertices(604)%branchCT(0:1))
      call avCT(604, 0, 18, 1, 0, FaSF1, (/0, 3/), (/nGC_1603, nGC_1603/))

      call avCT(604, 1, 18, 1, 0, FaSF1, (/2, 1/), (/nGC_1604, nGC_1604/))

      allocate(vertices(871)%branchCT(0:3))
      call avCT(871, 0, 30, 2, 0, VFaF0, (/1, 2/), (/nGC_1609, nGC_1611/))

      call avCT(871, 1, 30, 2, 0, VFaF0, (/3, 0/), (/nGC_1608, nGC_1610/))

      call avCT(871, 2, 31, 3, 0, VFaF0, (/1, 2/), (/nGC_1609, nGC_1611/))

      call avCT(871, 3, 31, 3, 0, VFaF0, (/3, 0/), (/nGC_1608, nGC_1610/))

      allocate(vertices(872)%branchCT(0:0))
      call avCT(872, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1641/))

      allocate(vertices(873)%branchCT(0:0))
      call avCT(873, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1686, nGC_1687,        &
      nGC_1686/))

      allocate(vertices(150)%branchCT(0:0))
      call avCT(150, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1541/))

      allocate(vertices(875)%branchCT(0:1))
      call avCT(875, 0, 20, 1, 0, VFaF0, (/0, 3/), (/nGC_1762, nGC_1764/))

      call avCT(875, 1, 20, 1, 0, VFaF0, (/2, 1/), (/nGC_1763, nGC_1765/))

      allocate(vertices(375)%branchCT(0:0))
      call avCT(375, 0, 8, 1, 0, FaSF2, (/0, 3/), (/nGC_1738/))

      allocate(vertices(876)%branchCT(0:0))
      call avCT(876, 0, 8, 1, 0, UUaV0, (/0, 3/), (/nGC_1558/))

      allocate(vertices(877)%branchCT(0:0))
      call avCT(877, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1554/))

      allocate(vertices(322)%branchCT(0:1))
      call avCT(322, 0, 19, 1, 0, FVFa1, (/0, 3/), (/nGC_1803, nGC_1805/))

      call avCT(322, 1, 19, 1, 0, FVFa1, (/2, 1/), (/nGC_1804, nGC_1806/))

      allocate(vertices(878)%branchCT(0:0))
      call avCT(878, 0, 8, 1, 0, UaSU0, (/0, 3/), (/nGC_1654/))

      allocate(vertices(879)%branchCT(0:0))
      call avCT(879, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1489/))

      allocate(vertices(880)%branchCT(0:0))
      call avCT(880, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1512/))

      allocate(vertices(882)%branchCT(0:0))
      call avCT(882, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1641/))

      allocate(vertices(883)%branchCT(0:0))
      call avCT(883, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1258/))

      allocate(vertices(884)%branchCT(0:0))
      call avCT(884, 0, 8, 1, 0, UaVU0, (/0, 3/), (/nGC_1558/))

      allocate(vertices(885)%branchCT(0:1))
      call avCT(885, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1551, nGC_1549/))

      call avCT(885, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1552, nGC_1550/))

      allocate(vertices(886)%branchCT(0:0))
      call avCT(886, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1487/))

      allocate(vertices(887)%branchCT(0:1))
      call avCT(887, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1527, nGC_1525/))

      call avCT(887, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1528, nGC_1526/))

      allocate(vertices(397)%branchCT(0:0))
      call avCT(397, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1489/))

      allocate(vertices(888)%branchCT(0:1))
      call avCT(888, 0, 18, 1, 0, FaSF1, (/0, 3/), (/nGC_1588, nGC_1588/))

      call avCT(888, 1, 18, 1, 0, FaSF1, (/2, 1/), (/nGC_1589, nGC_1589/))

      allocate(vertices(889)%branchCT(0:0))
      call avCT(889, 0, 8, 1, 0, UaUV0, (/0, 3/), (/nGC_1685/))

      allocate(vertices(95)%branchCT(0:0))
      call avCT(95, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1490/))

      allocate(vertices(891)%branchCT(0:0))
      call avCT(891, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1649/))

      allocate(vertices(892)%branchCT(0:0))
      call avCT(892, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1487/))

      allocate(vertices(893)%branchCT(0:0))
      call avCT(893, 0, 8, 1, 0, VUaU0, (/0, 3/), (/nGC_1493/))

      allocate(vertices(1489)%branchCT(0:1))
      call avCT(1489, 0, 16, 8, 0, VV1, (/2, 0/), (/nGC_1807, nGC_1808/))

      call avCT(1489, 1, 15, 1, 0, VV1, (/2, 0/), (/nGC_1807, nGC_1808/))

      allocate(vertices(355)%branchCT(0:0))
      call avCT(355, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1490/))

      allocate(vertices(896)%branchCT(0:1))
      call avCT(896, 0, 21, 1, 0, VFFa1, (/0, 3/), (/nGC_1762, nGC_1764/))

      call avCT(896, 1, 21, 1, 0, VFFa1, (/2, 1/), (/nGC_1763, nGC_1765/))

      allocate(vertices(125)%branchCT(0:1))
      call avCT(125, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1766, nGC_1766/))

      call avCT(125, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1767, nGC_1767/))

      allocate(vertices(898)%branchCT(0:0))
      call avCT(898, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1605/))

      allocate(vertices(899)%branchCT(0:1))
      call avCT(899, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_1647/))

      call avCT(899, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_1648/))

      allocate(vertices(519)%branchCT(0:0))
      call avCT(519, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1490/))

      allocate(vertices(900)%branchCT(0:0))
      call avCT(900, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1507/))

      allocate(vertices(901)%branchCT(0:1))
      call avCT(901, 0, 18, 1, 0, FaSF1, (/0, 3/), (/nGC_1739, nGC_1739/))

      call avCT(901, 1, 18, 1, 0, FaSF1, (/2, 1/), (/nGC_1740, nGC_1740/))

      allocate(vertices(902)%branchCT(0:0))
      call avCT(902, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1497/))

      allocate(vertices(80)%branchCT(0:0))
      call avCT(80, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1802/))

      allocate(vertices(1490)%branchCT(0:0))
      call avCT(1490, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1664/))

      allocate(vertices(161)%branchCT(0:0))
      call avCT(161, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1554/))

      allocate(vertices(905)%branchCT(0:0))
      call avCT(905, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1587/))

      allocate(vertices(906)%branchCT(0:0))
      call avCT(906, 0, 8, 1, 0, SFaF1, (/0, 3/), (/nGC_1678/))

      allocate(vertices(1491)%branchCT(0:0))
      call avCT(1491, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1553/))

      allocate(vertices(907)%branchCT(0:0))
      call avCT(907, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1774, nGC_1774/))

      allocate(vertices(175)%branchCT(0:0))
      call avCT(175, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1487/))

      allocate(vertices(909)%branchCT(0:0))
      call avCT(909, 0, 8, 1, 0, UaVU0, (/0, 3/), (/nGC_1631/))

    end subroutine fill_vertices_mdl3
end module vertices_info3
